2007-01-23 18:22  cegger

	* default/: linear_4/visual.c, linear_4_r/visual.c: pull up the
	  following revision(s) (requested by pekberg):
	  default/linear_4/visual.c: 1.9 - 1.10
	  default/linear_4_r/visual.c: 1.9 - 1.10

	  The current implementation for various functions in linear-4 and
	  linear-4-r are specific for packed subschemes. But they are used
	  for unpacked subschemes as well.

	  These patches fixes that, but also cause a performance regression
	  as the stubs are much slower than the implementation for packed
	  subschemes.

2007-01-23 17:21  cegger

	* default/: linear_4/vline.c, linear_4_r/vline.c: pull up the
	  following revision(s) (requested by pekberg):
	  default/linear_4/vline.c: 1.9 - 1.10	default/linear_4_r/vline.c:
	  1.5 - 1.6

	  Do not forget to bump the buf8 pointer, so that the whole line is
	  retrieved, not just the last pixel or two.

2007-01-22 06:13  cegger

	* default/: linear_1/gtext.c, linear_1_r/gtext.c: pull up the
	  following revision(s) (requested by pekberg):
	  default/linear_1/gtext.c: 1.5 - 1.6  default/linear_1_r/gtext.c:
	  1.6 - 1.7

	  Fix off-by-one bug causing deformed characters and (possible)
	  modifications outside the clipping area.

2007-01-21 17:26  cegger

	* default/stubs/copybox.c: pull up the following revision(s)
	  (requested by pekberg):  default/stubs/copybox.c: 1.8 - 1.9

	  Fix stack (or heap) corruption in copybox stub.

2007-01-20 14:24  cegger

	* default/: linear_16/crossblit.c, linear_24/crossblit.c,
	  linear_32/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_16/crossblit.c: 1.20 -
	  1.21	default/linear_24/crossblit.c: 1.15 - 1.16
	  default/linear_32/crossblit.c: 1.18 - 1.19

	  When blitting from 4-bit modes, check the high bit right
	  subscheme and adjust accordingly if needed.

2007-01-16 19:49  cegger

	* configure.in: Next bugfix release is 2.2.2. Bump version.

2007-01-14 16:30  cegger

	* default/linear_8/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_8/crossblit.c: 1.13 -
	  1.14

	  Correctly identify when to do a direct buffer accelerated
	  crossblit between two palettized visuals.

2007-01-14 10:35  cegger

	* default/linear_32/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_32/crossblit.c: 1.16 -
	  1.17

	  It is when src has a size of 32 bits that linear-32 can use a
	  memcpy based crossblit to blit to dst (dst has a size of 32
	  bits). Fixes probable copy-paste bug when the code was moved from
	  linear-16.

2007-01-14 10:26  cegger

	* default/linear_24/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_24/crossblit.c: 1.13 -
	  1.14

	  It is when src has a size of 24 bits that linear-24 can use a
	  memcpy based crossblit to blit to dst (dst has a size of 24
	  bits). Fixes probable copy-paste bug when the code was moved from
	  linear-16.

2007-01-14 09:00  cegger

	* default/linear_4/: vline.c, hline.c, pixela.c, visual.c: pull up
	  the following revision(s) (requested by pekberg):
	  default/linear_4/vline.c: 1.4 - 1.9  default/linear_4/visual.c:
	  1.8 - 1.9  default/linear_4/pixela.c: 1.3 - 1.5
	  default/linear_4/hline.c: 1.7 - 1.9

	  default/linear_4/vline.c: - Fix crash due to accessing the wrong
	  bytes. Issue found by Christoph Egger. (rev. 1.5) - Draw in the
	  correct bits. Issue found by Christoph Egger. (rev. 1.6) - Mask
	  out the bits from the other half of the buffer byte so that the
	  other half of the screen byte does not get clobbered. (rev. 1.7)
	  - Mask out unwanted bits from the fg color, as a precaution.
	  (rev. 1.8) - Get the intended pixels. (rev. 1.9)
	  default/linear_4/visual.c: - Disable the naive copybox
	  implementation, and rely on the stub. (rev. 1.9)
	  default/linear_4/pixela.c: - Use working implementation from
	  GGI_lin4_getpixel in GGI_lin4_getpixela as well.
	  default/linear_4/hline.c: - Draw the dangling right pixel in the
	  correct bits. Fix termination condition for hlineput and
	  hlineget, including a fix for two horrible precedence bugs. (rev.
	  1.8) - Simplify looping constructs. Don't access memory outside
	  the framebuffer. (rev. 1.9)

2007-01-14 08:06  cegger

	* default/linear_32/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_32/crossblit.c: 1.17 -
	  1.18

	  Fix crossblit_same to actually blit the correct stuff.

2007-01-14 07:48  cegger

	* default/linear_24/crossblit.c: pull up the following revision(s)
	  (requested by pekberg):  default/linear_24/crossblit.c: 1.14 -
	  1.15

	  Blit the full width of each line. Fixes crash when the demo app
	  is run on a [C24/24] visual.

2007-01-13 15:41  cegger

	* default/linear_4_r/: hline.c, pixel.c, pixela.c, vline.c: pull up
	  the following revision(s) (requested by pekberg):
	  default/linear_4_r/hline.c: 1.6 - 1.8
	  default/linear_4_r/pixel.c: 1.4 - 1.5
	  default/linear_4_r/pixela.c: 1.3 - 1.4
	  default/linear_4_r/vline.c: 1.4 - 1.5

	  Fix a lot of broken code. Do not access memory outside
	  framebuffer.

2007-01-09 21:13  cegger

	* display/quartz/visual.c: pull up the following revision(s)
	  (requested by cegger):  display/quartz/visual.c: 1.18 - 1.19

	  Do not set the kWindowCompositingAttribute attribute to a window.
	  Now, mousebutton events get received and handled as expected.

2007-01-09 21:09  cegger

	* checkversion.sh: pull up the following revision(s) (requested by
	  cegger):  checkversion.sh: 1.5 - 1.6

	  Check and accept version numbers that are greater than the
	  required one. Now we can use automake 1.10.

2006-12-30 21:05  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3, ggi_color.3, ggi_colormap.3,
	  ggi_directbuffer.3, ggi_mode.3, ggi_pixelformat.3,
	  ggidev-add_3.3, ggidev-assign_3.3, ggidev-eq_3.3, ggidev-inc_3.3,
	  ggidev-invert_3.3, ggidev-sign_3.3, ggidev-triple-int.7,
	  libggi.7: regen.

2006-10-04 17:42  cegger

	* display/vgl/visual.c: pull up the following revision(s)
	  (requested by cegger):  display/vgl/visual.c: 1.12 - 1.13

	  don't use lvalue casts. Found by gcc warnings on autobuilder.

2006-08-15 21:04  cegger

	* default/: linear_16/crossblit.c, linear_24/crossblit.c,
	  linear_32/crossblit.c, linear_8/crossblit.c: pull up the
	  following revision(s) (requested by pekberg):
	  default/linear_8/crossblit.c: 1.11 - 1.13
	  default/linear_16/crossblit.c: 1.18 - 1.20
	  default/linear_24/crossblit.c: 1.11 - 1.13
	  default/linear_32/crossblit.c: 1.14 - 1.16

	  Fix optimized crossblits of "unusual" widths (i.e. not dividable
	  by 8). Manual loop unrolling was incorrect and "forgot" the last
	  8 pixels (unless blit width less than 8 pixels).

2006-08-15 20:47  cegger

	* display/tile/mode.c: pull up the following revision(s) (requested
	  by pekberg):	display/tile/mode.c: 1.28 - 1.29

	  The size of the flushed area is not dependent of the origin of
	  the tile.

2006-03-16 19:07  cegger

	* programs/check/speed.c: pull up the following revision(s)
	  (requested by pekberg):  programs/check/speed.c: 1.8 - 1.10

	  CLK_TCK is no longer available on glibc 2.4. It has been replaced
	  with sysconf(_SC_CLK_TCK) in <unistd.h>

2006-03-15 05:25  cegger

	* display/lcd823/visual.c: pull up the following revision(s)
	  (requested by pekberg):  display/lcd823/visual.c: 1.10 - 1.11

	  Fix invalid lvalue assignment reported by hiyuh on IRC.

2006-03-15 05:23  cegger

	* display/lcd823/: color.c, mode.c, visual.c: pull up the following
	  revision(s) (requested by pekberg):  display/lcd823/visual.c: 1.9
	  - 1.10  display/lcd823/color.c: 1.7 - 1.8  display/lcd823/mode.c:
	  1.12 - 1.13

	  Add missing ggi_debug.h include. Reported by hiyuh on IRC.

2006-02-25 19:30  cegger

	* ChangeLog: update for libggi 2.2.1

2006-02-25 19:24  cegger

	* configure.in: welcome to libggi 2.2.1

2006-02-24 20:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: pull up the following
	  revision(s) (requested by cegger):  ggi-core/libggi/ltmain.sh:
	  1.55 - 1.75  ggi-core/libggi/m4/libtool.m4: 1.52 - 1.67
	  ggi-core/libggi/m4/ltoptions.m4: 1.8 - 1.10
	  ggi-core/libggi/m4/ltsugar.m4: 1.5 - 1.7
	  ggi-core/libggi/m4/ltversion.m4: 1.41 - 1.61

	  sync with HEAD

2006-02-22 17:18  cegger

	* doc/man/display-aa.7: regen. for pulling up rev. 1.2 of
	  ggi-core/libggi/display/aa/man.txt

2006-02-22 17:17  cegger

	* display/aa/man.txt: pull up the following revision(s) (requested
	  by pekberg):	display/aa/man.txt: 1.1 - 1.2

	  aalib uses AAOPTS env. variable not AA_OPTS.

2006-02-05 20:35  cegger

	* display/file/visual.c: pull up the following revision(s)
	  (requested by pekberg):  display/file/visual.c: 1.13 - 1.14

	  Do stuff that requires default libs (dumping the file) in
	  visual-exit instead of in visual-close, as the default libs are
	  gone when display-file's visual close is gone. Fixes
	  'crash-on-exit'

2006-02-01 17:21  cegger

	* default/kgi/ATI/Radeon/box.c, default/kgi/ATI/Radeon/crossblit.c,
	  display/kgi/visual.c: pull up the following revision(s)
	  (requested by pekberg):  display/kgi/visual.c: 1.24 - 1.25
	  default/kgi/ATI/Radeon/box.c: 1.7 - 1.8
	  default/kgi/ATI/Radeon/crossblit.c: 1.5 - 1.6

	  Remove cast in lvalue for gcc4, reported by Olaf Buddenhagen on
	  IRC

2006-01-17 05:29  cegger

	* display/directx/ddinit.c: pull up the following revision(s)
	  (requested by ):  display/directx/ddinit.c: 1.50 - 1.51 Kill
	  dead-lock causing race. The race is at helper thread creation,
	  i.e. in ggiOpen, and the deadlock happens at helper thread
	  termination, i.e. in ggiClose.

	  Specifically, priv->nThreadID is assigned by the helper thread,
	  so the main thread should not clobber it after firing up the
	  helper thread.

2005-12-29 22:42  cegger

	* display/fbdev/fbdev.conf.in: pull up the following revision(s)
	  (requested by ):  display/fbdev/fbdev.conf.in: 1.13 - 1.14 search
	  for fbdev_mach64.so where it is actually installed

2005-12-20 18:30  cegger

	* doc/README.directx: pull up the following revision(s) (requested
	  by ):  doc/README.directx: 1.13 - 1.14 Update README to help
	  MinGW users configure successfully

2005-12-10 15:15  cegger

	* ChangeLog: update for final libggi 2.2.0

2005-12-10 15:13  cegger

	* configure.in: welcome to final libggi 2.2.0

2005-11-28 18:25  cegger

	* ChangeLog: update for libggi 2.2.0 release candidate 2

2005-11-28 18:22  cegger

	* configure.in: welcome to libggi release candidate 2.2

2005-11-22 09:35  cegger

	* m4/ltversion.m4: pull up revisions 1.41 - 1.52 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-22 09:33  cegger

	* m4/ltversion.m4: revert bogus pullup. Need to redo it correctly
	  then.

2005-11-20 20:16  cegger

	* m4/ltversion.m4: pull up revisions 1.41 - 1.1.52 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:16  cegger

	* m4/ltsugar.m4: pull up revisions 1.5 - 1.7 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:15  cegger

	* m4/ltoptions.m4: pull up revisions 1.8 - 1.10 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:15  cegger

	* m4/libtool.m4: pull up revisions 1.52 - 1.60 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:14  cegger

	* ltmain.sh: pull up revisions 1.55 - 1.66 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-10-30 09:20  cegger

	* autogen.sh: pull up revisions 1.12 - 1.13 (requested by cegger):

	  fix syntax error on solaris

2005-10-30 09:16  cegger

	* display/X/helper/dga/dga.c: pull up revisions 1.21 - 1.22
	  (requested by cegger):

	  _GGI_generic_checkmode_finish() expects intptr_t, not int. Fixes
	  warning on 64bit platforms

2005-10-08 13:26  cegger

	* display/X/visual.c: back out previous. This is not the right fix

2005-10-08 12:57  cegger

	* display/X/visual.c: pull up revisions 1.50 - 1.51 (requested by
	  cegger):

	  fix memory leak found with valgrind

2005-10-08 12:17  cegger

	* display/X/fillscreen.c: pull up revisions 1.9 - 1.10 (requested
	  by cegger):

	  fix memory leak found with valgrind

2005-09-21 21:13  cegger

	* doc/man/: cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-mansync.7, display-memory.7,
	  display-monotext.7, display-multi.7, display-palemu.7,
	  display-quartz.7, display-sub.7, display-svgalib.7,
	  display-tele.7, display-terminfo.7, display-tile.7,
	  display-trueemu.7, display-vcsa.7, display-vgl.7, display-x.7,
	  ggi-demo.1, ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3, ggi_color.3, ggi_colormap.3,
	  ggi_directbuffer.3, ggi_mode.3, ggi_pixelformat.3,
	  ggidev-add_3.3, ggidev-assign_3.3, ggidev-eq_3.3, ggidev-inc_3.3,
	  ggidev-invert_3.3, ggidev-sign_3.3, ggidev-triple-int.7,
	  ggiteleserver.1, libggi.7, monitest.1: regen.

2005-09-21 14:40  cegger

	* m4/gii_paths.m4: pull up revisions 1.2 - 1.3 (requested by
	  aldot):

	  fix 'make distcheck' when gii is not in default location

2005-09-21 14:40  cegger

	* configure.in: welcome to libggi 2.2.0 release candidate 2

2005-09-21 12:44  cegger

	* configure.in: welcome to 2.2.0 release candidate 1

2005-09-21 12:01  cegger

	* TODO: zap this file

2005-09-21 08:14  cegger

	* ChangeLog: update for libggi 2.2.0

2005-09-21 08:06  cegger

	* configure.in, display/Makefile.am: remove wsfb. It's experimental
	  and not usable

2005-09-20 21:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2081

2005-09-20 20:50  cegger

	* include/ggi/internal/debug_macros.h: #define DMESSAGE also when
	  DEBUG is not defines. Fixes build error reported by Bernhard
	  Fischer

2005-09-20 19:46  cegger

	* include/ggi/internal/debug_macros.h: trim some whitespace

2005-09-19 18:46  cegger

	* display/X/mode.c, display/X/visual.c, display/aa/mode.c,
	  display/aa/visual.c, display/directx/mode.c,
	  display/fbdev/mode.c, display/fbdev/visual.c,
	  display/file/mode.c, display/glide/mode.c,
	  display/glide/visual.c, display/ipc/mode.c, display/kgi/mode.c,
	  display/lcd823/mode.c, display/memory/mode.c,
	  display/monotext/mode.c, display/palemu/mode.c,
	  display/palemu/visual.c, display/quartz/mode.c,
	  display/quartz/visual.c, display/suidkgi/mode.c,
	  display/svgalib/mode.c, display/svgalib/visual.c,
	  display/tele/mode.c, display/terminfo/mode.c,
	  display/tile/mode.c, display/tile/visual.c,
	  display/trueemu/mode.c, display/trueemu/visual.c,
	  display/vcsa/mode.c, display/vgl/mode.c, ggi/EXPSYMS, ggi/dl.c,
	  ggi/init.c, ggi/probe.c, include/ggi/internal/internal.h: - add
	  conffilehandle argument to _ggiOpenDL(), _ggiAddDL() and
	  _ggiProbeDL(). This makes these functions usable in extensions -
	  add internal _ggiGetConfigHandle() function for targets - update
	  targets for new semantics of internal dl functions

2005-09-19 17:08  cegger

	* ggi/dl.c: simplify if block, GGI_ENOMATCH is a better errorcode
	  than GGI_ENODEVICE

2005-09-19 15:50  cegger

	* ggi/dl.c: assume failure not success when initialize err. This
	  fixes a crash when no entry found (loop is empty)

2005-09-19 07:45  cegger

	* ggi/dl.c, ggi/stubs.c, include/ggi/ggi_ext.h,
	  include/ggi/internal/internal.h: change extension API (internally
	  used only): new semantic is: ggiExtensionLoadDL(ggi_visual_t vis,
	  const void *conffilehandle, const char *api, const char *args,
	  void *argptr, const char *symprefix)

	  all extensions are impacted by this change. Applications continue
	  to work out-of-the-box

	  With this change, static linked targets in extensions work

2005-09-18 11:43  cegger

	* doc/: libggi-triple-int.txt, man/Makefile.am, man/ggidev-abs_3.3,
	  man/ggidev-add_3.3, man/ggidev-assign_3.3,
	  man/ggidev-assign_int_3.3, man/ggidev-assign_unsigned_3.3,
	  man/ggidev-bits_3.3, man/ggidev-dec_3.3, man/ggidev-divmod_3.3,
	  man/ggidev-eq0_3.3, man/ggidev-eq_3.3, man/ggidev-ge0_3.3,
	  man/ggidev-ge_3.3, man/ggidev-gt0_3.3, man/ggidev-inc_3.3,
	  man/ggidev-invert_3.3, man/ggidev-le0_3.3, man/ggidev-lshift_3.3,
	  man/ggidev-lt0_3.3, man/ggidev-mul_3.3, man/ggidev-negate_3.3,
	  man/ggidev-rshift_3.3, man/ggidev-sign_3.3, man/ggidev-sub_3.3,
	  man/ggidev-triple-int.7: add ggidev- prefix to triple-int
	  manpages. Now we have a namespace for developer only manpages

2005-09-14 16:45  cegger

	* configure.in, display-shared/Makefile.am: install dynamic
	  display-x helpers into $libdir/$ggi_subdir/helper. Dynamic
	  helpers are found and used again. Fixes regression that has been
	  introduced along with the addition of support for static linking

2005-09-14 09:41  cegger

	* Makefile.am: remove config.lt when run 'make distclean'

2005-09-13 11:08  pekberg

	* m4/Makefile.am: Libltdl isn't needed, can't be used (LGPL) and
	  isn't used, so zap ltdl.m4.

2005-09-13 09:38  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2073

2005-09-09 09:57  cegger

	* default/: color/Makefile.am, fbdev/ati/mach64/Makefile.am,
	  fbdev/directfb/Makefile.am, fbdev/mga/2164w/Makefile.am,
	  fbdev/mga/g400/Makefile.am, ilbm/Makefile.am, ioctl/Makefile.am,
	  iplanar_2p/Makefile.am, kgi/ATI/Mach64/Makefile.am,
	  kgi/ATI/Radeon/Makefile.am, kgi/Matrox/Gx00/Makefile.am,
	  linear_1/Makefile.am, linear_16/Makefile.am,
	  linear_1_r/Makefile.am, linear_2/Makefile.am,
	  linear_24/Makefile.am, linear_32/Makefile.am,
	  linear_4/Makefile.am, linear_4_r/Makefile.am,
	  linear_8/Makefile.am, linmm_banked/Makefile.am,
	  planar/Makefile.am, pseudo_stubs/Makefile.am, ramdac/Makefile.am,
	  stubs/Makefile.am, text_16/Makefile.am, text_32/Makefile.am:
	  DEBUG_NAMESPACE: extend 'libggi.default' with subdir locations to
	  find the location of the debug output easier.

2005-09-08 14:29  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2066

2005-09-07 11:58  pekberg

	* configure.in: Use new GGI_NEED_INTTYPES macro

2005-09-07 11:44  pekberg

	* m4/common.m4: Add macro to centralize C99 inttypes detection.

2005-09-06 19:43  pekberg

	* configure.in: Eeek! This is ggi, not gii...

2005-09-06 19:42  pekberg

	* configure.in: Add modern autoconf init macro that specifies name
	  of package and bug report address etc. Specify the m4 macro dir.

2005-09-06 15:22  pekberg

	* ggi/dl.c, ggi/visual.c, include/ggi/internal/structs.h: Separate
	  extension modules into those that are loaded by generic apis and
	  'others'. Extension modules for generic apis are always unloaded,
	  and 'others' are only unloaded when the whole visual is unloaded.

2005-09-05 18:40  cegger

	* include/ggi/internal/debug_macros.h: update mail address in
	  Copyright

2005-09-05 13:25  pekberg

	* autogen.sh: Add --force option that disables version checks.

2005-09-05 10:18  pekberg

	* default-shared/Makefile.am: Go to the bank and ca$h out a few $.
	  Distribute evenly to make everyone happy.

2005-09-05 10:15  pekberg

	* configure.in: Fix build for the pure and brave souls out there
	  that that say "no" to X11.  They really deserve more credit.

2005-09-05 05:15  pekberg

	* display/directx/ddinit.c: vis->input may be empty when running
	  through a pseudo target, use something more reliable.

2005-09-05 01:32  pekberg

	* programs/demos/warp-ggi/dowarp.c: Make defs match protos.

2005-09-04 14:28  cegger

	* config.guess, install-sh: update to version shipped with libtool
	  1.5.20

2005-09-03 09:26  cegger

	* display-shared/Makefile.am: use ${displaydir} where appropriate

2005-09-03 07:54  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2057

2005-09-02 14:29  cegger

	* configure.in: fix stupid typo that prevents mansync from working
	  as builtin

2005-09-02 13:45  cegger

	* ggi/dl.c: make this file compile again

2005-09-02 12:46  soyt

	* ggi/dl.c: make dl know about suggested symbols

2005-09-02 08:16  cegger

	* configure.in, default-shared/Makefile.am: flatten the hierachy
	  for default renderers to:

	  default/	  -> renderers only default/fbdev/  -> fbdev accel
	  drivers default/kgi/	  -> kgi accel drivers

2005-09-02 08:13  cegger

	* display/fbdev/fbdev.conf.in: flatten directory hierachy to
	  default/fbdev

2005-09-02 07:47  cegger

	* default-shared/Makefile.am: flatten install hierarchy for fbdev
	  and kgi drivers down. Fixes "make install"

2005-09-02 06:54  cegger

	* default-shared/Makefile.am: minor cleanup

2005-09-01 22:36  cegger

	* default/kgi/: ATI/Mach64/EXPSYMS, ATI/Mach64/visual.c,
	  ATI/Radeon/EXPSYMS, ATI/Radeon/visual.c, Matrox/Gx00/EXPSYMS,
	  Matrox/Gx00/visual.c: forgot to rename symbols, too when fixing
	  namespace collision with fbdev drivers. Exposed by mach64 driver.
	  config files, etc. are already up-to-date at this time.

2005-09-01 22:32  cegger

	* default/fbdev/: ati/mach64/EXPSYMS, ati/mach64/visual.c,
	  mga/2164w/EXPSYMS, mga/2164w/visual.c, mga/g400/EXPSYMS,
	  mga/g400/visual.c, directfb/EXPSYMS, directfb/EXPSYMS.global,
	  directfb/directfbglobal.c, directfb/visual.c: forgot to rename
	  symbols, too when fixing namespace collision with kgi drivers.
	  Exposed by mach64 driver. config files, etc. are already
	  up-to-date at this time.

2005-09-01 22:20  cegger

	* default-shared/Makefile.am: fix typo in path

2005-09-01 22:17  cegger

	* ggi/builtins.am: fix case sensitive bug

2005-09-01 20:48  cegger

	* display/fbdev/fbdev.conf.in: use wildcards

2005-09-01 17:45  cegger

	* TODO: mark done items as done

2005-09-01 17:33  cegger

	* libggi.conf.in: rename builtin target names to be in sync with
	  the dynamic parts

2005-09-01 13:33  cegger

	* programs/demos/Makefile.am: simplify LDADD line

2005-09-01 13:11  cegger

	* ggi/init.c: activate builtins

2005-09-01 11:37  cegger

	* default-shared/.cvsignore, default-shared/Makefile.am,
	  display-shared/.cvsignore, display-shared/Makefile.am: change
	  buildsystem to add support for static linking:  1. build libtool
	  convinience libs of display targets and default renderers  2.
	  build libggi	3. build dynamic targets and dynamic default
	  renderers  4. build the programs

	  The procedure is also an overall cleanup of the Makefile.am. They
	  really have been simplified a lot.

2005-09-01 11:23  cegger

	* Makefile.am, configure.in, libggi.conf.in,
	  default/color/Makefile.am, default/fbdev/ati/mach64/Makefile.am,
	  default/fbdev/directfb/Makefile.am,
	  default/fbdev/mga/2164w/Makefile.am,
	  default/fbdev/mga/g400/Makefile.am, default/ilbm/Makefile.am,
	  default/ioctl/Makefile.am, default/iplanar_2p/Makefile.am,
	  default/kgi/ATI/Mach64/Makefile.am,
	  default/kgi/ATI/Radeon/Makefile.am,
	  default/kgi/Matrox/Gx00/Makefile.am,
	  default/linear_1/Makefile.am, default/linear_16/Makefile.am,
	  default/linear_1_r/Makefile.am, default/linear_2/Makefile.am,
	  default/linear_24/Makefile.am, default/linear_32/Makefile.am,
	  default/linear_4/Makefile.am, default/linear_4_r/Makefile.am,
	  default/linear_8/Makefile.am, default/linmm_banked/Makefile.am,
	  default/planar/Makefile.am, default/pseudo_stubs/Makefile.am,
	  default/ramdac/Makefile.am, default/stubs/Makefile.am,
	  default/text_16/Makefile.am, default/text_32/Makefile.am,
	  display/X/Makefile.am, display/X/helper/dbe/Makefile.am,
	  display/X/helper/dga/Makefile.am,
	  display/X/helper/evi/Makefile.am,
	  display/X/helper/shm/Makefile.am,
	  display/X/helper/vidmode/Makefile.am, display/aa/Makefile.am,
	  display/auto/Makefile.am, display/directx/Makefile.am,
	  display/fbdev/Makefile.am, display/fbdev/fbdev.conf.in,
	  display/file/Makefile.am, display/glide/Makefile.am,
	  display/ipc/Makefile.am, display/kgi/Makefile.am,
	  display/kgi/kgi.conf.in, display/lcd823/Makefile.am,
	  display/libkgi/Makefile.am, display/linvtsw/Makefile.am,
	  display/mansync/Makefile.am, display/memory/Makefile.am,
	  display/monotext/Makefile.am, display/multi/Makefile.am,
	  display/palemu/Makefile.am, display/quartz/Makefile.am,
	  display/sub/Makefile.am, display/suidkgi/Makefile.am,
	  display/svgalib/Makefile.am, display/tele/Makefile.am,
	  display/terminfo/Makefile.am, display/tile/Makefile.am,
	  display/trueemu/Makefile.am, display/vcsa/Makefile.am,
	  display/vgagl/Makefile.am, display/vgl/Makefile.am,
	  ggi/Makefile.am, ggi/builtins.am, ggi/builtins.c,
	  programs/util/Makefile.am: change buildsystem to add support for
	  static linking:  1. build libtool convinience libs of display
	  targets and default renderers  2. build libggi  3. build dynamic
	  targets and dynamic default renderers  4. build the programs

	  The procedure is also an overall cleanup of the Makefile.am. They
	  really have been simplified a lot.

2005-09-01 07:50  cegger

	* configure.in: handle dependency on ddraw.h of directx target on
	  the right place

2005-08-31 21:54  cegger

	* programs/util/ggiteleserver/.cvsignore,
	  programs/util/ggiteleserver/Makefile.am,
	  programs/util/ggiteleserver/teleserver.c,
	  display/tele/Makefile.am, programs/util/Makefile.am,
	  configure.in: move ggiteleserver from display/tele/server/ to
	  programs/util/ggiteleserver/

2005-08-31 09:07  cegger

	* autogen.sh, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4,
	  m4/ltversion.m4: sync with libtool cvs head to version 1.2049
	  This requires autoconf 2.59 and automake 1.9.6

2005-08-31 08:33  cegger

	* checkversion.sh: error properly out when where autotools are
	  missing

2005-08-30 09:20  cegger

	* doc/libggi-triple-int.txt: fix docutil formating introduced in
	  previous

2005-08-30 08:47  cegger

	* doc/man/libggi.7: regen.

2005-08-29 21:14  aldot

	* doc/libggi-triple-int.txt: - correct a few typos.

2005-08-28 15:05  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.298

2005-08-26 09:14  aldot

	* display/tele/libtele.c: - trim whitespace

2005-08-22 09:15  cegger

	* Makefile.am: remove genlibtool from EXTRA_DIST and *CLEANFILES

2005-08-20 10:30  cegger

	* display/common/modelist.inc: update comments

2005-08-20 10:19  cegger

	* display/common/modelist.inc: split _GGI_score_graphtype() into
	  _GGI_score_gt_depth() and _GGI_score_gt_scheme().

	  _GGI_score_gt_depth(): handle depth as before (no change,
	  effectively this is a rename) _GGI_score_gt_scheme(): handle
	  scheme. Prefer requested scheme, otherwise prefer schemes to
	  static schemes, prefer truecolor schemes to palette and greyscale

	  Now we can handle modes requests with same depths but different
	  schemes properly.

2005-08-19 23:38  cegger

	* display/X/misc.c: fix circular preference ordering: prefer
	  palette to static palette, prefer truecolor to palette, prefer
	  directcolor to truecolor, prefer palette to directcolor

	  Now prefer directcolor to palette.  This fixes a bug where a
	  PseudoColor X Visual is used even when Truecolor is specified via
	  GGI_DEFMODE and a 8bit Truecolor X Visual is present

2005-08-19 22:53  cegger

	* display/X/misc.c: _ggi_x_is_better_fmt(): prefer truecolor to
	  static color

2005-08-19 21:41  cegger

	* display/common/modelist.inc: fix cut/copy/paste typo

2005-08-19 09:21  cegger

	* autogen.sh: Change message 'Running autoconf - generating
	  configure...' to 'Running autoconf...' as suggested by Peter
	  Ekberg

2005-08-19 09:06  cegger

	* autogen.sh, m4/common.m4: do not generate genlibtool, remove
	  GGI_GENLIBTOOL, step 2

2005-08-19 08:45  pekberg

	* .cvsignore, configure.in: Zap genlibtool, step 1

2005-08-18 19:12  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.292

2005-08-18 12:19  cegger

	* ggi/init.c: ggiExit(): reset global variables to initialization
	  value. This fixes memory corruption bugs, when libggi is
	  re-initialized within an application.

2005-08-17 14:59  cegger

	* display/X/helper/dga/dga.c: improve error handling for input

2005-08-17 13:47  cegger

	* display/X/helper/dga/dga.c: correctly use calloc()

2005-08-17 13:11  cegger

	* display/common/modelist.inc: cast explicitely to target type.
	  Fixes gcc warnings

2005-08-17 13:08  mooz

	* display/X/helper/vidmode/vidmode.c: ggi_vidmode_checkmode_adap :
	  Set virtual size to GGI_AUTO if a closer valid mode was found
	  (validation_flag = 0).

2005-08-17 12:55  pekberg

	* display/common/modelist.inc: It didn't even compile. Obvious
	  fixes...

2005-08-17 12:53  mooz

	* display/X/mode.c: _GGI_X_checkmode_adapt : Set visible mode size
	  to display size only if it's equal to GGI_AUTO or for -inwin=root

2005-08-17 12:52  pekberg

	* programs/regress/mode.c: Add testcase for
	  _GGI_modelist_checkmode.

2005-08-17 12:26  cegger

	* display/X/mode.c: - remove more dead code (this time old
	  checkmode implementation) - do not unconditionally set visible
	  size for fullscreen size to current screen resolution. Do this
	  only when visible size == GGI_AUTO

2005-08-17 10:05  mooz

	* display/X/mode.c: GGI_X_setmode : Create child window if root
	  window is equal to None

2005-08-17 09:40  cegger

	* display/X/mode.c: remove old dead code. Makes the code less
	  confusing

2005-08-17 09:29  cegger

	* display/X/mode.c: do not decide to not create a parentwindow
	  unconditionally when in fullscreen mode.

2005-08-15 18:50  cegger

	* ggi/mode.c, display/X/misc.c, display/X/mode.c,
	  include/ggi/internal/internal.h, display/X/helper/dga/dga.c,
	  display/X/helper/vidmode/vidmode.c: Introduce GGI_PHYSZ_MM which
	  indicates that the 4th and 5th arguments of
	  _ggi_physz_figure_size() are in mm. Use this in display-x to get
	  rid of a rounding bug. Now physical size is calculated correctly.

2005-08-15 15:55  cegger

	* display/X/helper/: dga/dga.c, vidmode/vidmode.c: fix typo in dpi
	  calculation for y value. mmm... who copied from whom?

2005-08-15 15:18  cegger

	* display/X/helper/: dga/dga.c, vidmode/vidmode.c: Explicitely set
	  internal window state to NOT allow resizing at initialization
	  time of the fullscreen helpers dga and vidmode. This prohibits a
	  window size calculation which is 90% of the screen resolution

2005-08-15 12:43  cegger

	* display/X/helper/dga/dga.c: indent -kr -i8

2005-08-15 12:37  cegger

	* display/X/helper/vidmode/vidmode.c: indent -kr -i8

2005-08-14 16:21  cegger

	* display/X/helper/: dbe/Makefile.am, dga/Makefile.am,
	  evi/Makefile.am, shm/Makefile.am, vidmode/Makefile.am: enhance
	  debug namespace by X extension name to follow debug traces within
	  the X-target easier

2005-08-14 16:13  cegger

	* display/X/helper/vidmode/vidmode.c: remove one confusing
	  indentation level in ggi_vidmode_checkmode_adapt() and add one
	  debug line before calling _ggi_physz_figure_size()

2005-08-12 18:48  cegger

	* include/ggi/types.h: fix bugs introduced in conversion to C99
	  types: make ggi_pixel and ggi_attr unsigned again

2005-08-10 11:34  cegger

	* INSTALL.autoconf: match autoconf 2.59

2005-08-10 08:12  cegger

	* doc/libggi-libraries.txt: display-xf86dga has been gone

2005-08-10 07:16  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.283

2005-08-09 11:26  cegger

	* doc/man/Makefile.am: display-xf86dga has been removed

2005-08-08 11:58  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.281

2005-08-02 11:26  pekberg

	* include/ggi/internal/triple-int.h: Properly declare the temporary
	  triple-int variable y2.  May solve regression test failures on
	  darwin OSX 10.4.x.

2005-08-01 12:56  pekberg

	* include/ggi/internal/triple-int.h: Work around problem with
	  INT16_C being a cast on Darwin.

2005-08-01 11:31  pekberg

	* configure.in: Make ggi define GG_NEED_INTTYPES if C99 integer
	  types are not available in <inttypes.h>.

2005-07-31 16:21  cegger

	* configure.in, display/Makefile.am: Now that aliases work and the
	  functionality of display-xf86dga has been moved to display-x's
	  dga and vidmode helpers some time ago (thnx orzo, thnx mooz),
	  kill display-xf86dga. display-dga and display-xf86dga are aliases
	  for display-x:-fullscreen for backward-compatibility

2005-07-31 15:59  soyt

	* ggi/init.c: ggi uses new target matching scheme for opening
	  visuals, so that alias expansion works as expected.

2005-07-31 15:30  soyt

	* default/color/color.h, default/fbdev/ati/mach64/mach64.h,
	  default/fbdev/directfb/ggidirectfb.h,
	  default/fbdev/mga/2164w/m2164w.h, default/fbdev/mga/2164w/mmio.h,
	  default/fbdev/mga/g400/mga_g400.h, default/fbdev/mga/g400/mmio.h,
	  default/kgi/ATI/Radeon/radeon_accel.h,
	  default/kgi/ATI/Radeon/radeon_cce.h,
	  default/kgi/Matrox/Gx00/Gx00.h,
	  default/kgi/Matrox/Gx00/Gx00_accel.h,
	  display/monotext/font_data.h, display/suidkgi/suidhook.h,
	  display/tele/libtele.h, display/vgagl/vgaglvis.h, ggi/ext.h,
	  ggi/swar.h, include/ggi/ggi-defs.h, include/ggi/ggi-unix.h,
	  include/ggi/ggi.h, include/ggi/ll.h, include/ggi/types.h,
	  include/ggi/display/aa.h, include/ggi/display/fbdev.h,
	  include/ggi/display/file.h, include/ggi/display/glide.h,
	  include/ggi/display/kgi.h, include/ggi/display/lcd823.h,
	  include/ggi/display/libkgi.h, include/ggi/display/mansync.h,
	  include/ggi/display/memory.h, include/ggi/display/modelist.h,
	  include/ggi/display/monotext.h, include/ggi/display/palemu.h,
	  include/ggi/display/sub.h, include/ggi/display/svgalib.h,
	  include/ggi/display/tele.h, include/ggi/display/tile.h,
	  include/ggi/display/trueemu.h, include/ggi/display/vcsa.h,
	  include/ggi/display/x.h, include/ggi/display/xlib.h,
	  include/ggi/internal/debug_macros.h,
	  include/ggi/internal/ggi_debug.h,
	  include/ggi/internal/internal.h, include/ggi/internal/plat.h,
	  include/ggi/internal/structs.h,
	  programs/demos/warp-ggi/rawpict.h,
	  programs/demos/warp-ggi/warp.h, programs/util/monitest/drawlib.h,
	  programs/util/monitest/ggicolors.h,
	  programs/util/monitest/ggitext.h,
	  programs/util/monitest/kgitune.h, programs/util/monitest/menu.h,
	  programs/util/monitest/monitest.h,
	  programs/util/monitest/window.h: trim some whitespaces (by cow).

2005-07-31 14:52  soyt

	* libggi.conf.in: aliases are now really aliases and dga is
	  display-x:-fullscreen

2005-07-31 10:19  aldot

	* default/kgi/Matrox/Gx00/box.c: use C99 inttypes.

2005-07-31 09:58  cegger

	* default/fbdev/: ati/mach64/ati_mach64.h, mga/2164w/copybox.c,
	  mga/2164w/m2164w.h, mga/g400/copybox.c, mga/g400/mga_g400.h: use
	  C99 inttypes. Found by autobuilder on Linux/amd64

2005-07-30 17:45  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.274

2005-07-30 12:07  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3, ggi_color.3, ggi_colormap.3,
	  ggi_directbuffer.3, ggi_mode.3, ggi_pixelformat.3, libggi.7:
	  regen.

2005-07-30 12:07  cegger

	* doc/: libggi-functions.txt, libggi-structures.txt: use C99
	  inttypes

2005-07-30 12:01  cegger

	* configure.in: libggi has been updated, GG_NEED_OLD_INTTYPES is no
	  longer required

2005-07-30 11:58  cegger

	* programs/: check/cbconsist.c, demos/cube3d.c, demos/demo.c,
	  demos/flying_ggis.c, demos/saver.c, demos/slimy.c,
	  demos/warp-ggi/color.c, demos/warp-ggi/dowarp.c,
	  demos/warp-ggi/main.c, demos/warp-ggi/rawpict.h,
	  demos/warp-ggi/readpcx.c, demos/warp-ggi/readtga.c,
	  demos/warp-ggi/warp.h, regress/input.c, util/giik2str.c,
	  util/giik2str.h, util/inputdump.c, util/tunemode.c,
	  util/monitest/monitest.c: use C99 types

2005-07-30 11:39  cegger

	* default/: color/color.c, color/gamma.c, color/pack.c,
	  color/visual.c, common/linear-line.c,
	  fbdev/ati/mach64/ati_mach64.h, fbdev/ati/mach64/copybox.c,
	  fbdev/ati/mach64/crossblit.c, fbdev/ati/mach64/gtext.c,
	  fbdev/ati/mach64/line.c, fbdev/ati/mach64/visual.c,
	  fbdev/directfb/crossblit.c, fbdev/directfb/directfbglobal.c,
	  fbdev/directfb/ggidirectfb.h, fbdev/directfb/gtext.c,
	  fbdev/directfb/visual.c, fbdev/mga/2164w/box.c,
	  fbdev/mga/2164w/copybox.c, fbdev/mga/2164w/crossblit.c,
	  fbdev/mga/2164w/gtext.c, fbdev/mga/2164w/hline.c,
	  fbdev/mga/2164w/line.c, fbdev/mga/2164w/m2164w.h,
	  fbdev/mga/2164w/mmio.h, fbdev/mga/2164w/visual.c,
	  fbdev/mga/2164w/vline.c, fbdev/mga/g400/box.c,
	  fbdev/mga/g400/copybox.c, fbdev/mga/g400/crossblit.c,
	  fbdev/mga/g400/gtext.c, fbdev/mga/g400/hline.c,
	  fbdev/mga/g400/line.c, fbdev/mga/g400/mga_g400.h,
	  fbdev/mga/g400/mmio.h, fbdev/mga/g400/visual.c,
	  fbdev/mga/g400/vline.c, ilbm/pixel.c, ilbm/pixela.c,
	  ilbm/visual.c, ioctl/visual.c, iplanar_2p/pixel.c,
	  iplanar_2p/pixela.c, iplanar_2p/visual.c, kgi/ATI/Mach64/box.c,
	  kgi/ATI/Mach64/visual.c, kgi/ATI/Radeon/box.c,
	  kgi/ATI/Radeon/crossblit.c, kgi/ATI/Radeon/gc.c,
	  kgi/ATI/Radeon/gtext.c, kgi/ATI/Radeon/line.c,
	  kgi/ATI/Radeon/radeon_accel.h, kgi/ATI/Radeon/radeon_cce.h,
	  kgi/ATI/Radeon/visual.c, kgi/Matrox/Gx00/Gx00_accel.h,
	  kgi/Matrox/Gx00/box.c, kgi/Matrox/Gx00/gc.c,
	  kgi/Matrox/Gx00/gtext.c, kgi/Matrox/Gx00/visual.c,
	  linear_1/color.c, linear_1/gtext.c, linear_1/hline.c,
	  linear_1/pixel.c, linear_1/pixela.c, linear_1/visual.c,
	  linear_1/vline.c, linear_16/box.c, linear_16/copybox.c,
	  linear_16/crossblit.c, linear_16/fillscreen.c, linear_16/hline.c,
	  linear_16/line.c, linear_16/pixel.c, linear_16/pixela.c,
	  linear_16/visual.c, linear_16/vline.c, linear_1_r/gtext.c,
	  linear_1_r/pixel.c, linear_1_r/pixela.c, linear_1_r/visual.c,
	  linear_2/pixel.c, linear_2/pixela.c, linear_2/visual.c,
	  linear_24/box.c, linear_24/copybox.c, linear_24/crossblit.c,
	  linear_24/fillscreen.c, linear_24/hline.c, linear_24/pixel.c,
	  linear_24/pixela.c, linear_24/visual.c, linear_24/vline.c,
	  linear_32/box.c, linear_32/copybox.c, linear_32/crossblit.c,
	  linear_32/fillscreen.c, linear_32/hline.c, linear_32/line.c,
	  linear_32/pixel.c, linear_32/pixela.c, linear_32/visual.c,
	  linear_32/vline.c, linear_4/color.c, linear_4/copybox.c,
	  linear_4/hline.c, linear_4/pixel.c, linear_4/pixela.c,
	  linear_4/visual.c, linear_4/vline.c, linear_4_r/color.c,
	  linear_4_r/copybox.c, linear_4_r/hline.c, linear_4_r/pixel.c,
	  linear_4_r/pixela.c, linear_4_r/visual.c, linear_4_r/vline.c,
	  linear_8/box.c, linear_8/copybox.c, linear_8/crossblit.c,
	  linear_8/gtext.c, linear_8/hline.c, linear_8/line.c,
	  linear_8/pixel.c, linear_8/pixela.c, linear_8/visual.c,
	  linear_8/vline.c, linmm_banked/hline.c,
	  linmm_banked/linmm_banked.h, linmm_banked/visual.c,
	  linmm_banked/vline.c, planar/pixel.c, planar/pixela.c,
	  planar/visual.c, pseudo_stubs/visual.c, ramdac/visual.c,
	  stubs/box.c, stubs/copybox.c, stubs/gtext.c, stubs/hline.c,
	  stubs/visual.c, stubs/vline.c, text_16/gtext.c, text_16/pixel.c,
	  text_16/pixela.c, text_16/visual.c, text_32/color.c,
	  text_32/gtext.c, text_32/pixel.c, text_32/pixela.c,
	  text_32/visual.c: use C99 types, compiles on darwin - the rest
	  just changed so far grep reaches

2005-07-30 11:38  cegger

	* display/: fbdev/mode.c, fbdev/visual.c, glide/box.c,
	  glide/gtext.c, glide/line.c, glide/mode.c, glide/pixel.c,
	  glide/visual.c, kgi/mode.c, kgi/visual.c, lcd823/color.c,
	  lcd823/mode.c, lcd823/visual.c, libkgi/drawops.c,
	  libkgi/visual.c, linvtsw/visual.c, suidkgi/visual.c, vcsa/draw.c,
	  vcsa/visual.c, vgagl/box.c, vgagl/copybox.c, vgagl/hline.c,
	  vgagl/visual.c, vgl/draw.c, vgl/visual.c: use C99 types, not
	  tested - just changed so far grep reaches

2005-07-30 10:57  cegger

	* include/ggi/ggi.h, include/ggi/types.h,
	  include/ggi/display/fbdev.h, include/ggi/display/file.h,
	  include/ggi/display/monotext.h, include/ggi/display/quartz.h,
	  include/ggi/display/svgalib.h, include/ggi/display/trueemu.h,
	  include/ggi/display/vgl.h, include/ggi/internal/dltypes.h,
	  include/ggi/internal/ggi_debug.h,
	  include/ggi/internal/internal.h, include/ggi/internal/structs.h,
	  include/ggi/internal/triple-int.h, ggi/dl.c, ggi/init.c,
	  ggi/internal.c, ggi/mode.c, ggi/probe.c, ggi/stubs.c,
	  ggi/visual.c, display/X/box.c, display/X/buffer.c,
	  display/X/gtext.c, display/X/hline.c, display/X/misc.c,
	  display/X/pixel.c, display/X/visual.c, display/X/vline.c,
	  display/X/helper/dbe/dbe.c, display/X/helper/dga/dga.c,
	  display/X/helper/evi/evi.c, display/X/helper/shm/shm.c,
	  display/X/helper/vidmode/vidmode.c, display/aa/visual.c,
	  display/auto/visual.c, display/common/modelist.inc,
	  display/directx/mode.c, display/directx/visual.c,
	  display/file/fileio.c, display/file/mode.c,
	  display/file/visual.c, display/glide/mode.c,
	  display/ipc/visual.c, display/mansync/visual.c,
	  display/memory/visual.c, display/monotext/monotext.c,
	  display/monotext/visual.c, display/multi/visual.c,
	  display/palemu/palemu.c, display/palemu/visual.c,
	  display/quartz/mode.c, display/quartz/visual.c,
	  display/sub/visual.c, display/svgalib/box.c,
	  display/svgalib/color.c, display/svgalib/hline.c,
	  display/svgalib/visual.c, display/tele/box.c,
	  display/tele/libtele.h, display/tele/mode.c,
	  display/tele/visual.c, display/terminfo/color.c,
	  display/terminfo/input.c, display/terminfo/visual.c,
	  display/tile/mode.c, display/tile/stubs.c, display/tile/visual.c,
	  display/trueemu/genblit.c, display/trueemu/visual.c: use C99
	  inttypes

2005-07-30 08:50  cegger

	* display/svgalib/frames.c: #include config.h. Makes this target
	  compile again

2005-07-30 08:43  soyt

	* display/sub/mode.c, display/sub/visual.c,
	  extensions/test/exttest1.c, programs/check/consistency.c,
	  programs/check/pointer.c, programs/check/showaccel.c,
	  programs/check/showaccel2.c, programs/check/speed.c,
	  programs/check/structs.c, programs/demos/cube3d.c,
	  programs/demos/slimy.c, programs/demos/stars.c,
	  programs/demos/warp-ggi/color.c,
	  programs/demos/warp-ggi/dowarp.c, programs/demos/warp-ggi/main.c,
	  programs/demos/warp-ggi/readpcx.c,
	  programs/demos/warp-ggi/readtga.c, programs/util/giik2str.c,
	  programs/util/inputdump.c, programs/util/monitest/drawlib.c,
	  programs/util/monitest/flatpanel.c,
	  programs/util/monitest/ggitext.c, programs/util/monitest/menu.c,
	  programs/util/monitest/monitest.c,
	  programs/util/monitest/pattern.c,
	  programs/util/monitest/resolution.c,
	  programs/util/monitest/window.c: Include config.h correctly here
	  and there. Some targets not built on my system might need to be
	  updated too.

2005-07-29 16:45  soyt

	* configure.in: define GG_NEED_OLD_INTTYPES in config.h. Some
	  targets do not build correctly because they do not include
	  "config.h".

2005-07-29 16:30  soyt

	* include/ggi/display/glide.h, include/ggi/internal/structs.h,
	  programs/check/showaccel.c, programs/check/showaccel2.c: change
	  'ggi_uint' to 'unsigned int' or 'ggi_pixel' where appropriate

2005-07-28 11:21  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.272

2005-07-25 13:47  pekberg

	* ggi/dl.c: No hungarian notation, or anything like it, please.
	  Rename some variables.

2005-07-25 12:24  cegger

	* ggi/dl.c: introduce another temporary variable and handle the
	  filename assignment with it. Fixes warning about discarding
	  qualifier. No functional change.

2005-07-21 11:29  cegger

	* display/X/mode.c: clean up previous

2005-07-21 10:51  cegger

	* display/X/mode.c: - make tracing code little more verbose -
	  bugfix: Actually create a child window with a size of
	  (tm->virt.x,tm->virt.y) rather (tm->virt.x,tm->virt.x)

2005-07-21 08:30  cegger

	* display/X/mode.c: add little tracing code

2005-07-21 07:30  cegger

	* include/ggi/internal/dltypes.h: s/string/str/ - matches ggiPuts()
	  documentation

2005-07-21 07:27  cegger

	* include/ggi/display/sub.h, display/sub/stubs.c,
	  display/sub/visual.c: implement ggiGetCharSize

2005-07-21 07:22  cegger

	* display/sub/stubs.c: make definition paramter names match with
	  their prototypes

2005-07-21 07:03  cegger

	* include/ggi/internal/dltypes.h: targets use 'args'. Change
	  ggifunc_open()\'s third parameter to match

2005-07-21 06:57  cegger

	* display/sub/stubs.c: whtespace nits, wrap long lines

2005-07-21 06:56  cegger

	* display/sub/: mode.c, visual.c: whitespace nits

2005-07-20 14:34  cegger

	* display/directx/visual.c: pass args as is. Fixes warning about
	  discarding qualifier.

2005-07-20 14:32  cegger

	* display/directx/mode.c: remove unused variable from free_dbs().
	  Fix warnings about comparison between signed and unsigned values

2005-07-20 14:31  cegger

	* display/directx/ddinit.c: appease -Wcast-qual

2005-07-14 05:59  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the versions shipped with automake 1.9.6

2005-07-08 18:11  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.262

2005-06-28 10:18  cegger

	* Makefile.am: remove implicitly cleaned files from DISTCLEANFILES

2005-06-28 09:32  cegger

	* include/ggi/internal/Makefile.am: add debug_macros.h to
	  noinst_HEADERS. Issue found with 'make distcheck'

2005-06-28 09:13  cegger

	* Makefile.am: remove Makefile, config.status, config.log, .libs,
	  stamp-h1 and genlibtool.cache as libgii does when doing 'make
	  distclean'

2005-06-28 05:23  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1667.2.252

2005-06-20 06:27  cegger

	* patchlib.c: appease -Wcast-qual

2005-06-19 20:45  cegger

	* ggi/internal.c: #include <ggi/internal/gg_replace.h> as last
	  header to ensure, it is included _after_ <stdio.h>. On MacOSX
	  Tiger, the printf() familiy prototypes contain a macro, which
	  changes the symbolname and cause an linking error.

2005-06-18 16:45  cegger

	* display/X/buffer.c: #include <ggi/internal/gg_replace.h> after
	  <ggi/display/x.h> to give NetBSD's libc headers a chance to
	  declare intptr_t. gg_replace.h #defines intptr_t, but so does
	  NetBSD's libc headers too...	Fixes build error on NetBSD

2005-06-18 16:38  cegger

	* display/X/helper/shm/shm.c: #include <ggi/internal/gg_replace.h>
	  after <ggi/display/x.h> to give NetBSD's libc headers a chance to
	  declare intptr_t. gg_replace.h #defines intptr_t, but so does
	  NetBSD's libc headers too...	Fixes build error on NetBSD

2005-06-18 16:13  cegger

	* include/ggi/display/modelist.h: declare a function type strictly
	  standard conform. Fixes build error with gcc 3.3.3 on
	  NetBSD-current/sparc64

2005-06-17 11:48  cegger

	* display/X/helper/shm/shm.c: #include <ggi/internal/gg_replace.h>
	  and zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:45  cegger

	* display/: svgalib/mode.c, svgalib/visual.c, X/buffer.c: #include
	  <ggi/internal/gg_replace.h> and zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:41  cegger

	* display/: glide/visual.c, quartz/mode.c: #include
	  <ggi/internal/gg_replace.h> and zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:38  cegger

	* display/kgi/visual.c: #include <ggi/internal/gg_replace.h>
	  already included, so zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:36  cegger

	* display/tele/libtele.c: #include <ggi/internal/gg_replace.h> and
	  zap the #ifdef HAVE_SNPRINT

2005-06-17 11:34  cegger

	* display/memory/visual.c: #include <ggi/internal/gg_replace.h>
	  already included, so zap the #ifdef HAVE_SNPRINT

2005-06-17 11:30  cegger

	* display/: fbdev/visual.c, file/mode.c, file/ppm.c: #include
	  <ggi/internal/gg_replace.h> and zap the #ifdef HAVE_SNPRINT

2005-06-17 11:26  cegger

	* ggi/: dl.c, init.c, internal.c: #include
	  <ggi/internal/gg_replace.h> and zap the #ifdef HAVE_SNPRINT

2005-06-17 11:10  cegger

	* ggi/dl.c: #include <ggi/internal/gg_replace.h> and zap the #ifdef
	  HAVE_SNPRINTF Suggestion from Peter Ekberg

2005-06-17 10:01  cegger

	* ggi/dl.c: ensure there is no buffer overflow on platforms which
	  have no snprintf(). Unconditionally ensure, symname is
	  null-terminated.

2005-06-13 07:48  cegger

	* include/ggi/ll.h: ISO C limits enum to int. So turn values into
	  #defines, which exceeds int otherwise.  XXX: Needs review for
	  16bit (embedded) machines

2005-06-12 11:40  cegger

	* m4/ltsugar.m4: This libtool change fixes an infinite m4 loop in
	  CVS autoconf, but causes one in autoconf 2.59. Since we use the
	  stable version we downgrade...

2005-06-12 08:44  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1167.2.245

2005-06-10 12:20  cegger

	* m4/common.m4: add GGI_CHECK_LIB, like AC_CHECK_LIB, but uses
	  libtool as a compiler

2005-06-10 12:14  pekberg

	* configure.in: Make use of new macro GGI_CHECK_LIB

2005-06-10 10:43  pekberg

	* configure.in: Look for wsock32 using libtool, which makes it work
	  with msvc if libtool is msvc-patched. No harm if libtool is not
	  patched.

2005-06-10 07:50  cegger

	* display/vcsa/visual.c: appease -Wcast-qual

2005-06-10 07:43  cegger

	* display/: fbdev/color.c, fbdev/visual.c, palemu/color.c: appease
	  -Wcast-qual

2005-06-09 19:51  cegger

	* include/ggi/ggi_ext.h, ggi/ext.c: appease -Wcast-qual

2005-06-09 19:32  cegger

	* programs/util/monitest/: ggitext.c, ggitext.h, menu.h, window.h:
	  appease -Wcast-qual

2005-06-09 19:19  cegger

	* programs/regress/input.c: appease -Wcast-qual

2005-06-09 19:16  cegger

	* programs/regress/clip2d.c: appease -Wuninitialized

2005-06-09 19:10  cegger

	* programs/demos/: banner.inc.c, flying_ggis.c, saver.c, slimy.c,
	  textdemo.c, wrap.c: appease -Wcast-qual

2005-06-09 19:05  cegger

	* programs/demos/cube3d.c: appease -Wuninitialized

2005-06-09 19:01  cegger

	* programs/demos/warp-ggi/main.c: appease -Wuninitialized

2005-06-09 18:59  cegger

	* programs/demos/warp-ggi/: main.c, rawpict.h, readpcx.c,
	  readtga.c: appease -Wcast-qual

2005-06-09 18:50  cegger

	* programs/check/cbconsist.c: appease -Wcast-qual

2005-06-09 18:46  cegger

	* programs/check/: cbconsist.c, consistency.c, findleaks.c,
	  speed.c: appease -Wcast-qual

2005-06-09 18:40  cegger

	* extensions/test/: test1.c, test1.h, test2.c, test2.h: appease
	  -Wcast-qual

2005-06-09 18:30  cegger

	* default/: linear_4/color.c, linear_4/hline.c, linear_4_r/color.c,
	  linear_4_r/hline.c: appease -Wcast-qual

2005-06-09 18:26  cegger

	* default/color/pack.c: appease -Wcast-qual

2005-06-09 18:20  cegger

	* display/trueemu/trueemu.c: - remove <stdio.h> and <stdlib.h>,
	  they are not needed - use memcpy() to copy a structure
	  alignment-safe - include <string.h> for memcpy(3)

2005-06-09 18:10  cegger

	* display/tile/visual.c: appease -Wcast-qual

2005-06-09 18:06  cegger

	* display/: svgalib/mode.c, svgalib/visual.c, terminfo/visual.c:
	  appease -Wcast-qual

2005-06-09 17:58  cegger

	* display/: monotext/color.c, monotext/visual.c, multi/visual.c:
	  appease -Wcast-qual

2005-06-09 17:54  cegger

	* display/: ipc/visual.c, memory/visual.c: appease -Wcast-qual

2005-06-09 17:39  cegger

	* include/ggi/display/file.h, display/file/fileio.c,
	  display/file/mode.c, display/file/ppm.c: fix implicit wrong
	  pointer casting

2005-06-09 17:15  cegger

	* display/: X/color.c, X/hline.c, X/misc.c, X/visual.c,
	  quartz/visual.c: appease -Wcast-qual

2005-06-09 17:04  cegger

	* display/X/helper/vidmode/vidmode.c, include/ggi/display/x.h:
	  correct implicit wrong pointer type casting, which may cause
	  problems on 64bit platforms

2005-06-09 16:55  cegger

	* ggi/internal.c, include/ggi/internal/internal.h, ggi/init.c:
	  appease -Wcast-qual

2005-06-09 16:48  cegger

	* configure.in: use -Wuninitialized -Wcast-qual and -Wwrite-strings
	  on gcc

2005-06-02 20:01  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1167.2.239

2005-05-27 12:44  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3: regen.

2005-05-27 12:10  aldot

	* doc/libggi-functions.txt: - typo in documentation

2005-05-26 07:10  cegger

	* include/ggi/internal/internal.h: undo rev 1.23: libgii now
	  provides it via <ggi/system.h> (from <ggi/types.h>), so including
	  <sys/types.h> explicitely is no longer necessary.

2005-05-21 15:35  cegger

	* programs/check/speed.c: - only include unistd.h when available -
	  include limits.h when available. MacOS X Tiger #defines CLK_TCK
	  there.

2005-05-21 15:27  cegger

	* extensions/test/: test1.c, test2.c: needs config.h

2005-05-21 15:17  cegger

	* display/tile/: color.c, frames.c, line.c, stubs.c: needs config.h

2005-05-21 15:11  cegger

	* display/sub/stubs.c: needs config.h

2005-05-21 15:07  cegger

	* display/monotext/draw.c: needs config.h

2005-05-21 14:38  cegger

	* include/ggi/internal/internal.h: Platforms with a strict ANSI
	  conform libc need <sys/types.h> for ssize_t, (u)intptr_t, etc.
	  Found on MacOS X 10.4 alias Tiger

2005-05-16 15:03  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.236

2005-05-09 09:03  cegger

	* display/memory/mode.c: print a debug line when ggiCheckMode()
	  failed.

2005-04-30 18:58  aldot

	* FAQ: - typo in documentation

2005-04-30 14:07  cegger

	* display/multi/visual.c: allocate priv structure with calloc() to
	  zero fill it

2005-04-30 12:54  cegger

	* display/tile/frames.c: add debug trace

2005-04-30 12:53  cegger

	* display/tile/mode.c: GGI_tile_flush_db(): Abort when
	  priv->d_frame == NULL. This happens when mansync flushes before a
	  mode is up. Fixes crash.  GGI_tile_setflags(): Correct flags
	  handling.

	  Add various debug lines

2005-04-30 12:45  cegger

	* display/tile/visual.c: allocate priv structure with calloc() to
	  initialize the structure with zeros.	Add debug lines

2005-04-29 22:05  cegger

	* display/X/mode.c: It is plain wrong to cast a int * as a intptr_t
	  *. This cast passed as an argument steals 4 bytes from the stack
	  of _GGI_generic_checkmode_finish(). This leads to get garbarge on
	  read access and overwrites 4 bytes in the stack on write access
	  within _GGI_generic_checkmode_finish(). So use a local temporary
	  intptr_t variable instead. Fixes crash on NetBSD/sparc64 (and
	  probably on other 64bit platforms), where sizeof(intptr_t) >
	  sizeof(int)

2005-04-29 15:33  cegger

	* m4/: common.m4, libtool.m4: Quote all arguments to AC_DEFINE and
	  AC_DEFINE_UNQUOTED consistently. Patch from libtool branch-2-0

2005-04-29 08:46  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.229

2005-04-29 08:26  cegger

	* configure.in: use new GGI_GENLIBTOOL macro introduced in
	  m4/common.m4, rev 1.2

2005-04-29 08:24  cegger

	* m4/common.m4: new macro: GGI_GENLIBTOOL. It generates libtool for
	  use of configure. Implementation copied from
	  ggi-core/libgii/configure.in, rev 1.160

2005-04-29 07:40  cegger

	* m4/Makefile.am: consolidate m4 macros into one common.m4 file
	  each GGI lib or extension needs anyway.

2005-04-29 07:07  cegger

	* m4/common.m4: consolidate m4 macros into one common.m4 file each
	  GGI lib or extension needs anyway.

2005-04-28 11:35  soyt

	* ggi/ext.c: fix a bug in ggiExtensionExit. You cannot traverse a
	  list to remove elements with a simple FOREACH.

2005-04-24 09:25  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.219

2005-04-22 12:58  cegger

	* display/vcsa/visual.c: Fix warning 'cast expressions as lvalues'.
	  This actually fixes compiler error when gcc >= 3.4 is used

2005-04-22 12:54  cegger

	* display/tele/libtele.c: accept(2) wants socklen_t as third
	  argument on platforms, where socklen_t is available

2005-04-22 12:51  cegger

	* display/svgalib/hline.c: Fix warning 'passing arg 1 of
	  \'vga_drawscansegment\' discards qualifiers from pointer target
	  type'

2005-04-22 12:49  cegger

	* display/svgalib/box.c: Fix warning 'passing arg 1 of
	  \'vga_copytoplanar256\' discards qualifiers from pointer target
	  type'

2005-04-22 12:47  cegger

	* display/palemu/mode.c: cast pointer to void *. Fixes sprintf()
	  warning 'void format, ggi_visual arg (arg 3)'

2005-04-22 12:44  cegger

	* display/file/ppm.c: make write buffer unsigned. Fixes one of
	  three warnings of 'pointer targets in passing arg 2 of
	  \'_ggi_file_write_string\' differ in signedness'

2005-04-22 12:37  cegger

	* display/fbdev/color.c: nuke unused variable

2005-04-17 19:19  aldot

	* TODO: move system.h fixup TODO to correct package

2005-04-17 19:15  aldot

	* TODO: add fixing system.h to TODO for 2.2

2005-04-17 18:47  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3: regen.

2005-04-17 18:43  cegger

	* doc/libggi-functions.txt: aldot: a correct manpage reference also
	  mentions the manpage section. Fixes manpage generation

2005-04-17 17:51  aldot

	* doc/libggi-functions.txt: add a note where to find a description
	  of the return values of ggi{Input,Event}* functions.

2005-04-16 20:20  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.211

2005-04-16 20:01  cegger

	* display/X/helper/shm/shm.c: zerofill freed pointers. Fixes crash
	  on graceful shutdown.

	  XXX: helper-x-shm is NOT responsible for cleaning up things from
	  display-X nor from other display-X helpers. Things clash due to
	  multiple frees... (security hole?) TODO: Only and only clean up
	  XShm actually initiated

2005-04-16 19:51  cegger

	* display/X/helper/shm/shm.c: add debug trace on shutdown

2005-04-14 16:06  cegger

	* include/ggi/types.h: s/recieves/receives/ - pointed out from
	  Bernhard Fischer

2005-04-11 18:33  cegger

	* doc/man/: display-auto.7, display-directx.7, display-fbdev.7,
	  display-file.7, display-memory.7, display-monotext.7,
	  display-multi.7, display-palemu.7, display-quartz.7,
	  display-sub.7, display-svgalib.7, display-tele.7,
	  display-terminfo.7, display-tile.7, display-trueemu.7,
	  display-vcsa.7, display-vgl.7, display-x.7, ggi-demo.1,
	  ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetTextMode.3, ggi_color.3, ggi_colormap.3,
	  ggi_directbuffer.3, ggi_mode.3, ggi_pixelformat.3,
	  ggiteleserver.1, libggi.7: regenerate

2005-04-11 08:15  cegger

	* display/: quartz/man.txt, X/man.txt, directx/man.txt:
	  s/physz==/physz/

2005-04-11 08:02  cegger

	* display/X/man.txt: dga and vidmode support is there. Remove hint
	  that claims the opposite

2005-04-07 21:33  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.207

2005-04-04 23:04  neiljp

	* doc/libggi-functions.txt: Alter prepended 'DEPRECATED:' on
	  ggiSet*Mode documentation title to be appended '[DEPRECATED]';
	  hopefully it was the extra comma that confused the online doc
	  system (both work fine locally).

2005-03-30 10:09  mooz

	* display/X/: mode.c, helper/vidmode/vidmode.c: display/X Input is
	  now grabbed when the vidmode extension is in use.

2005-03-29 14:36  mooz

	* display/X/helper/vidmode/vidmode.c: x.vidmode : validate didn't
	  return the right mode xg86dga : fixed compilation error

2005-03-28 20:33  pekberg

	* display/X/box.c, display/X/buffer.c, display/X/color.c,
	  display/X/fillscreen.c, display/X/gtext.c, display/X/hline.c,
	  display/X/line.c, display/X/mode.c, display/X/pixel.c,
	  display/X/visual.c, display/X/vline.c,
	  display/X/helper/shm/shm.c, include/ggi/display/x.h: Do not
	  ignore mansync in display-x.	If xliblock is held while mansync
	  tries to flush, the flush is ignored. That can potentially lead
	  to no flushes at all, which is not very polite.

	  Further, in order to fix display-x to not call X functions
	  directly from mansync (which is in signal handler context if
	  sigsched is used) the flush has to be delayed somehow, this patch
	  solves that issue by using a new lock, named flushlock.

	  flushlock is checked every time xliblock is unlocked, which
	  happen regularly in input-xwin. So, in the uncontended case the
	  actual flush happens from input-xwin and in the contended case
	  the flush happens before returning to the app from whatever call
	  caused xliblock to be locked when mansync wanted to flush.

	  The function pointer priv->lock_xliblock (and the macro
	  GGI_X_LOCK_XLIB) is strictly speaking not needed, but I added it
	  for symmetry.

2005-03-20 08:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.193

2005-03-16 11:54  pekberg

	* display/tele/libtele.c: Remove the timeout in the select call,
	  making the tclient_connect function really block until the
	  connection attempt has succeeded or failed.

2005-03-16 11:30  pekberg

	* display/tele/libtele.c: If a blocking connect is interrupted by a
	  signal, it behaves as a non-blocking connect (according to
	  SUSv3). Add extra code to properly wait for the connection to
	  complete or fail when a signal interrupts a connection attempt.
	  This replaces the previous assumption that an interrupted
	  blocking connect can be restarted with the original parameters,
	  which is not the case on most UNIX implementations.

2005-03-15 12:48  pekberg

	* configure.in: Migrate genlibtool handling from libgii

2005-03-14 14:00  pekberg

	* configure.in, display/X/box.c, display/X/buffer.c,
	  display/X/hline.c, display/X/misc.c, display/X/vline.c: Fall back
	  to the old method of creating an image if XInitImage is not
	  available, which it isn't on X11R5

2005-03-11 21:13  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to verison 1.1667.2.175

2005-03-11 20:08  cegger

	* default/fbdev/: ati/mach64/visual.c, mga/2164w/visual.c,
	  mga/g400/visual.c: Merge patch from Debian Bug #297147 submitted
	  by Andreas Jochens:

	  Fix invalid lvalue in assignment Makes libggi compile again on
	  Linux/amd64 with gcc-4.0.0

	  Note, I did not merge the whole patch, because a) it is against
	  the ancient libggi 2.0.5 and b) the non-merged parts are already
	  in the tree (which slightly differ). Closes Debian Bug #297147

2005-03-11 19:51  cegger

	* doc/libggi-functions.txt: ReST formatting fix: length of
	  underline must match length of title text

2005-03-11 09:03  pekberg

	* display/tele/box.c: If the putbox/getbox is 'tiled' and the
	  rightmost tile is not of the same size as the other tiles in that
	  row, limit the size of the rightmost tile so that it fits in the
	  virtual size of the visual.

2005-03-11 08:36  pekberg

	* display/tele/libtele.c: Doh! Exterminate C++-ism.

2005-03-11 05:37  cegger

	* doc/man/: display-tele.7, ggiteleserver.1: regen.

2005-03-11 05:35  cegger

	* display/tele/man.txt: remove double backticks. Within a literal
	  block, they have no meaning.

2005-03-10 14:29  pekberg

	* display/tele/man.txt: Describe the possibility to use Unix domain
	  sockets in ggiteleserver.

2005-03-10 14:27  pekberg

	* display/tele/libtele.c: Reenable the possibility to specify which
	  ggiteleserver display to connect to.	This feature was lost in a
	  security 'fix'.

2005-03-10 14:18  pekberg

	* display/tele/man.txt: Attempt to describe how to setup
	  display-tele and ggiteleserver for them to interact.

2005-03-09 11:04  pekberg

	* include/ggi/internal/ggi_debug.h: Make it compile with gcc 2.8.1

2005-03-05 23:27  cegger

	* display/X/color.c: - take the colormap size from the XVisualInfo
	  given as argument, not from the private structure - turn an
	  APP_ASSERT into a LIB_ASSERT. It's not applications fault, when
	  display-x thinks != DirectColor means == TrueColor - add
	  assertion for DirectColor X visuals

2005-03-05 23:04  cegger

	* display/X/color.c: also take the colormap size from the
	  XVisualInfo for the clut. Saves some memory.

2005-03-05 22:52  cegger

	* display/X/color.c: do not calculate the colormap size. Simply
	  take it from the XVisualInfo. This works always. Fixes X error in
	  XStoreColor() when colormap size is < 256. This fix also makes
	  programs/check/palette work on Solaris/sparc64

2005-03-03 11:26  mooz

	* display/X/color.c: The colormap (priv->cmap) was not installed.
	  That's why programs/check/palette didn't display the right color.
	  (i don't know if priv->cmap2 needs to be installed. anyone?)

2005-03-02 20:11  pekberg

	* display/X/color.c, include/ggi/display/x.h: Back out fix for
	  palette bug when specifying GGI_DONTCARE as index, as the fix
	  breaks the colormap concept.

2005-03-02 14:36  pekberg

	* display/X/color.c, include/ggi/display/x.h: Fix palette bug when
	  specifying GGI_DONTCARE as index.

2005-02-26 18:31  cegger

	* doc/man/: ggiSetMode.3, ggiSetTextMode.3, Makefile.am,
	  ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetGraphMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggiSetSimpleMode.3, libggi.7: regen.

2005-02-26 18:26  neiljp

	* doc/libggi-functions.txt: Move deprecated ggiSet*Mode functions
	  to their own man page, rewording and emphasising the recommended
	  use of ggiCheck*Mode and ggiSetMode instead

2005-02-26 18:21  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.166

2005-02-23 14:13  pekberg

	* configure.in, programs/demos/cube3d.c: Make the cube3d demo work
	  on win32 using MSVC.

2005-02-23 05:30  orzo

	* doc/checkmode.txt: * checkmode.txt: corrected spelling and made
	  minor clarifications

2005-02-23 03:06  orzo

	* doc/checkmode.txt: Added checkmode.txt documenting Generic
	  Checkmode API.

2005-02-22 09:17  cegger

	* display/X/misc.c: remove dead code in _ggi_x_create_ximage()

2005-02-22 09:14  cegger

	* display/X/helper/shm/shm.c: take bit and byte order information
	  from the Xserver

2005-02-19 00:57  orzo

	* configure.in: Test for XFree86-DGA version 2.0.  Prior versions
	  are not supported by helper-x-dga.

2005-02-18 23:53  orzo

	* display/X/helper/dga/dga.c: Updated helper-x-dga to open
	  input-xf86dga instead of input-dga which doesn't exist.

2005-02-18 16:28  orzo

	* display/X/: misc.c, mode.c, helper/dga/dga.c: * Enabled keyboard
	  input for helper-x-dga.  * Changed the creation of xpriv->gc and
	  xpriv->tempgc to use dga-compatible	      drawable instead of
	  window.  * cosmetic changes to misc.c

2005-02-17 23:23  cegger

	* ltmain.sh: pass -pthread like flags to the linker when linking
	  executables too. Now libtool tracks -pthread dependency correctly

2005-02-16 06:13  cegger

	* display/X/visual.c: do not include <ggi/internal/gg_replace.h>
	  _before_ <stdint.h>. Otherwise this problem arises:

	  #ifndef intptr_t #define intptr_t  intptr_t #endif

	  This means, intptr_t gets declared to itself.

	  In NetBSD's and OpenBSD's <stdint.h> you find this:

	  #ifndef intptr_t typedef __intptr_t	intptr_t; #define intptr_t
	     __intptr_t #endif

	  Now the fact intptr_t is already #defined by gg_replace.h,
	  intptr_t does not get declared at all leading to an build
	  failure.

	  Rule: Always include libc headers _before_ gg_replace.h

2005-02-15 22:44  cegger

	* TODO: update helper-x-dbe item with information from discussion
	  with skids

2005-02-15 08:13  cegger

	* default/fbdev/ati/mach64/README: note, checkmode has been
	  rewritten and this GT_DEPTH bug might have been fixed, but has
	  not been verified yet.

2005-02-15 08:07  cegger

	* display/trueemu/mode.c: kill warning 'void format, ggi_visual arg
	  (arg 3)'

2005-02-15 06:25  cegger

	* autogen.sh: We now require automake 1.9.5 to benefit from
	  bugfixes and a license change:

	  All m4 files have been relicensed under an all-permissive
	  license.

	  Previously they used a GPL license, and an all-permissive license
	  was prepended when they were copied into aclocal.m4, leading to
	  some confusion.

2005-02-15 06:05  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to versions shipped with automake 1.9.5

2005-02-14 19:39  cegger

	* include/ggi/display/modelist.h: some platforms have intptr_t
	  declaration in <inttypes.h>. Issue found by autobuilder

2005-02-14 19:26  cegger

	* display/fbdev/mode.c: move variable definitions to the
	  initialization section. Remove double initialization of
	  saved_timing. Fixes build failure found by autobuilder

2005-02-12 13:23  cegger

	* display/X/fillscreen.c: move ggi_x_priv assignment below
	  initialization part. Fixes build failure found by autobuilder

2005-02-10 21:47  cegger

	* display/X/misc.c: some more fixes to _ggi_x_create_ximage(). It
	  works again.	- set bitmap_unit and bitmap_pad to 0 - do not
	  trust XInitImage() to calculate bytes_per_line right - remove
	  some wrong casts to unsigned

2005-02-10 20:32  cegger

	* display/X/: hline.c, vline.c: check for failure of
	  _ggi_x_create_ximage().  XXX: This may hide a bug in
	  misc.c:_ggi_x_create_ximage()

2005-02-10 18:49  cegger

	* display/X/box.c: check for failure of _ggi_x_create_ximage().
	  Fixes ggiterm crash on visual bell.

	  XXX: This may hide a bug in misc.c:_ggi_x_create_ximage()

2005-02-10 18:44  cegger

	* display/X/misc.c: use values from X server to fill the ximage
	  byte_order, bitmap_bit_order, bitmap_unit and bitmap_pad values.

2005-02-10 18:06  cegger

	* display/X/helper/dga/dga.c: fix c++ ism. Make it compile on
	  NetBSD/i386. Found by autobuilder

2005-02-10 16:42  orzo

	* display/X/: fillscreen.c, mode.c: Fixed _GGI_X_checkmode_adapt()
	  to handle fullscreen properly.  Removed extra #define CLIPSIZE in
	  fillscreen.c

2005-02-10 04:57  orzo

	* display/common/modelist.inc, include/ggi/display/modelist.h:
	  Checkmode API: will now return GGI_ENODEVICE if update() is never
	  called.  modelist.h now includes gg_replace.h.  Added rule to
	  prefer greater physical sizes to smaller ones.

2005-02-10 04:55  orzo

	* display/X/box.c, display/X/buffer.c, display/X/fillscreen.c,
	  display/X/hline.c, display/X/misc.c, display/X/mode.c,
	  display/X/visual.c, display/X/vline.c, include/ggi/display/x.h:
	  display-x: now uses it's own function to prepare XImages as
	  XCreateImage requires a Visual.  The old _ggi_x_create_ximage()
	  was renamed to _ggi_x_createfb().  Fixed fillscreen to use other
	  colors besides black.  checkmode_adapt() and checkmode_adjust()
	  are now overloadable by extensions (for vidmode).

2005-02-09 17:20  mooz

	* display/X/helper/vidmode/vidmode.c: Removed pointer type warning

2005-02-09 09:27  cegger

	* ggi/init.c: revert previous commit. Actually two bytes are
	  needed: One for the slash and one for the terminator.  Update
	  comment.  Spotted by Peter Ekberg

2005-02-09 09:09  cegger

	* ggi/init.c: allocate one more byte for the additional slash in
	  sprintf()

2005-02-09 07:38  cegger

	* programs/regress/mapcolor.c: call ggiSetColorfulPalette() for
	  palette modes.

2005-02-09 06:34  orzo

	* display/common/modelist.inc, display/fbdev/mode.c,
	  include/ggi/display/modelist.h: Oops, the update to use intptr_t
	  for mode_extra in checkmode API didn't take.

2005-02-09 06:28  orzo

	* display/X/helper/dga/dga.c: Fixed warnings concerning mode_extra
	  parameter in checkmode code.

2005-02-09 06:17  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1667.2.158

2005-02-09 06:09  orzo

	* display/X/: misc.c, mode.c: Changed checkmode API to use intptr_t
	  for mode_extra instead of void *.  Also more cleanup of setmode()
	  for display-x.

2005-02-08 10:28  orzo

	* display/common/modelist.inc: Changed logic in generic checkmode.
	  Color depth should be maximized instead of minimized when GT_AUTO
	  is specified.

2005-02-08 10:02  cegger

	* display/X/mode.c: add debug code that tells the visual id. With
	  this information you can figure out with xdpyinfo, which visual
	  has been taken.

2005-02-07 20:18  cegger

	* display/quartz/mode.c: checkmode: return GGI_ENOMATCH rather -1

2005-02-07 19:25  cegger

	* display/X/helper/dga/dga.c: code indentation cleanup. Fix c++
	  variable declaration

2005-02-07 17:03  mooz

	* display/X/helper/vidmode/vidmode.c: Modified vidmode helper in
	  order to use the new setmode scheme

2005-02-07 12:19  pekberg

	* display/directx/mode.c: When checking a mode with only a physical
	  size (rest GGI_AUTO), make sure the physical size is updated if
	  the resulting visual does not fit on the screen.

2005-02-07 11:20  pekberg

	* programs/regress/mode.c: New test that checks what happens when
	  checking a mode with lots of GGI_AUTO but a braindamaged physical
	  size.

2005-02-07 07:27  orzo

	* display/X/fillscreen.c, display/X/misc.c, display/X/mode.c,
	  display/X/visual.c, display/X/helper/dga/dga.c,
	  display/X/helper/shm/shm.c, include/ggi/display/x.h: Major
	  cleanup of the x target.  Now uses _GGI_generic_checkmode_*
	  functions.  Created boolean xpriv->ok_to_resize that is tested
	  instead of testing the value of opdisplay->checkmode which now
	  always points to one function that can behave as either
	  checkmode_normal or checkmode_fixed.	setmode is similarly merged
	  into one function.  display-x's fillscreen was adjusted to use
	  DrawRectangle instead of ClearWindow to be useful for dga modes.
	  The dga helper is started and can set the mode but has no input.

2005-02-06 13:08  cegger

	* display/fbdev/mode.c: do not define a variable within logic. This
	  is allowed in C++, but not in C. Fixes various buildfailures
	  found on autobuilder.

2005-02-06 13:03  cegger

	* display/common/modelist.inc: do not define a variable within
	  logic. Fixes various buildfailures found on autobuilder.

2005-02-03 18:12  orzo

	* display/fbdev/mode.c: Altered display/fbdev/mode.c to make use of
	  Generic CheckMode API

2005-02-03 18:10  orzo

	* include/ggi/display/xf86dga.h: Alters display-dga to make use of
	  Generic CheckMode API

2005-02-03 18:06  orzo

	* display/common/modelist.inc, include/ggi/display/modelist.h:
	  Generic CheckMode API implemented in modelist.inc

2005-02-03 00:19  cegger

	* display/fbdev/: color.c, mode.c, visual.c: break
	  GGI_fbdev_color_reset() into two functions: GGI_fbdev_color0()
	  and GGI_fbdev_color_free() The shutdown process now only calls
	  GGI_fbdev_color_free().

	  Fixes SF Bug #1097754 -
	  https://sourceforge.net/tracker/?group_id=16307&atid=116307

2005-02-01 21:08  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.149

2005-01-31 18:51  skids

	* TODO:
	  Some expansion/clarification on a few points.

2005-01-31 18:34  cegger

	* display/common/modelist.inc, include/ggi/display/modelist.h,
	  include/ggi/display/xf86dga.h: ident -kr -i8 patch form urz (IRC)

2005-01-29 13:52  cegger

	* display/quartz/mode.c, display/quartz/quartz.h,
	  include/ggi/display/quartz.h: add second parameter to
	  GGI_quartz_updateWindowContext() that tells it if manual refresh
	  is needed.

2005-01-29 08:47  cegger

	* programs/check/findleaks.c: #include config.h. It is needed to
	  get HAVE_UNISTD_H defined. Makes this compile again.

	  Patch from urz (IRC)

2005-01-28 22:31  cegger

	* display/quartz/mode.c: no need to run the same instruction twice

2005-01-28 12:20  cegger

	* display/quartz/visual.c: remove disabled code

2005-01-28 10:06  cegger

	* display/quartz/mode.c: pass GII_QZFLAG_UPDATE_WINDOW to the new
	  .flag member in gii_quartz_cmddata_setparam, when a mode is set
	  the first time - which means a window reference is available

2005-01-27 20:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.141

2005-01-27 10:04  pekberg

	* display/directx/mode.c: Do less work when ggiSetMode is used to
	  only resize the current mode.

2005-01-27 08:17  pekberg

	* display/directx/ddinit.c, include/ggi/display/directx.h,
	  display/directx/mode.c, display/directx/visual.c: Change locking
	  in the directx target to use a mutex instead of a critical
	  section. The ordinary ggLock can't be used as the ggLock is not
	  reentrant by the thread that owns the lock, a feature required by
	  the window procedure.  The reentrance feature *could* be supplied
	  by ggLocks, but only by introducing more locks, which would hurt
	  performance. Critical sections can't be used as the entry point
	  TryEnterCriticalSection does not exist on Win9x/ME.

2005-01-25 12:01  pekberg

	* ggi/ext.c, ggi/init.c, include/ggi/display/multi.h,
	  include/ggi/internal/structs.h: structs are apparently required
	  to have names on MSVC.

2005-01-25 11:54  pekberg

	* include/ggi/internal/ggi_debug.h: MSVC does not have variadic
	  macros.

2005-01-25 11:53  pekberg

	* programs/check/cbconsist.c: Replace getopt() if it's missing.

2005-01-25 11:52  pekberg

	* programs/regress/testsuite.inc.c: Replace getopt() if it's
	  missing.  #define printassert to nothing on MSVC as it does not
	  have variadic macros.

2005-01-25 11:50  pekberg

	* programs/: check/showaccel.c, demos/flying_ggis.c: Only #include
	  <unistd.h> and <sys/time.h> if they're there.

2005-01-25 11:48  pekberg

	* display/directx/Makefile.am: Add dependency on user32.dll

2005-01-25 11:47  pekberg

	* display/tele/events.c, display/tele/text.c, display/tile/mode.c,
	  programs/check/findleaks.c, programs/demos/demo.c,
	  programs/demos/stars.c: Only #include <unistd.h> if it's there.

2005-01-25 11:43  pekberg

	* display/mansync/mansync.c: #warning is not portable

2005-01-24 22:12  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.137

2005-01-23 21:57  nsouch

	* default/kgi/ATI/Mach64/mach64_accel.h,
	  default/kgi/ATI/Radeon/radeon_accel.h,
	  default/kgi/Matrox/Gx00/Gx00_accel.h, display/kgi/accel.c,
	  display/kgi/color.c, display/kgi/kgi.c, display/kgi/visual.c:
	  Include ggi_debug.h for DPRINT

2005-01-23 21:42  nsouch

	* display/kgi/mode.c: Include ggi_debug.h for DPRINT

2005-01-20 21:20  cegger

	* default/color/color.c: GGI_color_setpalvec(): remove one
	  indentation level

2005-01-19 20:55  pekberg

	* display/directx/: ddinit.c, ddinit.h: Spin in a less contentious
	  way when a window update is needed.  Improves the wmhtest program
	  tremendously.

2005-01-19 07:54  cegger

	* display/quartz/: mode.c, quartz.h, visual.c: implement
	  GGI_quartz_updateWindowContext().

	  It updates the internal window context, useful for resizing w/o
	  requiring to destroy/re-create the whole window.

2005-01-19 07:43  cegger

	* include/ggi/display/quartz.h: add new function:
	  GGI_quartz_updateWindowContext()

	  It updates the internal window context, useful for resizing w/o
	  requiring to destroy/recreate the whole window.  It is exported
	  for use in extensions like libggiwmh

2005-01-18 20:22  cegger

	* programs/regress/mode.c: add testcase6 and testcase7: Test if
	  re-setting of a different mode works - one time in async mode
	  (disables mansync if used), one time in sync mode (enables
	  mansync if used)

2005-01-18 19:40  cegger

	* display/quartz/Makefile.am, display/quartz/color.c,
	  display/quartz/gc.c, display/quartz/mode.c,
	  display/quartz/quartz.h, display/quartz/visual.c,
	  include/ggi/display/quartz.h: move function declarations we do
	  not export for use of libggi extensions to internal header

2005-01-16 14:34  cegger

	* doc/man/display-sub.7: regen.

2005-01-16 14:33  cegger

	* display/sub/man.txt: - put (0,0) coordinate in brackets -
	  s/undesired/unintended/

	  Suggestions by Neil Pilgrim

2005-01-16 14:24  cegger

	* doc/man/display-sub.7: regen.

2005-01-16 14:23  cegger

	* display/sub/man.txt: add a warning/important paragraph:

	  It is possible to have 0,0 as upper,left corner. But beware, 0
	  means GGI_AUTO and therefore it may get overriden by GGI_DEFMODE
	  enironment variable. In this case, you may get undesired results.

2005-01-14 09:38  pekberg

	* default/linear_8/crossblit.c, display/X/visual.c,
	  display/directx/mode.c, display/directx/visual.c,
	  display/kgi/visual.c, display/memory/visual.c,
	  display/suidkgi/suidbridge.c, ggi/internal.c, ggi/mode.c: Make
	  sure users of functions that might be replaced use the versions
	  in libgg if the functions supplied by the system are
	  broken/missing.

2005-01-13 23:15  cegger

	* ggi/init.c: ggiInit(): simplify algorithm. Now there is a much
	  better error checking.

2005-01-13 22:46  cegger

	* ggi/: Makefile.am, init.c, swar.c, swar.h: refactor: move swar
	  support out from init.c into swar.c/h

2005-01-13 22:17  cegger

	* ggi/: Makefile.am, ext.c, ext.h, init.c: refactor: move extension
	  handling out of init.c into ext.c.  Call ggiExtensionInit() in
	  ggiInit() and ggiExtensionExit() in ggiExit(). Declare
	  ggiExtensionInit() and ggiExtensionExit() in ext.h rather in
	  <ggi/internal/internal.h> as they are NOT exported to extensions
	  or any other modules.

2005-01-13 21:18  cegger

	* ggi/init.c: ggiOpen(): do not call va_end(drivers) twice times.

2005-01-13 21:04  cegger

	* ggi/init.c: ggiOpen(): introduce MAX_TARGET_LEN rather hardcoding
	  1024

2005-01-13 20:54  cegger

	* ggi/init.c: HAVE_EXTENSIONS was logical inverted. Introduce
	  HAVE_NO_EXTENSIONS and adapt the conditions so that they mean how
	  they read

2005-01-13 19:34  cegger

	* ggi/init.c: add some macros for the extension list. Simplifies
	  code reading.

2005-01-13 19:14  cegger

	* ggi/init.c: ggiExtensionRegister(): There is no need to check if
	  the extension list is empty or not. Simplifies the list
	  insertion.

2005-01-13 19:05  cegger

	* ggi/init.c: empty _ggiExtension list in ggiExit() on shutdown the
	  right way. Add an assertion, that the list is actually empty.
	  Fixes a crash on graceful display-x exit.

2005-01-13 11:47  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 version
	  1.1667.2.129

2005-01-11 23:57  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  version 1.1667.2.127

2005-01-06 23:08  cegger

	* display/X/helper/shm/shm.c: re-order pointer assignments. Fixes
	  warning about signment differences.

2005-01-06 22:56  cegger

	* display/X/visual.c: add debug code to GGIclose()

2005-01-06 12:04  cegger

	* display/X/: hline.c, vline.c, buffer.c: XCreateImage() expects
	  6th arg as char *. So cast explicitely to it. Fixes gcc warnings
	  on Solaris/sparc64

2005-01-05 13:48  soyt

	* include/ggi/internal/ggi_debug.h: use my personal email address

2005-01-04 13:08  pekberg

	* display/directx/: Makefile.am, cursor.inc, ddinit.c: Split out
	  the cursor graphics to a new file.

2005-01-04 10:22  pekberg

	* display/directx/ddinit.c: WindowProc is a local function, declare
	  it static.

2005-01-03 14:38  cegger

	* display/memory/visual.c: correct comment in GGIopen(): We already
	  have a generic pixelformat parser in GGI core, namely
	  _ggi_parse_pixfmtstr

2005-01-03 13:11  pekberg

	* display/directx/ddinit.c: Use pthreads for the helper thread on
	  Cygwin, so that the helper thread can grab locks in gii.
	  Implement switch requests so that the app is made aware of user
	  resizes.

2005-01-03 13:07  pekberg

	* display/directx/: ddinit.c, mode.c, visual.c: Debug output
	  cleanup.

2005-01-01 22:56  mooz

	* display/X/EXPSYMS: Removed _ggi_x_fit_geometry

2005-01-01 22:54  mooz

	* display/X/: EXPSYMS, mode.c, helper/vidmode/vidmode.c: Some bugs
	  were fixed in vidmode helper. A dirty hack was introduced in
	  GGI_X_checkmode_normal and GGI_X_checkmode_fixed in order to
	  recompute virtual (if it was specified as GGI_AUTO) and physical
	  size after mode validation.

2004-12-30 22:20  cegger

	* display/quartz/mode.c: when tryflag == 0, _ggiInternFlush() is
	  called from helper-mansync. In this case, there is no need to
	  disable and re-enable mansync. This actually results in a speed
	  gain on sync mode.

2004-12-30 20:22  cegger

	* display/quartz/visual.c: disable the 'maximize' and 'window
	  close' bottons and do not allow resizing. libggiwmh is
	  responsible for providing these features.

2004-12-30 17:28  cegger

	* display/auto/: os/darwin.c, target/quartz.c, target/target.am,
	  target/target.h: add display-quartz(7) to the auto-detection list
	  at the top on darwin, so that it is the primary target on MacOSX
	  now.

2004-12-29 22:18  cegger

	* configure.in, programs/regress/Makefile.am,
	  programs/regress/display.quartz/.cvsignore,
	  programs/regress/display.quartz/Makefile.am,
	  programs/regress/display.quartz/mansync.c: add mansync regression
	  test for display-quartz

2004-12-29 20:51  cegger

	* Makefile.am, default/Makefile.am, default/color/Makefile.am,
	  default/common/Makefile.am, default/fbdev/Makefile.am,
	  default/fbdev/ati/Makefile.am,
	  default/fbdev/ati/mach64/Makefile.am,
	  default/fbdev/directfb/Makefile.am,
	  default/fbdev/directfb/core/Makefile.am,
	  default/fbdev/directfb/core/fusion/Makefile.am,
	  default/fbdev/mga/Makefile.am,
	  default/fbdev/mga/2164w/Makefile.am,
	  default/fbdev/mga/g400/Makefile.am, default/ilbm/Makefile.am,
	  default/iplanar_2p/Makefile.am, default/kgi/Makefile.am,
	  default/kgi/ATI/Makefile.am, default/kgi/ATI/Mach64/Makefile.am,
	  default/kgi/ATI/Radeon/Makefile.am,
	  default/kgi/Matrox/Makefile.am,
	  default/kgi/Matrox/Gx00/Makefile.am,
	  default/linear_1/Makefile.am, default/linear_16/Makefile.am,
	  default/linear_1_r/Makefile.am, default/linear_2/Makefile.am,
	  default/linear_24/Makefile.am, default/linear_32/Makefile.am,
	  default/linear_4/Makefile.am, default/linear_4_r/Makefile.am,
	  default/linear_8/Makefile.am, default/planar/Makefile.am,
	  default/pseudo_stubs/Makefile.am, default/stubs/Makefile.am,
	  default/text_16/Makefile.am, default/text_32/Makefile.am,
	  display/Makefile.am, display/X/Makefile.am,
	  display/X/helper/Makefile.am, display/X/helper/dbe/Makefile.am,
	  display/X/helper/dga/Makefile.am,
	  display/X/helper/evi/Makefile.am,
	  display/X/helper/shm/Makefile.am,
	  display/X/helper/vidmode/Makefile.am, display/aa/Makefile.am,
	  display/auto/Makefile.am, display/common/Makefile.am,
	  display/directx/Makefile.am, display/fbdev/Makefile.am,
	  display/file/Makefile.am, display/glide/Makefile.am,
	  display/ipc/Makefile.am, display/kgi/Makefile.am,
	  display/lcd823/Makefile.am, display/libkgi/Makefile.am,
	  display/linvtsw/Makefile.am, display/mansync/Makefile.am,
	  display/memory/Makefile.am, display/monotext/Makefile.am,
	  display/multi/Makefile.am, display/palemu/Makefile.am,
	  display/quartz/Makefile.am, display/sub/Makefile.am,
	  display/svgalib/Makefile.am, display/tele/Makefile.am,
	  display/terminfo/Makefile.am, display/tile/Makefile.am,
	  display/trueemu/Makefile.am, display/vcsa/Makefile.am,
	  display/vgagl/Makefile.am, display/vgl/Makefile.am,
	  dist/Makefile.am, dist/rpm/Makefile.am, doc/Makefile.am,
	  doc/man/Makefile.am, extensions/Makefile.am,
	  extensions/test/Makefile.am, ggi/Makefile.am,
	  include/Makefile.am, include/ggi/Makefile.am,
	  include/ggi/default/Makefile.am, include/ggi/display/Makefile.am,
	  include/ggi/internal/Makefile.am,
	  include/ggi/internal/font/Makefile.am, m4/Makefile.am,
	  programs/Makefile.am, programs/check/Makefile.am,
	  programs/demos/Makefile.am, programs/demos/warp-ggi/Makefile.am,
	  programs/regress/Makefile.am,
	  programs/regress/display.aa/Makefile.am,
	  programs/regress/display.mansync/Makefile.am,
	  programs/regress/display.palemu/Makefile.am,
	  programs/regress/display.tile/Makefile.am,
	  programs/regress/display.trueemu/Makefile.am,
	  programs/regress/display.x/Makefile.am,
	  programs/util/Makefile.am, programs/util/monitest/Makefile.am:
	  add new Makefile target: maintainer-clean:

	  maintainer-clean unconditionally removes all autogenerated files.
	  It leaves the tree in a state comparable to a fresh CVS checkout.
	   Patch from Tobias Hunger.

2004-12-29 15:03  cegger

	* display/quartz/mode.c: do not flush as long as no mode has been
	  set up. The Quartz context becomes valid in setmode. This case
	  occurs at startup when we are in sync mode and mansync starts up.

2004-12-29 11:07  cegger

	* doc/man/display-quartz.7: regen.

2004-12-29 11:04  cegger

	* display/quartz/man.txt: document the new -nomansync option

2004-12-29 11:01  cegger

	* display/quartz/: man.txt, mode.c, visual.c: implement mansync
	  support. syncronous mode now works

2004-12-29 10:13  cegger

	* include/ggi/display/quartz.h: add interface for mansync support

2004-12-28 21:26  cegger

	* display/quartz/visual.c: bugfix: do not set gii_input pointer to
	  NULL w/o any reason.

2004-12-28 18:50  cegger

	* config.guess, config.sub, install-sh: update to the versions
	  shipped with automake 1.9.4

2004-12-28 18:28  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.118

2004-12-28 15:45  cegger

	* display/quartz/mode.c: move debug code to the right debug levels
	  (mode, misc)

2004-12-27 22:55  cegger

	* display/X/box.c: cast data to (char *) as requested by
	  XCreateImage().  Fixes warning: 'passing arg 6 of XCreateImage
	  discards qualifiers from pointer target type'

2004-12-27 22:42  cegger

	* include/ggi/display/quartz.h: forgot to commit previously. This
	  header has been updated during the display-quartz rewrite from
	  scratch

2004-12-27 21:44  cegger

	* doc/man/: display-directx.7, display-x.7: regen.

2004-12-27 20:57  cegger

	* doc/man/display-quartz.7: regen.

2004-12-27 20:50  cegger

	* display/quartz/: Makefile.am, color.c, gc.c, man.txt, mode.c,
	  visual.c: Here we go:

	  rewrite display-quartz from scratch: display-quartz uses the
	  MacOSX Quartz/Carbon API. display-quartz now is another windowed
	  target.  It uses input-quartz for input. It is slow because of
	  missing hw acceleration, but all regression tests (except mode,
	  testcase1) pass.  mplayer works, for ggiterm, input-quartz needs
	  some more work to be usable, though.

	  MacOSX 10.2.8 (Jaguar) is required. Update display-quartz(7)
	  manpage.

2004-12-27 20:46  pekberg

	* display/directx/man.txt: Mention -fullscreen in the Synopsis.
	  Add some logical relations between the options.

2004-12-27 20:40  cegger

	* display/X/man.txt: add missing '>' after <winid. Pointed out by
	  Peter Ekberg

2004-12-25 23:17  cegger

	* programs/regress/: Makefile.am, mapcolor.c: add regression test
	  for color mapping. testcase1 tests ggiMapColor()/ggiUnmapPixel().
	  Testcase for ggiPackColors()/ggiUnpackPixels() missing.

2004-12-25 22:16  cegger

	* programs/regress/mode.c: testcase3: do not open the memory
	  target. Open the default target instead. Allows testing of frame
	  support also on other targets than display-memory

2004-12-25 15:52  cegger

	* display/X/helper/shm/shm.c: Do correct overflow check: When we
	  start writing into a string from position i, then maxlength is
	  maxlength minus i.

2004-12-25 15:46  cegger

	* display/X/buffer.c: Do correct overflow check: When we start
	  writing into a string from position i, then maxlength is
	  maxlength minus i.

2004-12-22 13:13  cegger

	* checkversion.sh: use 'head -n 1' than 'head -1'. Last form is
	  depricated. Patch from Tobias Hunger.

2004-12-14 20:39  cegger

	* ggi/stubs.c: use K&R coding style.

2004-12-14 13:43  pekberg

	* configure.in: libgalloc was renamed to libggigalloc

2004-12-13 17:37  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.100

2004-12-12 14:47  neiljp

	* ggi/: init.c, stubs.c: Minor ggiInit tweak, plus add w,h
	  bounds-checking to ggiFlushRegion stub

2004-12-10 23:46  neiljp

	* ggi/stubs.c: Fix location of parentheses in error checking of
	  ggiPackColors stub

2004-12-08 08:36  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.6 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  'fmt' becomes 'form'. Finally, it is in a working state again.

2004-12-08 07:25  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.5 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  disable DPRINTIF that is meant for compatibility. Fixes build
	  problems due to re-declaration.

2004-12-07 18:32  pekberg

	* doc/README.directx: Mention that building in dirs with spaces is
	  unwise

2004-12-07 09:01  cegger

	* include/ggi/internal/debug_macros.h: sync with rev. 1.4:

	  More work on the debug framework - multiple debug level - macros
	  for defining debug context

2004-12-01 23:38  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3: regen.

2004-12-01 23:08  cegger

	* default/kgi/ATI/Radeon/box.c, default/kgi/ATI/Radeon/line.c,
	  default/linear_1/hline.c, default/linear_1/vline.c,
	  default/linear_16/box.c, default/linear_16/hline.c,
	  default/linear_16/vline.c, default/linear_24/box.c,
	  default/linear_24/hline.c, default/linear_24/vline.c,
	  default/linear_32/box.c, default/linear_32/hline.c,
	  default/linear_32/vline.c, default/linear_4/hline.c,
	  default/linear_4/vline.c, default/linear_4_r/hline.c,
	  default/linear_4_r/vline.c, default/linear_8/box.c,
	  default/linear_8/hline.c, default/linear_8/vline.c,
	  default/linmm_banked/hline.c, default/linmm_banked/vline.c,
	  default/stubs/box.c, default/stubs/hline.c,
	  default/stubs/vline.c, display/X/box.c, display/X/hline.c,
	  display/X/vline.c, display/glide/box.c, display/glide/line.c,
	  display/libkgi/drawops.c, display/monotext/draw.c,
	  display/multi/stubs.c, display/palemu/draw.c,
	  display/sub/stubs.c, display/svgalib/box.c,
	  display/svgalib/hline.c, display/tele/box.c,
	  display/tile/stubs.c, display/trueemu/stubs.c,
	  display/vcsa/draw.c, display/vgagl/box.c, display/vgagl/hline.c,
	  display/vgagl/vline.c, display/vgl/draw.c,
	  doc/libggi-functions.txt, ggi/stubs.c, include/ggi/ggi.h,
	  include/ggi/display/x.h, include/ggi/internal/dltypes.h: constify
	  buf argument of ggiPutHLine(3), ggiPutVLine(3) and ggiPutBox(3).
	  Patch from Neil Pilgrim

2004-11-30 21:31  cegger

	* NEWS: merge revisions 1.7.2.1 - 1.7.2.2 from stable branch-2-1:

	  add release notes for libggi 2.1.0

2004-11-30 21:20  cegger

	* NEWS: merge revisions 1.5.2.2 - 1.5.2.3 from stable branch_2_0:

	  add release notes for libggi 2.0.7

2004-11-30 14:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.95

2004-11-30 08:07  cegger

	* display/linvtsw/Makefile.am: don't set AM_CPPFLAGS twice.
	  Prevents to override itself. Now DEBUG_NAMESPACE is actually
	  defined

2004-11-29 19:51  soyt

	* default/color/Makefile.am, default/fbdev/ati/mach64/Makefile.am,
	  default/fbdev/directfb/Makefile.am,
	  default/fbdev/mga/2164w/Makefile.am,
	  default/fbdev/mga/g400/Makefile.am, default/ilbm/Makefile.am,
	  default/ioctl/Makefile.am, default/iplanar_2p/Makefile.am,
	  default/kgi/ATI/Mach64/Makefile.am,
	  default/kgi/ATI/Radeon/Makefile.am,
	  default/kgi/Matrox/Gx00/Makefile.am,
	  default/linear_1/Makefile.am, default/linear_16/Makefile.am,
	  default/linear_1_r/Makefile.am, default/linear_2/Makefile.am,
	  default/linear_24/Makefile.am, default/linear_32/Makefile.am,
	  default/linear_4/Makefile.am, default/linear_4_r/Makefile.am,
	  default/linear_8/Makefile.am, default/linmm_banked/Makefile.am,
	  default/planar/Makefile.am, default/pseudo_stubs/Makefile.am,
	  default/ramdac/Makefile.am, default/stubs/Makefile.am,
	  default/text_16/Makefile.am, default/text_32/Makefile.am,
	  display/X/Makefile.am, display/X/helper/dbe/Makefile.am,
	  display/X/helper/dga/Makefile.am,
	  display/X/helper/evi/Makefile.am,
	  display/X/helper/shm/Makefile.am,
	  display/X/helper/vidmode/Makefile.am, display/aa/Makefile.am,
	  display/auto/Makefile.am, display/directx/Makefile.am,
	  display/fbdev/Makefile.am, display/file/Makefile.am,
	  display/glide/Makefile.am, display/ipc/Makefile.am,
	  display/kgi/Makefile.am, display/lcd823/Makefile.am,
	  display/libkgi/Makefile.am, display/linvtsw/Makefile.am,
	  display/mansync/Makefile.am, display/memory/Makefile.am,
	  display/monotext/Makefile.am, display/multi/Makefile.am,
	  display/palemu/Makefile.am, display/quartz/Makefile.am,
	  display/sub/Makefile.am, display/suidkgi/Makefile.am,
	  display/svgalib/Makefile.am, display/tele/Makefile.am,
	  display/terminfo/Makefile.am, display/tile/Makefile.am,
	  display/trueemu/Makefile.am, display/vcsa/Makefile.am,
	  display/vgagl/Makefile.am, display/vgl/Makefile.am,
	  ggi/Makefile.am, programs/regress/Makefile.am: - change AM_CFLAGS
	  to AM_CPPFLAGS - use '.' rather than ':' in DEBUG_NAMESPACE

2004-11-28 08:56  cegger

	* doc/man/: ggi_color.3, ggi_colormap.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3: regen.

2004-11-28 08:56  cegger

	* doc/libggi-structures.txt: ggi_mode(3): Remove superflous blank
	  between GT_SUBSCHEME(gt) and the following blank. This prevents
	  the line wrapping and the last closing bracket no longer appears
	  on the next line

2004-11-27 23:36  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.88

2004-11-27 23:24  cegger

	* include/ggi/internal/debug_macros.h: sync with rev 1.3 from
	  tools/buildframework/include/ggi/internal/debug_macros.h

2004-11-27 23:10  soyt

	* include/ggi/: display/xevi.h, internal/unit.h: use coherent
	  notation for header protection

2004-11-27 20:03  soyt

	* default/color/color.c, default/ramdac/color.c,
	  display/directx/mode.c, display/vgl/draw.c, ggi/stubs.c: Perform
	  NULL pointer checks in stub functions rather than in underlying
	  module code. Suggestion and patch by neiljp.

2004-11-27 18:45  soyt

	* default/color/Makefile.am, default/color/color.c,
	  default/fbdev/ati/mach64/Makefile.am,
	  default/fbdev/directfb/Makefile.am,
	  default/fbdev/mga/2164w/Makefile.am,
	  default/fbdev/mga/g400/Makefile.am, default/ilbm/Makefile.am,
	  default/ioctl/Makefile.am, default/iplanar_2p/Makefile.am,
	  default/kgi/ATI/Mach64/Makefile.am,
	  default/kgi/ATI/Radeon/Makefile.am,
	  default/kgi/Matrox/Gx00/Makefile.am,
	  default/linear_1/Makefile.am, default/linear_16/Makefile.am,
	  default/linear_1_r/Makefile.am, default/linear_2/Makefile.am,
	  default/linear_24/Makefile.am, default/linear_32/Makefile.am,
	  default/linear_4/Makefile.am, default/linear_4_r/Makefile.am,
	  default/linear_8/Makefile.am, default/linmm_banked/Makefile.am,
	  default/planar/Makefile.am, default/pseudo_stubs/Makefile.am,
	  default/ramdac/Makefile.am, default/stubs/Makefile.am,
	  default/text_16/Makefile.am, default/text_32/Makefile.am,
	  display/X/Makefile.am, display/X/helper/dbe/Makefile.am,
	  display/X/helper/dga/Makefile.am,
	  display/X/helper/evi/Makefile.am,
	  display/X/helper/shm/Makefile.am,
	  display/X/helper/vidmode/Makefile.am, display/aa/Makefile.am,
	  display/auto/Makefile.am, display/directx/Makefile.am,
	  display/fbdev/Makefile.am, display/file/Makefile.am,
	  display/glide/Makefile.am, display/ipc/Makefile.am,
	  display/kgi/Makefile.am, display/lcd823/Makefile.am,
	  display/libkgi/Makefile.am, display/linvtsw/Makefile.am,
	  display/mansync/Makefile.am, display/memory/Makefile.am,
	  display/monotext/Makefile.am, display/multi/Makefile.am,
	  display/palemu/Makefile.am, display/quartz/Makefile.am,
	  display/sub/Makefile.am, display/suidkgi/Makefile.am,
	  display/svgalib/Makefile.am, display/tele/Makefile.am,
	  display/terminfo/Makefile.am, display/tile/Makefile.am,
	  display/trueemu/Makefile.am, display/vcsa/Makefile.am,
	  display/vgagl/Makefile.am, display/vgl/Makefile.am,
	  ggi/Makefile.am, include/ggi/internal/debug_macros.h,
	  include/ggi/internal/ggi_debug.h, programs/regress/Makefile.am:
	  define DEBUG_NAMESPACE where appropriate

2004-11-27 18:04  cegger

	* display/quartz/Makefile.am: AM_CPPFLAGS seems to override
	  AM_CFLAGS. Documentation says nothing of that. Is this a bug or
	  feature of automake? Anyway, moving
	  -DPKG_NAME='"GGI:display:quartz"' over to AM_CPPFLAGS makes
	  display-quartz compile again.

2004-11-27 17:43  cegger

	* ggi/: init.c, mode.c: adapt to new debug scheme. Now compiles
	  again. I hope, compile-testing before committing doesn't become a
	  lost art ;-)

2004-11-27 17:26  soyt

	* default/color/Makefile.am, default/fbdev/ati/mach64/Makefile.am,
	  default/fbdev/directfb/Makefile.am,
	  default/fbdev/mga/2164w/Makefile.am,
	  default/fbdev/mga/g400/Makefile.am, default/ilbm/Makefile.am,
	  default/ioctl/Makefile.am, default/iplanar_2p/Makefile.am,
	  default/kgi/ATI/Mach64/Makefile.am,
	  default/kgi/ATI/Radeon/Makefile.am,
	  default/kgi/Matrox/Gx00/Makefile.am,
	  default/linear_1/Makefile.am, default/linear_16/Makefile.am,
	  default/linear_1_r/Makefile.am, default/linear_2/Makefile.am,
	  default/linear_24/Makefile.am, default/linear_32/Makefile.am,
	  default/linear_4/Makefile.am, default/linear_4_r/Makefile.am,
	  default/linear_8/Makefile.am, default/linmm_banked/Makefile.am,
	  default/planar/Makefile.am, default/pseudo_stubs/Makefile.am,
	  default/ramdac/Makefile.am, default/stubs/Makefile.am,
	  default/text_16/Makefile.am, default/text_32/Makefile.am,
	  display/X/Makefile.am, display/X/helper/dbe/Makefile.am,
	  display/X/helper/dga/Makefile.am,
	  display/X/helper/evi/Makefile.am,
	  display/X/helper/shm/Makefile.am,
	  display/X/helper/vidmode/Makefile.am, display/aa/Makefile.am,
	  display/auto/Makefile.am, display/directx/Makefile.am,
	  display/fbdev/Makefile.am, display/file/Makefile.am,
	  display/glide/Makefile.am, display/ipc/Makefile.am,
	  display/kgi/Makefile.am, display/lcd823/Makefile.am,
	  display/libkgi/Makefile.am, display/linvtsw/Makefile.am,
	  display/mansync/Makefile.am, display/memory/Makefile.am,
	  display/monotext/Makefile.am, display/multi/Makefile.am,
	  display/palemu/Makefile.am, display/quartz/Makefile.am,
	  display/sub/Makefile.am, display/suidkgi/Makefile.am,
	  display/svgalib/Makefile.am, display/tele/Makefile.am,
	  display/terminfo/Makefile.am, display/tile/Makefile.am,
	  display/trueemu/Makefile.am, display/vcsa/Makefile.am,
	  display/vgagl/Makefile.am, display/vgl/Makefile.am,
	  ggi/Makefile.am: Add -DPKG_NAME in all relevant makefile "LibGGI"
	  for core lib "LibGGI:default" for everything in default/
	  "LibGGI:display:<targetdir>" for all targets and target helpers

2004-11-27 16:44  soyt

	* ggi/Makefile.am: use AM_CFLAGS instead of INCLUDES to define
	  PKG_NAME

2004-11-27 16:41  soyt

	* default/color/color.c, default/color/gamma.c,
	  default/common/clip.c, default/fbdev/ati/mach64/visual.c,
	  default/fbdev/directfb/directfbglobal.c,
	  default/fbdev/directfb/visual.c,
	  default/fbdev/mga/2164w/visual.c,
	  default/fbdev/mga/g400/visual.c, default/ioctl/visual.c,
	  default/kgi/ATI/Mach64/line.c, default/kgi/ATI/Radeon/visual.c,
	  default/linear_16/crossblit.c, default/linear_24/crossblit.c,
	  default/linear_32/crossblit.c, default/linear_8/crossblit.c,
	  default/linmm_banked/visual.c, default/ramdac/color.c,
	  default/ramdac/visual.c, display/X/box.c, display/X/buffer.c,
	  display/X/color.c, display/X/line.c, display/X/misc.c,
	  display/X/mode.c, display/X/visual.c, display/X/helper/dbe/dbe.c,
	  display/X/helper/dga/dga.c, display/X/helper/evi/evi.c,
	  display/X/helper/shm/shm.c, display/X/helper/vidmode/vidmode.c,
	  display/aa/color.c, display/aa/giievents.c, display/aa/mode.c,
	  display/aa/visual.c, display/auto/probe.c, display/auto/visual.c,
	  display/common/modelist.inc, display/directx/ddinit.c,
	  display/directx/mode.c, display/directx/visual.c,
	  display/fbdev/color.c, display/fbdev/mode.c, display/fbdev/pan.c,
	  display/fbdev/visual.c, display/file/mode.c,
	  display/file/visual.c, display/glide/mode.c,
	  display/glide/visual.c, display/ipc/mode.c, display/ipc/visual.c,
	  display/kgi/accel.c, display/kgi/color.c, display/kgi/kgi.c,
	  display/kgi/mode.c, display/kgi/visual.c, display/lcd823/color.c,
	  display/lcd823/mode.c, display/lcd823/visual.c,
	  display/libkgi/visual.c, display/linvtsw/visual.c,
	  display/mansync/mansync.c, display/memory/mode.c,
	  display/memory/visual.c, display/monotext/color.c,
	  display/monotext/mode.c, display/monotext/monotext.c,
	  display/monotext/visual.c, display/multi/stubs.c,
	  display/multi/visual.c, display/palemu/color.c,
	  display/palemu/mode.c, display/palemu/palemu.c,
	  display/palemu/visual.c, display/suidkgi/mode.c,
	  display/suidkgi/visual.c, display/svgalib/color.c,
	  display/svgalib/mode.c, display/svgalib/visual.c,
	  display/tele/events.c, display/tele/mode.c,
	  display/tele/visual.c, display/terminfo/input.c,
	  display/terminfo/mode.c, display/terminfo/visual.c,
	  display/tile/mode.c, display/tile/visual.c,
	  display/trueemu/mode.c, display/trueemu/trueemu.c,
	  display/trueemu/visual.c, display/vcsa/draw.c,
	  display/vcsa/mode.c, display/vcsa/visual.c, display/vgl/draw.c,
	  display/vgl/mode.c, display/vgl/visual.c, doc/env.txt,
	  doc/libggi-libraries.txt, doc/libggi-structures.txt,
	  doc/man/ggi_colormap.3, doc/man/libggi.7, ggi/Makefile.am,
	  ggi/colormap.c, ggi/db.c, ggi/dl.c, ggi/init.c, ggi/internal.c,
	  ggi/mode.c, ggi/probe.c, ggi/visual.c,
	  include/ggi/display/fbdev.h, include/ggi/display/kgi.h,
	  include/ggi/internal/debug_macros.h,
	  include/ggi/internal/ggi_debug.h, include/ggi/internal/unit.h:
	  Use the new debug scheme, as for libgii

2004-11-27 00:05  cegger

	* display/X/color.c, display/fbdev/color.c, display/multi/stubs.c,
	  display/sub/stubs.c, doc/libggi-functions.txt,
	  doc/man/ggiCheckMode.3, doc/man/ggiCopyBox.3,
	  doc/man/ggiCrossBlit.3, doc/man/ggiDBGetNumBuffers.3,
	  doc/man/ggiDrawBox.3, doc/man/ggiDrawHLine.3,
	  doc/man/ggiDrawLine.3, doc/man/ggiDrawPixel.3,
	  doc/man/ggiDrawVLine.3, doc/man/ggiEventSend.3,
	  doc/man/ggiFillscreen.3, doc/man/ggiFlush.3,
	  doc/man/ggiGetGamma.3, doc/man/ggiGetInput.3,
	  doc/man/ggiGetPixelFormat.3, doc/man/ggiGetc.3,
	  doc/man/ggiInit.3, doc/man/ggiJoinInputs.3,
	  doc/man/ggiMapColor.3, doc/man/ggiOpen.3, doc/man/ggiPanic.3,
	  doc/man/ggiParseMode.3, doc/man/ggiPutc.3,
	  doc/man/ggiResourceAcquire.3, doc/man/ggiSetColorfulPalette.3,
	  doc/man/ggiSetDisplayFrame.3, doc/man/ggiSetFlags.3,
	  doc/man/ggiSetGCClipping.3, doc/man/ggiSetGCForeground.3,
	  doc/man/ggiSetMode.3, doc/man/ggiSetOrigin.3,
	  doc/man/ggiSetPalette.3, ggi/stubs.c, include/ggi/ggi.h,
	  include/ggi/internal/dltypes.h: constify gammamap argument of
	  ggiSetGammaMap(3).  Patch from Neil Pilgrim

2004-11-26 22:17  cegger

	* default/color/pack.c, default/linear_1/color.c,
	  default/linear_4/color.c, default/linear_4_r/color.c,
	  display/multi/stubs.c, doc/libggi-functions.txt,
	  doc/man/ggiMapColor.3, ggi/stubs.c, include/ggi/ggi.h,
	  include/ggi/internal/dltypes.h: - constify cols arg of
	  ggiPackColors(3) - constify buf arg of ggiUnpackPixels(3) Patch
	  from Neil Pilgrim

2004-11-26 21:35  cegger

	* default/color/color.c, default/ramdac/color.c,
	  default/ramdac/visual.c, display/directx/mode.c,
	  display/multi/stubs.c, display/sub/stubs.c, display/tile/color.c,
	  display/vgl/draw.c, doc/libggi-functions.txt,
	  doc/man/ggiSetPalette.3, ggi/stubs.c, include/ggi/ggi.h,
	  include/ggi/internal/dltypes.h: constify colormap argument of
	  ggiSetPalette(3).

2004-11-26 20:16  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3: regen.

2004-11-26 20:16  cegger

	* doc/libggi-functions.txt: make ggiMapColor(3) match with API
	  again after constifying the 2nd argument

2004-11-26 20:09  cegger

	* include/ggi/display/tile.h: GGI_tile_getpalvec is of type
	  ggifunc_getpalvec, not ggifunc_setpalvec. Typo found by Neil
	  Pilgrim

2004-11-26 19:51  cegger

	* include/ggi/ggi.h: redo rev. 1.9 correctly:

	  ggiMapColor(ggi_visual_t vis, ggi_color const *col);	->
	  ggiMapColor(ggi_visual_t vis, const ggi_color *col);

2004-11-25 16:57  cegger

	* doc/man/ggiMapColor.3: regen.

2004-11-25 16:56  cegger

	* default/color/color.c, default/text_16/color.c,
	  default/text_32/color.c, display/multi/stubs.c,
	  display/sub/stubs.c, display/terminfo/color.c,
	  display/tile/color.c, display/vcsa/color.c,
	  doc/libggi-functions.txt, ggi/internal.c, ggi/stubs.c,
	  include/ggi/ggi.h, include/ggi/internal/dltypes.h,
	  include/ggi/internal/internal.h: constify the 'col' argument of
	  ggiMapColor(3).  Patch from Neil Pilgrim

2004-11-25 15:28  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3: regen.

2004-11-25 15:27  cegger

	* doc/libggi-functions.txt, ggi/mode.c, include/ggi/ggi.h: constify
	  the ggi_mode arguments of ggiSPrintMode(3), ggiFPrintMode(3).
	  Update documentation accordingly.  Patch from Neil Pilgrim.

2004-11-24 13:44  cegger

	* display/svgalib/mode.c, display/svgalib/visual.c,
	  include/ggi/display/svgalib.h: move declaration of
	  _GGI_svga_freedbs() to <ggi/display/svgalib.h>. It's used in
	  visual.c and mode.c. Also don't define _GGI_svga_freedbs() as
	  static, because of that.

2004-11-24 13:37  cegger

	* display/svgalib/mode.c: fix redundant declaration of
	  __svgalib_tty_fd. Solution from Tobias Hunger

2004-11-24 13:34  cegger

	* display/svgalib/visual.c: fix warning about lvalue cast. This
	  would be an error on gcc -current

2004-11-24 13:31  cegger

	* display/svgalib/color.c: - fix warning between signed and
	  unsigned comparison - fix warning about void * pointer arithmetic

2004-11-24 13:27  cegger

	* display/svgalib/color.c: kill unused variables

2004-11-24 13:25  cegger

	* display/svgalib/: color.c, mode.c, visual.c: #include
	  <ggi/internal/ggi_debug.h> where needed.  Spotted by Tobias
	  Hunger

2004-11-22 16:39  cegger

	* programs/check/palette.c: remove unused variable 'mode' and fix
	  warning between signed and unsigned variables

2004-11-22 13:33  pekberg

	* programs/check/: Makefile.am, palette.c: Add test for palette,
	  fails on 8-bit pseudocolor X-servers (at least Cygwin-X and one
	  instance of linux-xf86)

2004-11-22 11:52  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, libggi.7: regen.

2004-11-21 22:46  cegger

	* doc/libggi-libraries.txt: - fix bad backtick usage, spotted by
	  Neil Pilgrim - turn highlightings of ggiOpen into references to
	  the ggiOpen(3) manual.

2004-11-21 22:43  cegger

	* doc/libggi-functions.txt: ggiSetGCForeground(3): add a See Also
	  section and x-ref to ggi_pixel(3). Idea from Neil Pilgrim

2004-11-19 23:34  cegger

	* doc/man/: Makefile.am, ggiCheckMode.3, ggiCopyBox.3,
	  ggiCrossBlit.3, ggiDBGetNumBuffers.3, ggiDrawBox.3,
	  ggiDrawHLine.3, ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3,
	  ggiEventSend.3, ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3,
	  ggiGetInput.3, ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3,
	  ggiJoinInputs.3, ggiMapColor.3, ggiOpen.3, ggiPanic.3,
	  ggiParseMode.3, ggiPutc.3, ggiResourceAcquire.3,
	  ggiSetColorfulPalette.3, ggiSetDisplayFrame.3, ggiSetFlags.3,
	  ggiSetGCClipping.3, ggiSetGCForeground.3, ggiSetMode.3,
	  ggiSetOrigin.3, ggiSetPalette.3: regen.

2004-11-19 23:33  cegger

	* doc/libggi-functions.txt: fix bugs found by Neil Pilgrim

2004-11-19 21:48  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.78

2004-11-18 18:58  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.73

2004-11-18 13:39  mooz

	* display/X/mode.c: Restore original mode before destroying parent
	  and current window.

2004-11-15 17:57  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_colormap.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3: regen.

2004-11-15 17:56  cegger

	* doc/: libggi-functions.txt, libggi-structures.txt: reference to
	  ggi-error(3) manual when talking about error code.

2004-11-14 20:18  cegger

	* display/: X/buffer.c, X/helper/shm/shm.c, fbdev/visual.c,
	  file/mode.c, glide/visual.c, svgalib/visual.c: use snprintf(3) if
	  available

2004-11-14 19:49  cegger

	* display/X/misc.c: fix warning about overflow in implicit
	  conversion

2004-11-14 19:38  cegger

	* display/X/misc.c: fix printf warnings: - void format, ggi_x_vi
	  arg - void format, XVisualInfo arg

2004-11-14 16:17  cegger

	* display/file/ppm.c: use snprintf() if available

2004-11-14 16:10  cegger

	* display/X/mode.c: fix warning: 'pointer targets in passing # of
	  XGetGeometry differ in signedness

2004-11-14 15:47  cegger

	* default/color/color.c, default/color/pack.c,
	  default/fbdev/directfb/directfbglobal.c,
	  default/kgi/ATI/Mach64/visual.c, default/kgi/ATI/Radeon/visual.c,
	  default/kgi/Matrox/Gx00/visual.c, default/ramdac/color.c,
	  display/X/buffer.c, display/X/color.c, display/X/visual.c,
	  display/aa/mode.c, display/common/pixfmt-setup.inc,
	  display/directx/mode.c, display/fbdev/color.c,
	  display/file/mode.c, display/glide/fb.c, display/glide/mode.c,
	  display/kgi/color.c, display/kgi/mode.c, display/lcd823/color.c,
	  display/linvtsw/visual.c, display/mansync/mansync.c,
	  display/monotext/mode.c, display/monotext/monotext.c,
	  display/palemu/color.c, display/palemu/palemu.c,
	  display/sub/mode.c, display/suidkgi/mode.c,
	  display/suidkgi/visual.c, display/svgalib/frames.c,
	  display/svgalib/mode.c, display/svgalib/visual.c,
	  display/tele/box.c, display/tele/color.c, display/tele/events.c,
	  display/tele/mode.c, display/terminfo/color.c,
	  display/tile/color.c, display/tile/frames.c, display/tile/mode.c,
	  display/tile/stubs.c, display/trueemu/frames.c,
	  display/trueemu/mode.c, display/vcsa/draw.c, display/vgl/draw.c,
	  display/vgl/mode.c, ggi/gc.c, ggi/internal.c, ggi/stubs.c,
	  programs/regress/clip2d.c: use proper defines for return values
	  where applicable

2004-11-14 00:57  cegger

	* TODO: TODO item done: 'use proper defines for return value where
	  applicable

2004-11-13 16:07  cegger

	* extensions/test/: test1.c, test2.c: fix printf format warning:
	  void format, ggi_visual arg

2004-11-13 15:56  cegger

	* default/color/color.c, default/kgi/ATI/Radeon/crossblit.c,
	  default/kgi/ATI/Radeon/visual.c, default/ramdac/color.c,
	  default/ramdac/visual.c, display/X/helper/vidmode/vidmode.c,
	  display/aa/mode.c, display/common/modelist.inc,
	  display/directx/mode.c, display/fbdev/color.c,
	  display/fbdev/mode.c, display/fbdev/pan.c, display/file/fileio.c,
	  display/file/mode.c, display/glide/mode.c, display/ipc/mode.c,
	  display/kgi/mode.c, display/kgi/visual.c, display/lcd823/color.c,
	  display/lcd823/mode.c, display/libkgi/visual.c,
	  display/linvtsw/visual.c, display/memory/mode.c,
	  display/monotext/mode.c, display/palemu/color.c,
	  display/palemu/frames.c, display/palemu/mode.c,
	  display/palemu/palemu.c, display/sub/mode.c,
	  display/sub/visual.c, display/suidkgi/suidbridge.c,
	  display/svgalib/mode.c, display/tele/color.c,
	  display/tele/mode.c, display/terminfo/mode.c,
	  display/tile/mode.c, display/trueemu/mode.c, display/vcsa/mode.c,
	  display/vcsa/visual.c, display/vgl/mode.c, display/vgl/visual.c,
	  programs/demos/cube3d.c: use proper defines for return values
	  where applicable

2004-11-13 13:20  cegger

	* configure.in: - use -std=gnu99 flag when gcc has it - also use
	  -W* flags when we don't compile debug code

2004-11-13 12:23  cegger

	* TODO: improve regexp a little

2004-11-13 12:20  cegger

	* default/color/color.c: little code style cleanup

2004-11-13 12:01  cegger

	* doc/man/: ggi_color.3, ggi_colormap.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3: regen.

2004-11-11 13:55  cegger

	* configure.in: invert condition. Now
	  -Werror-implicit-function-declaration is used when possible

2004-11-11 13:40  cegger

	* configure.in: - use GGI_CHECK_STRING_FUNCS - use
	  GGI_CC_CHECK4_OPTION for -pedantic  $CC option - use
	  GGI_CHECK_IMPLICIT_DECLARATIONS

2004-11-11 09:38  cegger

	* doc/man/: ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3: regen.

2004-11-11 09:38  cegger

	* doc/libggi-functions.txt: add a note section to ggiSetMode(3).
	  Recommend users to not set up a mode before using
	  ggiCheckMode(3).

2004-11-10 20:01  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: -
	  sync up with libtool cvs branch-2-0 version 1.1667.2.67 - Add
	  -pthread and other thread flags to inherited_linker_flags.

2004-11-08 17:16  cegger

	* doc/man/display-directx.7: regen.

2004-11-08 11:34  pekberg

	* display/directx/man.txt: List a couple of known bugs.

2004-11-07 22:47  cegger

	* default/fbdev/mga/: 2164w/crossblit.c, g400/crossblit.c: Fix
	  build error: 'use of cast in lvalue'

2004-11-07 22:04  cegger

	* display/fbdev/visual.c: sscanf format fix: we pass unsigned int
	  variables, not signed. So use %u than %d

2004-11-07 21:58  cegger

	* display/fbdev/visual.c: partially undo rev 1.18. Use
	  LIBGGI_PRIVATE(vis) than FBDEV_PRIV(vis) in lvalue assignment.
	  Fixes compiler error: 'Invalid assignment on lvalue'

2004-11-06 22:48  cegger

	* default/color/visual.c, default/fbdev/ati/mach64/visual.c,
	  default/fbdev/directfb/directfbglobal.c,
	  default/fbdev/directfb/visual.c,
	  default/fbdev/mga/2164w/visual.c,
	  default/fbdev/mga/g400/visual.c, default/ilbm/visual.c,
	  default/ioctl/visual.c, default/iplanar_2p/visual.c,
	  default/kgi/ATI/Mach64/visual.c, default/kgi/ATI/Radeon/visual.c,
	  default/kgi/Matrox/Gx00/visual.c, default/linear_1/visual.c,
	  default/linear_16/visual.c, default/linear_1_r/visual.c,
	  default/linear_2/visual.c, default/linear_24/visual.c,
	  default/linear_32/visual.c, default/linear_4/visual.c,
	  default/linear_4_r/visual.c, default/linear_8/visual.c,
	  default/linmm_banked/visual.c, default/planar/visual.c,
	  default/pseudo_stubs/visual.c, default/ramdac/visual.c,
	  default/stubs/visual.c, default/text_16/visual.c,
	  default/text_32/visual.c, display/X/visual.c,
	  display/X/helper/dbe/dbe.c, display/X/helper/dga/dga.c,
	  display/X/helper/evi/evi.c, display/X/helper/shm/shm.c,
	  display/X/helper/vidmode/vidmode.c, display/auto/visual.c,
	  display/directx/visual.c, display/fbdev/visual.c,
	  display/file/visual.c, display/glide/visual.c,
	  display/ipc/visual.c, display/kgi/visual.c,
	  display/lcd823/visual.c, display/libkgi/visual.c,
	  display/linvtsw/visual.c, display/mansync/visual.c,
	  display/memory/visual.c, display/monotext/visual.c,
	  display/multi/visual.c, display/palemu/visual.c,
	  display/sub/visual.c, display/suidkgi/visual.c,
	  display/svgalib/visual.c, display/tele/visual.c,
	  display/terminfo/visual.c, display/tile/visual.c,
	  display/trueemu/visual.c, display/vcsa/visual.c,
	  display/vgagl/visual.c, display/vgl/visual.c: cast function
	  pointers to 'void *' when assigning to a pointer.  Fixes gcc
	  warning: ISO C forbids assignment between function pointer and
	  'void *'

2004-11-06 22:38  cegger

	* display/aa/visual.c: cast function pointers to 'void *' when
	  assigning to a pointer.  Fixes gcc warning: ISO C forbids
	  assignment between function pointer and 'void *'

2004-11-06 13:44  cegger

	* display/aa/visual.c: partially redo 1.7: Use LIBGGI_PRIVATE(vis)
	  than AA_PRIV(vis) on lvalue. Fixes compiler error: 'invalid
	  lvalue assignment'

2004-11-06 12:49  cegger

	* display/aa/: giievents.c, mode.c, visual.c: include
	  <ggi/internal/ggi_debug.h>. display-aa compiles again

2004-11-06 12:46  cegger

	* display/aa/color.c: include <ggi/internal/ggi_debug.h> for
	  GGIDPRINT_COLOR declaration.

2004-11-05 12:27  cegger

	* include/ggi/ll.h: cut/copy/paste fix: GGI_LL_MATHGC ->
	  GGI_LL_MATHGC_SET

2004-11-05 07:57  cegger

	* ggi/mode.c: cast %p printf arg to void *. Fixes warning: 'void
	  format, ggi_visual arg (arg 3)'

2004-11-05 07:54  cegger

	* default/linear_32/crossblit.c: move up variable definition. Fixes
	  build error with strict ANSI C compilers.

2004-11-04 22:50  cegger

	* doc/man/display-x.7: regen.

2004-11-04 22:07  cegger

	* doc/man/display-directx.7: regen.

2004-11-04 21:52  cegger

	* display/: X/man.txt, directx/man.txt: typo: explictly ->
	  explicitly

2004-11-04 08:29  soyt

	* doc/libggi-structures.txt: - removed doc that was already
	  there...  - start using :p: for variables and fields as an excuse
	  for not simply undoing my last commit

2004-11-04 08:18  soyt

	* doc/libggi-structures.txt: moved content from directbuffer.xml

2004-11-03 22:31  aldot

	* include/ggi/ll.h: typo: s/tessl/tessel/

2004-11-03 22:27  aldot

	* include/ggi/types.h: typo: s/tessl/tessel/

2004-11-03 22:05  cegger

	* include/ggi/ll.h: fix cut/copy/paste bug: GGI_LL_STATE_SET ->
	  GGI_LL_STSTATE_SET

2004-11-03 21:58  aldot

	* configure.in: for non-release build, be pedantic

2004-11-03 21:53  aldot

	* configure.in: verbosely explain why __PRETTY_FUNCTION__ is not
	  portable

2004-11-03 21:40  cegger

	* include/ggi/ll.h: add a *_SET macro family that does no cast and
	  is intended for use on/as lvalue

2004-11-03 17:58  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool branch-2-0 cvs
	  branch, version 1.1667.2.55

2004-11-03 13:34  cegger

	* display/trueemu/visual.c: backout rev 1.5. Use
	  LIBGGI_PRIVATE(vis) than TRUEEMU_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:32  cegger

	* display/tile/visual.c: partially redo rev 1.4. Use
	  LIBGGI_PRIVATE(vis) than TILE_PRIV(vis) on lvalue. Fixes compiler
	  error: 'invalid lvalue in assignment'

2004-11-03 13:29  cegger

	* display/terminfo/visual.c: partially redo rev 1.8. Use
	  LIBGGI_PRIVATE(vis) than TERMINFO_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:26  cegger

	* display/tele/visual.c: backout rev 1.5. Use LIBGGI_PRIVATE(vis)
	  than TELE_PRIV(vis) on lvalue. Fixes compiler error: 'invalid
	  lvalue in assignment'

2004-11-03 13:23  cegger

	* display/sub/visual.c: partially undo rev 1.4. Use
	  LIBGGI_PRIVATE(vis) than SUB_PRIV(vis) on lvalue. Fixes compiler
	  error: 'invalid lvalue in assignment'

2004-11-03 13:20  cegger

	* display/palemu/visual.c: back out rev 1.6. Use
	  LIBGGI_PRIVATE(vis) than PALEMU_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:14  cegger

	* display/multi/visual.c: partially undo rev 1.5. Use
	  LIBGGI_PRIVATE(vis) than GGIMULTI_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:11  cegger

	* display/monotext/visual.c: partially undo rev 1.5. Use
	  LIBGGI_PRIVATE(vis) than MONOTEXT_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:09  cegger

	* display/memory/visual.c: partially redo rev 1.19. Use
	  LIBGGI_PRIVATE(vis) than MEMORY_PRIV(vis) on lvalue. Fixes
	  compiler error: 'invalid lvalue in assignment'

2004-11-03 13:04  cegger

	* display/ipc/visual.c: partially back out rev 1.13. Use
	  LIBGGI_PRIVATE(vis) than IPC_PRIV(vis) on lvalue. Fixes compiler
	  error: 'invalid lvalue in assignment'

2004-11-03 13:01  cegger

	* display/file/visual.c: back out rev 1.5. Use LIBGGI_PRIVATE(vis)
	  than FILE_PRIV(vis) on lvalue. Fixes compiler error: 'invalid
	  lvalue in assignment'

2004-11-03 12:56  cegger

	* display/X/visual.c: back out rev 1.31. Use LIBGGI_PRIVATE(vis)
	  than GGIX_PRIV(vis) on lvalue. Fixes compiler error: 'invalid
	  lvalue in assignment'

2004-11-03 08:36  cegger

	* display/X/box.c: don't use lvalue casting. Fixes compiler error:
	  invalid lvalue in assignment

2004-11-03 08:35  cegger

	* display/X/vline.c: kill bug introduced in last commit: use data8
	  than data in memcpy() operation

2004-11-03 08:26  cegger

	* display/X/vline.c: don't use lvalue casting. Fixes compiler
	  error: invalid lvalue in assignment

2004-11-03 08:10  cegger

	* doc/man/: Makefile.am, cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-mansync.7, display-memory.7,
	  display-monotext.7, display-multi.7, display-palemu.7,
	  display-quartz.7, display-sub.7, display-svgalib.7,
	  display-tele.7, display-terminfo.7, display-tile.7,
	  display-trueemu.7, display-vcsa.7, display-vgl.7, display-x.7,
	  ggi-demo.1, ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_colormap.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3, ggiteleserver.1, libggi.7,
	  monitest.1: regenerate manpages

2004-11-03 08:00  cegger

	* default/linear_32/crossblit.c: don't use lvalue casting. Fixes
	  'error: invalid lvalue in increment'

2004-11-02 11:10  pekberg

	* doc/README.directx: Point users to new DirectX headers package
	  located at: http://www.lysator.liu.se/~peda/directx-headers/
	  instead of the old method of downloading and patching the 200+MB
	  SDK from MS

2004-11-02 08:52  pekberg

	* display/directx/: Makefile.am, dxguid.c: Add workaround for
	  libtool bug.	libtool refuses to link a dll against -ldxguid, so
	  add the needed constants to a local source file and zap -ldxguid
	  from the link command line.

2004-11-02 08:44  pekberg

	* display/directx/: ddinit.c, mode.c, visual.c: include debug
	  header. display-directx compiles again

2004-11-01 22:35  cegger

	* compile, config.guess, install-sh: sync with
	  tools/buildframework:

	  update to versions shipped with automake 1.9.3

2004-11-01 18:46  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool
	  branch-2-0 cvs branch, version 1.1667.2.53

2004-11-01 09:11  cegger

	* TODO: libtool update item done

2004-10-31 15:16  cegger

	* default/fbdev/ati/mach64/visual.c,
	  default/fbdev/mga/2164w/visual.c,
	  default/fbdev/mga/g400/visual.c, display/X/helper/dga/dga.c,
	  display/fbdev/color.c, display/fbdev/mode.c, display/fbdev/pan.c,
	  display/fbdev/visual.c, display/linvtsw/visual.c,
	  include/ggi/display/linvtsw.h: include debug header. libggi
	  compiles on Linux again.

2004-10-31 14:24  cegger

	* display/X/box.c, display/X/buffer.c, display/X/color.c,
	  display/X/misc.c, display/X/mode.c, display/X/visual.c,
	  display/X/helper/dbe/dbe.c, display/X/helper/evi/evi.c,
	  display/X/helper/shm/shm.c, display/X/helper/vidmode/vidmode.c,
	  display/auto/probe.c, display/auto/visual.c, display/file/mode.c,
	  display/file/visual.c, display/ipc/mode.c, display/ipc/visual.c,
	  display/mansync/mansync.c, display/memory/mode.c,
	  display/memory/visual.c, display/monotext/color.c,
	  display/monotext/mode.c, display/monotext/monotext.c,
	  display/monotext/visual.c, display/multi/stubs.c,
	  display/multi/visual.c, display/palemu/color.c,
	  display/palemu/mode.c, display/palemu/palemu.c,
	  display/palemu/visual.c, display/tele/events.c,
	  display/tele/mode.c, display/tele/visual.c,
	  display/terminfo/TIvisual.h, display/terminfo/input.c,
	  display/terminfo/mode.c, display/terminfo/visual.c,
	  display/tile/mode.c, display/tile/visual.c,
	  display/trueemu/mode.c, display/trueemu/trueemu.c,
	  display/trueemu/visual.c, display/vcsa/color.c,
	  display/vcsa/draw.c, display/vcsa/mode.c, display/vcsa/visual.c,
	  display/vgl/draw.c, display/vgl/mode.c, display/vgl/visual.c,
	  include/ggi/display/x.h: include debug header. libggi compiles
	  again.

2004-10-31 14:01  cegger

	* display/svgalib/visual.c: change: _ggiDebugState -> _ggiDebug

	  _ggiDebugSync and _ggiDebugState has been merged into _ggiDebug

2004-10-31 13:59  cegger

	* default/fbdev/directfb/visual.c: change: _ggiDebugState ->
	  _ggiDebug

	  _ggiDebugSync and _ggiDebugState has been merged into _ggiDebug

2004-10-31 13:48  cegger

	* default/: color/color.c, color/gamma.c, common/clip.c,
	  linear_16/crossblit.c, linear_24/crossblit.c,
	  linear_32/crossblit.c, linear_8/crossblit.c: include debug
	  header. Makes default renderers compile again.

2004-10-31 13:15  cegger

	* ggi/: colormap.c, db.c, dl.c, init.c, internal.c, mode.c,
	  probe.c, visual.c: include debug header. Makes core lib compile
	  again

2004-10-31 13:11  cegger

	* include/ggi/internal/ggi_debug.h: need <ggi/ggi-defs.h> for
	  GGIAPIVAR

2004-10-31 12:50  cegger

	* include/ggi/internal/ggi_debug.h: remove not needed headers

2004-10-31 12:49  cegger

	* include/ggi/internal/unit.h: there's a conflict situation: unit.h
	  uses debug code and needs ggi_debug.h. But this is not installed.
	  So disable debug code until a final solution is found

2004-10-31 12:45  cegger

	* include/ggi/internal/internal.h: include <ggi/gg.h> for gg_module
	  declaration and <ggi/ggi-defs.h> for import/export macros.

2004-10-31 11:59  cegger

	* include/ggi/internal/internal.h: don't include ggi_debug.h. This
	  causes compile errors on extensions since ggi_debug.h is not
	  installed. Sources needing it have to include it themself.

2004-10-30 11:50  soyt

	* ggi/mode.c: changed _ggiDebugState to _ggiDebug

2004-10-30 11:06  soyt

	* include/ggi/internal/: Makefile.am, ggi_debug.h, internal.h:
	  debug.h renamed ggi_debug.h

2004-10-30 10:47  soyt

	* ggi/: EXPSYMS, init.c: Factorize debugging macro and merge
	  _ggiDebugState and _ggiDebugSync

2004-10-30 10:16  cegger

	* include/ggi/display/: aa.h, mansync.h, palemu.h, tile.h,
	  trueemu.h, x.h: - introduce a MANSYNC_DATA for defining mansync
	  data in a portable way.  - introduce
	  MANSYNC_DECL_{INIT,DEINIT,START,STOP,IGNORE,CONT}(priv, vis) for
	  MANSYNC_* macro definition. The priv member is a pointer to
	  target private data area and vis is the visual.  - Make all
	  targets using display-mansync use of them.

2004-10-30 09:39  cegger

	* include/ggi/display/tile.h, display/tile/color.c,
	  display/tile/frames.c, display/tile/line.c, display/tile/mode.c,
	  display/tile/stubs.c, display/tile/visual.c: merge 4 arrays into
	  one structure array. No functional change.

2004-10-29 22:59  cegger

	* programs/util/tunemode.c: Cast parameter passed to ctype(3)
	  functions to uint8 to enforce the compiler to look at the correct
	  piece of memory for the bit mask. Fixes some international
	  alphabet problems.

2004-10-29 22:55  cegger

	* programs/util/: giik2str.c, monitest/monitest.c: Cast parameter
	  passed to ctype(3) functions to uint8 to enforce the compiler to
	  look at the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:52  cegger

	* ggi/mode.c: Cast parameter passed to ctype(3) functions to uint8
	  to enforce the compiler to look at the correct piece of memory
	  for the bit mask. Fixes some international alphabet problems.

2004-10-29 22:41  cegger

	* display/: vcsa/visual.c, X/visual.c: Cast parameter passed to
	  ctype(3) functions to uint8 to enforce the compiler to look at
	  the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:38  cegger

	* display/: tile/visual.c, trueemu/visual.c: Cast parameter passed
	  to ctype(3) functions to unsigned char to enforce the compiler to
	  look at the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:34  cegger

	* display/palemu/visual.c: Cast parameter passed to ctype(3)
	  functions to unsigned char to enforce the compiler to look at the
	  correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:30  cegger

	* display/: kgi/visual.c, multi/visual.c: Cast parameter passed to
	  ctype(3) functions to unsigned char to enforce the compiler to
	  look at the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:26  cegger

	* display/: directx/visual.c, fbdev/visual.c: Cast parameter passed
	  to ctype(3) functions to unsigned char to enforce the compiler to
	  look at the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-28 21:19  cegger

	* display/multi/mode.c, display/multi/stubs.c,
	  display/multi/visual.c, include/ggi/display/multi.h: use abstract
	  singly-list (GG_SLIST) for a visual list

2004-10-28 17:41  cegger

	* ggi/init.c, include/ggi/internal/structs.h: use abstract
	  singly-list (GG_SLIST) for managing multiple visuals. No
	  functional change.

2004-10-28 16:54  cegger

	* ggi/init.c, include/ggi/internal/structs.h: use abstract
	  GG_TAILQ_ for dynamic extension (un)registering. No functional
	  change.

2004-10-28 16:16  cegger

	* display/X/: visual.c, helper/shm/shm.c: adapt to recent change:
	  Use abstract GG_SLIST for dynamic library handling. Makes
	  display-x compile again.

2004-10-28 15:11  cegger

	* ggi/dl.c, ggi/visual.c, include/ggi/internal/structs.h: use
	  abstract GG_SLIST for dynamic library and extension handling. No
	  functional change.

2004-10-28 07:14  pekberg

	* configure.in: Zap dlopen from LT_INIT, we're not using the
	  -dlopen or -dlpreopen libtool flags anywhere.

2004-10-27 19:11  cegger

	* default/linear_16/visual.c: adjust to fit recent changes in
	  libgii: gg_swartype is no longer an enum. Makes it compile again

2004-10-27 18:54  cegger

	* ggi/init.c, include/ggi/internal/internal.h: adjust to fit recent
	  changes in libgii: gg_swartype is no longer an enum. Makes it
	  compile again

2004-10-27 12:30  cegger

	* doc/man/libggi.7: regen.

2004-10-27 09:27  pekberg

	* doc/libggi-libraries.txt, ggi/init.c: Don't allow overiding the
	  compiled in path on Cygwin.

2004-10-27 09:25  pekberg

	* configure.in: It appears that using _LT_SET_OPTION multiple times
	  do not work as expected.

2004-10-26 13:39  cegger

	* .cvsignore: ignore genlibtool

2004-10-26 10:57  pekberg

	* doc/libggi-triple-int.txt: Add some small bits of info.

2004-10-25 12:34  cegger

	* ggi/Makefile.am: bump to devel version. Better late than never...

2004-10-24 11:11  cegger

	* configure.in: Nuke check for unused <sys/wait.h>

2004-10-24 11:04  cegger

	* configure.in: <asm/io.h> and <sys/io.h> are nowhere used. So
	  don't check for them.

2004-10-23 17:46  cegger

	* Makefile.am, configure.in: add genlibtool and genlibtool.in to
	  distribution run genlibtool from srcdir, not cwd.

	  make distcheck works again

2004-10-23 15:22  cegger

	* Makefile.am: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 14:44  cegger

	* configure.in: update via autoupdate with slight modifications by
	  me

2004-10-23 14:21  cegger

	* configure.in: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 13:58  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 branch

2004-10-23 13:23  cegger

	* autogen.sh: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-22 05:27  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 cvs branch

2004-10-21 12:13  cegger

	* doc/man/: Makefile.am, cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-mansync.7, display-memory.7,
	  display-monotext.7, display-multi.7, display-palemu.7,
	  display-quartz.7, display-sub.7, display-svgalib.7,
	  display-tele.7, display-terminfo.7, display-tile.7,
	  display-trueemu.7, display-vcsa.7, display-vgl.7, display-x.7,
	  ggi-demo.1, ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_colormap.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3, ggiteleserver.1, libggi.7,
	  monitest.1: regen.

2004-10-21 12:11  pekberg

	* doc/libggi-triple-int.txt: fix another quote

2004-10-21 12:02  pekberg

	* doc/libggi-triple-int.txt: try to fix some quotes

2004-10-21 12:01  pekberg

	* doc/libggi-triple-int.txt: rshift() shifts to the right

2004-10-21 11:54  pekberg

	* doc/libggi-triple-int.txt: remove double as (at least it wasn't a
	  double a**...)

2004-10-21 11:51  pekberg

	* doc/libggi-triple-int.txt: remove trailing comma

2004-10-21 11:49  pekberg

	* doc/libggi-triple-int.txt: add some equivalents

2004-10-21 11:35  pekberg

	* doc/: Makefile.am, libggi-triple-int.txt, libggi.txt: manpages
	  for triple-int

2004-10-21 10:48  pekberg

	* include/ggi/internal/triple-int.h: fix typo in comment

2004-10-20 23:42  cegger

	* m4/libtool.m4: incorporate latest libtool 2.0 pre-release fixes

2004-10-20 20:33  nsouch

	* default/kgi/: ATI/Mach64/Makefile.am, ATI/Radeon/Makefile.am,
	  Matrox/Gx00/Makefile.am: Enable H files to be taken in
	  distribution

2004-10-20 14:19  pekberg

	* programs/regress/triple-int.c: Include <time.h> instead of
	  "time.h" Protect inclusion of string.h

2004-10-19 22:35  cegger

	* include/ggi/internal/triple-int.h: fix 'warning: control reaches
	  end of non-void function' as discovered by autobuilder

2004-10-19 19:30  cegger

	* configure.in: make use of AC_DEFINE's third argument. This get us
	  rid from acconfig.h and fixes the autoheader warnings.

2004-10-19 13:30  pekberg

	* programs/demos/banner.inc.c: Measly little change to hide the
	  fact that I forgot to chmod -x the new file.

2004-10-19 06:06  pekberg

	* include/ggi/internal/triple-int.h: Minor optimization of add_3.

2004-10-18 22:21  cegger

	* configure.in: configure creates libtool at a later time now. So
	  the check for giiInit must be done later. Unfortunately,
	  configure doesn't tell us when creating libtool, so we have to
	  guess the right position where we can start using AC_CHECK_LIB
	  with libtool. libtool itself requires the --mode argument. In
	  conjunction with the AC_CHECK_LIB we must pass the '--mode=link'
	  option to libtool.

2004-10-18 21:16  ggibecka

	* programs/regress/triple-int.c: Use time.h - or time() will be
	  undefined.  Don't declare variables deep inside a function.

2004-10-18 21:12  cegger

	* configure.in: Build update process, part 3: We now require
	  autoconf 2.59

2004-10-18 20:57  cegger

	* m4/: ltoptions.m4, ltsugar.m4, ltversion.m4: Build process
	  update, part 2b: Update to libtool 2.0 pre-release

2004-10-18 20:45  cegger

	* ltmain.sh, m4/libtool.m4: Build process update, part 2a: Update
	  to libtool 2.0 pre-release

2004-10-18 20:35  cegger

	* autogen.sh: Build process update, part 1: We now require autoconf
	  2.59 and automake 1.9.2

2004-10-18 17:30  cegger

	* TODO: update to new -current goals

2004-10-18 14:25  pekberg

	* programs/demos/Makefile.am: add new banner.inc.c to the dist
	  files.

2004-10-18 14:24  pekberg

	* programs/demos/: banner.inc.c, flying_ggis.c: Move the banner
	  graphics to a new file so that the forward declaration can be
	  killed without having the definition clutter up the beginning of
	  the real source. Needed as the AIX linker got confused by the
	  extern decl.

2004-10-18 14:24  cegger

	* programs/regress/Makefile.am: EXTRA_SUBDIRS -> DIST_SUBDIRS

2004-10-18 11:52  cegger

	* configure.in: bump to devel version

2004-10-18 07:59  pekberg

	* default/common/clip.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/triple-int.h, programs/regress/Makefile.am,
	  programs/regress/triple-int.c: Fix cliping bugs using triple
	  precision integer math.

2004-10-17 19:16  mooz

	* display/X/helper/vidmode/vidmode.c: Fixed typos in comments.

2004-10-17 19:06  mooz

	* display/X/helper/vidmode/vidmode.c: xf86vmode helper. The
	  requested mode must be equalt to one of the available X modes.
	  See display/X/helper/vidmode/vidmode.c file for more infos.

2004-10-17 11:28  aldot

	* configure.in: for non gcc(-compatible) compilers, nil
	  __PRETTY_FUNCTION__

2004-10-17 09:51  cegger

	* doc/man/: Makefile.am, display-quartz.7: regen.

2004-10-17 09:47  cegger

	* display/quartz/man.txt: rename manual to display-quartz to
	  reflect the used API

2004-10-17 09:45  cegger

	* display/multi/man.txt: explain target-spec option

2004-10-17 02:04  aldot

	* programs/util/ipaq_ggicalibrate.c: typos, whitespace cleanup.

2004-10-15 22:26  cegger

	* doc/man/ggiSetPalette.3: regen.

2004-10-15 21:39  cegger

	* doc/libggi-functions.txt: optimised -> optimized

2004-10-15 21:20  cegger

	* doc/man/: ggiMapColor.3, ggiSetDisplayFrame.3: regen.

2004-10-15 21:18  cegger

	* doc/libggi-structures.txt: whitespace cleanup

2004-10-15 21:17  cegger

	* doc/libggi-functions.txt: nuke superflous comma in enumeration

2004-10-15 10:46  cegger

	* doc/libggi-functions.txt: show a better way how to use
	  ggiSetWriteFrame()/ggiSetDisplayFrame()

2004-10-15 10:36  cegger

	* programs/regress/init.c: add missing newlines

2004-10-15 10:25  cegger

	* display/X/line.c: add assertion to detect NULL pointer bugs

2004-10-15 06:21  cegger

	* doc/man/ggiSetDisplayFrame.3: regen.

2004-10-15 06:21  cegger

	* doc/libggi-functions.txt: document right ggiSet*Frame() usage

2004-10-14 21:07  cegger

	* doc/man/: Makefile.am, demo.1, ggi-demo.1: generate demo(1)
	  manual

2004-10-14 21:07  cegger

	* doc/libggi-libraries.txt: add demo(1) manual

2004-10-14 21:07  cegger

	* programs/demos/Makefile.am: add cube3d.txt and demo.txt to
	  distribution

2004-10-14 21:06  cegger

	* programs/demos/demo.txt: add demo(1) manual. Content is based on
	  libggi Debian package. Content has been updated by me.

2004-10-14 17:13  cegger

	* doc/libggi-functions.txt: whitespace cleanup

2004-10-14 17:01  cegger

	* doc/man/: display-memory.7, display-monotext.7, display-multi.7,
	  display-sub.7, display-vcsa.7, display-x.7, ggiDrawBox.3,
	  ggiDrawHLine.3, ggiDrawVLine.3, ggiGetPixelFormat.3,
	  ggiJoinInputs.3, ggiOpen.3, ggiSetMode.3: regen.

2004-10-14 16:59  cegger

	* doc/libggi-functions.txt: sort 'See Also' section

2004-10-14 16:49  cegger

	* display/X/man.txt: alphabetize options in synopsis and in option
	  section

2004-10-14 16:40  cegger

	* display/vcsa/man.txt: alphabetize options in synopsis and in
	  option section

2004-10-14 16:34  cegger

	* display/monotext/man.txt: explain <target-spec> option

2004-10-14 16:32  cegger

	* display/sub/man.txt: add synopsis, explain <target-spec>

2004-10-14 16:28  cegger

	* display/memory/man.txt: alphabetize display-memory arguments in
	  synopsis

2004-10-14 16:27  cegger

	* display/ipc/man.txt: alphabetize display-ipc arguments

2004-10-14 14:28  cegger

	* doc/Makefile.am: add docutil files to distribution

2004-10-14 11:01  cegger

	* display/common/Makefile.am, display/common/ggi-auto-physz.inc,
	  ggi/mode.c, include/ggi/internal/internal.h,
	  include/ggi/internal/unit.h:
	  Enhance the GGI_AUTO handling with one more family member:

	  int _GGIhandle_ggiauto_physz(ggi_mode *mode, int def_x, int
	  def_y,				 int physzflag, const
	  ggi_coord *screen_size,				  const
	  ggi_coord *screen_res);

	  It handles physical mode size requests.

	  mode is the param from the ggiCheckMode()/ggiSetMode() functions.
	   def_x and def_y are the default visible sizes from the target
	  private area.

	  screen_size is the screen size in dpi, if physzflag is
	  GGI_PHYSZ_DPI, otherwise screen_size is in mm.  screen_res is the
	  screen size in pixels or 0 (unknown).

	  Remove wrong implemented _ggi_unit_mm2pix() and
	  _ggi_unit_pix2mm() from include/ggi/internal/unit.h.

2004-10-14 09:08  cegger

	* display/common/ggi-auto.inc: don't call _ggi_physz_figure_visible
	  here. Support for pixel independent mode setting will be handled
	  in a different way.

2004-10-12 18:24  aldot

	* TODO: add ggi-global retval-cleanup to TODOs

2004-10-11 21:36  cegger

	* display/auto/os/darwin.c: The 'draw black on black background'
	  bug has been fixed in conjunction with the unaligned memory
	  access fix in the X-target. There's no longer a need to disable
	  the XSHM extension, although still errors out. See testcase5 of
	  programs/regress/mode.c

2004-10-11 20:48  cegger

	* README: merge revisions 1.3.2.1 - 1.3.2.2:

	  GNU make is only required, when configure script was generated
	  with autoconf 2.13

2004-10-11 20:43  cegger

	* NEWS: merge revisions 1.5.2.1 - 1.5.2.2 from -stable branch_2_0:

	  add release notes for 2.0.4, 2.0.5 and 2.0.6

2004-10-11 20:34  cegger

	* FAQ: merge revisions 1.1.1.1 - 1.1.1.1.2.1 from -stable
	  branch_2_0:

	  update to reality

2004-10-11 19:12  cegger

	* programs/regress/display.tile/mansync.c: don't use display-auto
	  as secondary target. This prevents an internal error in ggi core
	  lib. Use display-memory as secondary target which assumes it is
	  available to make the regression test pass at all

2004-10-11 19:09  cegger

	* display/tile/visual.c: stop mansync before deinitializing it.
	  Makes display.tile/mansync regression test pass again.

2004-10-11 19:05  cegger

	* display/trueemu/visual.c: stop mansync before deinitializing it.
	  Makes display.trueemu/mansync regression test pass again.

2004-10-11 19:01  cegger

	* programs/regress/display.mansync/mansync.inc.c: fix printf()
	  usage: pass a cpp string #define as a string

2004-10-11 18:58  cegger

	* display/mansync/mansync.c: add debug code to ignore/cont, don't
	  stop mansync on deinitializing. mansync helper can't know,
	  whether we are in sync or async mode. Thus, put an assertion in
	  MANSYNC_deinit that fails when mansync runs. mansync now detects
	  usage mistakes much better.

2004-10-11 18:55  cegger

	* display/X/mode.c: Follow the scheme of display-aa: suspend/ignore
	  mansync, then continue it in ggiSetMode().

2004-10-11 18:53  cegger

	* display/: palemu/visual.c, X/visual.c: stop mansync before
	  deinitializing it

2004-10-11 18:30  cegger

	* doc/man/ggiSetFlags.3: regen.

2004-10-10 22:14  cegger

	* programs/regress/display.palemu/mansync.c: remove explicit auto
	  target. Prevents internal error in ggi core lib.

2004-10-10 21:48  cegger

	* doc/libggi-functions.txt: document the serialization problem in
	  ggiSetFlags(3)

2004-10-10 20:47  cegger

	* programs/regress/display.mansync/mansync.inc.c: disable
	  directbuffer code. Directbuffer support is not required to
	  perform the test

2004-10-10 20:26  cegger

	* display/aa/mode.c: remove unnecessary indentation

2004-10-10 12:18  cegger

	* programs/regress/Makefile.am,
	  programs/regress/display.aa/.cvsignore,
	  programs/regress/display.aa/Makefile.am,
	  programs/regress/display.aa/mansync.c,
	  programs/regress/display.mansync/.cvsignore,
	  programs/regress/display.mansync/Makefile.am,
	  programs/regress/display.mansync/mansync.inc.c,
	  programs/regress/display.palemu/.cvsignore,
	  programs/regress/display.palemu/Makefile.am,
	  programs/regress/display.palemu/mansync.c,
	  programs/regress/display.tile/.cvsignore,
	  programs/regress/display.tile/Makefile.am,
	  programs/regress/display.tile/mansync.c,
	  programs/regress/display.trueemu/.cvsignore,
	  programs/regress/display.trueemu/Makefile.am,
	  programs/regress/display.trueemu/mansync.c,
	  programs/regress/display.x/mansync.c, configure.in: add mansync
	  regression test for all targets that uses it. Share testcases in
	  programs/regress/display.mansync/mansync.inc.c

2004-10-10 09:18  cegger

	* programs/regress/mode.c: add testcase5:

	  It sets up a graphic mode exactly as ggiterm (forthcoming version
	  0.7.0) does.	It reproduces the XSHM extension initialization
	  failure on display-x

2004-10-09 06:58  cegger

	* display/: tile/visual.c, trueemu/visual.c: Fix the same bug that
	  has been found in the X-target: After mansync initialization,
	  start mansync when we are in SYNC mode!

2004-10-09 06:54  cegger

	* display/: aa/visual.c, palemu/visual.c: Fix the same bug that has
	  been found in the X-target: After mansync initialization, start
	  mansync when we are in SYNC mode!

2004-10-08 20:43  cegger

	* programs/regress/display.x/: Makefile.am, mansync.c: Stop mansync
	  and check the return value. This way, testcase1 now automatically
	  detects whether mansync runs or not.

	  It is no longer necessary to put printf() traces into
	  display-mansync

2004-10-08 20:39  pekberg

	* include/ggi/display/mansync.h: remove trailing ; so the macro can
	  be used as a statement.

2004-10-08 18:38  cegger

	* display/X/misc.c: revert PPosition hint flag, that has been
	  introduced in rev 1.23. It causes the windows to open only at the
	  upper left corner. This restores original behaviour, which is
	  much better.

2004-10-08 18:03  cegger

	* display/X/visual.c: initializing mansync at GGIopen() time is not
	  enough. Also start it, when we are in SYNC mode.

	  This fixes the display.x/mansync regression test and makes XGGI
	  work as expected

2004-10-08 18:00  cegger

	* include/ggi/display/mansync.h: use a do {} while(0) loop than
	  just brackets. This allows the compiler to do some better
	  optimizations. Suggested by Peter Ekberg.

2004-10-08 12:37  cegger

	* display/mansync/mansync.c: fix bug introduced in previous commit:
	  reset running flag when mansync has been actually stopped

2004-10-08 12:31  cegger

	* display/mansync/mansync.c: fail with an internal error when
	  trying to stop mansync w/o starting it first.

	  While here, do some whitespace cleanups.

2004-10-08 12:05  cegger

	* configure.in: fix cut/copy/paste bug: X -> display.x

2004-10-08 12:00  cegger

	* programs/regress/display.x/mansync.c: add disabled code, where
	  XGGI would like to switch to ASYNC mode and remove wrong comment.

2004-10-08 11:49  cegger

	* programs/regress/display.x/: .cvsignore, Makefile.am, mansync.c:
	  add regression test that shows a bug found with XGGI: display-x
	  initializes, but doesn't start display-mansync

2004-10-08 11:47  cegger

	* configure.in, programs/regress/Makefile.am: add a display.x
	  subdir for x-target specific regression tests. This scheme is
	  expandable for all other targets

2004-10-05 09:47  cegger

	* display/X/color.c: mark LIBGGI_PAL(vis)->clut.data as NULL after
	  free()ing it.

2004-10-05 09:44  cegger

	* display/vgl/mode.c: remove one indent level within switch()

2004-10-04 12:38  pekberg

	* display/mansync/mansync.c: Call _ggiInternFlush instead of
	  ggiFlush.  Solves a deadlock problem on display-x in sync mode.
	  Needs further work so that ggiFlush is called when the ggTask
	  implementation is thread based.

2004-10-04 11:28  pekberg

	* programs/check/pointer.c: Draw a small thingy at the current
	  relative and absolute coords.  A click on a pointer button syncs
	  abs and rel coords.

2004-10-03 10:27  cegger

	* display/X/misc.c, include/ggi/display/x.h: change return type of
	  _ggi_x_dress_parentwin() to int to allow error checking

2004-10-03 09:19  cegger

	* doc/man/display-directx.7: regen.

2004-10-01 17:12  pekberg

	* programs/check/pointer.c: Remove some unused stuff and sanitized
	  the output.  Improved efficiency (the output was sluggish)

2004-10-01 12:41  pekberg

	* programs/check/: Makefile.am, pointer.c: Add pointer test
	  program.  Checks if absolute and relative pointer motion matches
	  each other.

2004-09-30 12:54  cegger

	* config.guess, config.sub, depcomp, install-sh, missing: sync with
	  tools/buildframework: update to the version shipped with automake
	  1.9.2

2004-09-30 08:06  cegger

	* programs/demos/pageflip.c: g/c blue and yellow. They are 'defined
	  but not used'

2004-09-29 13:51  cegger

	* display/tele/Makefile.am: remove superflous Makefile.server

2004-09-29 13:49  cegger

	* display/tele/Makefile.am, configure.in: move ggiteleserver into
	  the server subdirectory. This fixes the automake warning

	  display/tele/Makefile.am: object `libtele.$(OBJEXT)' created both
	  with libtool and without

	  - move teleserver.c, rev 1.8 into server/ subdirectory

2004-09-28 18:37  cegger

	* libggi.conf.in: alphabetize displays and their abbreviations.  -
	  remove xlib entry. This target has been merged into X a long time
	  ago.	- add ipc to the abbreviation section

2004-09-25 20:56  mooz

	* display/X/helper/vidmode/vidmode.c: X vidmode helper. non-root
	  fullscreen

2004-09-25 09:44  cegger

	* Makefile.am: autogen.sh requires checkversion.sh. So distribute
	  it, too

2004-09-24 12:51  pekberg

	* doc/README.directx: update of status on the configure script
	  problem

2004-09-24 12:30  pekberg

	* include/ggi/display/directx.h, display/directx/ddinit.c,
	  display/directx/ddinit.h, display/directx/mode.c,
	  display/directx/visual.c: Preliminary support for palettized
	  modes

2004-09-24 12:23  pekberg

	* programs/util/monitest/monitest.c: Set a colourful palette after
	  setting/changing the mode

2004-09-24 11:11  pekberg

	* display/directx/ddinit.c: Kill a warning

2004-09-24 11:10  pekberg

	* display/directx/ddinit.c: Hot spot of the cursor was off by one
	  pixel.

2004-09-24 11:09  pekberg

	* display/directx/ddinit.c, display/directx/ddinit.h,
	  display/directx/man.txt, display/directx/mode.c,
	  display/directx/visual.c, include/ggi/display/directx.h:
	  Implement fullscreen support with target option -fullscreen

2004-09-22 21:37  nsouch

	* display/kgi/kgi.c: Convert printf to GGIDPRINT_xxx calls

2004-09-22 20:22  nsouch

	* display/kgi/visual.c: If GGI_INPUT or GII_INPUT is set, it
	  overrides the default behaviour of KGI display. Otherwise, try to
	  open the /dev/event corresponding to the /dev/graphic

2004-09-22 20:20  nsouch

	* display/kgi/kgi.c: Fix computation of the mapper graphic unit
	  from the result of get_unit

2004-09-22 20:16  nsouch

	* default/kgi/ATI/Mach64/mach64_accel.h: Import MACH64.h locally to
	  avoid unresolved inclusion

2004-09-22 20:14  nsouch

	* include/ggi/display/kgi.h:
	  Include kgi/config.h conditionaly like others

2004-09-22 20:09  nsouch

	* display/kgi/mode.c:
	  Renable accel for FreeBSD

2004-09-21 06:03  pekberg

	* programs/regress/mode.c: GGI_OK instead of 0.

2004-09-20 19:24  pekberg

	* display/directx/mode.c: _GGIhandle_ggiauto can't be used in
	  conjunction with real physical size (it probably works with the
	  -physz option though) Return GGI_ENOMATCH instead of -1 from
	  ggiCheckMode

2004-09-20 19:13  pekberg

	* ggi/mode.c: Add a debug message in _ggi_physz_figure_size

2004-09-20 13:40  pekberg

	* programs/regress/mode.c: Instead of requesting a 40x30 mm mode,
	  determine the size by first requesting a simple mode to get a
	  physical size that is known to be working.

2004-09-20 13:15  pekberg

	* programs/regress/mode.c: Don't be so harch on the return value of
	  ggiCheckMode in testcase4 Don't accept the resulting physical
	  size 1 mm in either direction.

2004-09-20 12:54  cegger

	* programs/regress/mode.c: make failure message more precise to
	  identify if size.x, size.y or the return value caused the failure

2004-09-20 12:42  pekberg

	* programs/regress/mode.c: test setting a mode with a specified
	  physical size

2004-09-20 12:39  cegger

	* ggi/mode.c, include/ggi/internal/internal.h: constify the op_sz
	  argument of _ggi_physz_figure_size() to indicate that this
	  pointer does NOT change

2004-09-18 17:21  cegger

	* display/glide/mode.c: use functions from display/common/* and
	  simplify checkmode implementation

2004-09-18 14:42  cegger

	* display/X/helper/dbe/dbe.c: implement initial version check

2004-09-18 13:47  cegger

	* TODO: ibiblio link does not work. Change URL to a working one

2004-09-18 13:44  cegger

	* display/X/visual.c: #undef GGI_X_CHECK_XEXT after usage

2004-09-18 10:56  cegger

	* default/fbdev/: ati/mach64/mach64.h, directfb/directfbglobal.c,
	  directfb/core/coretypes.h, directfb/core/fbdev.h,
	  directfb/core/fusion/fusion_types.h, directfb/core/fusion/list.h,
	  directfb/core/fusion/lock.h, directfb/core/fusion/reactor.h: add
	  rcs identifer

2004-09-18 10:41  cegger

	* programs/util/tunemode.c: add rcs identifer. Make copyright
	  notice look more nice

2004-09-18 10:37  cegger

	* programs/util/: ggicalibrate.c, ipaq_ggicalibrate.c: add rcs
	  identifer. Make copyright notice look more nice

2004-09-18 10:35  cegger

	* programs/regress/clipdb.inc.c: add license notice

2004-09-18 10:34  cegger

	* display/kgi/mode.c: correct rcs modifier

2004-09-18 10:33  cegger

	* display/kgi/kgi.c: add missing license notice

2004-09-18 09:52  cegger

	* include/ggi/display/kgi.h: add rcs identifer

2004-09-18 09:50  cegger

	* include/ggi/internal/: ggidlinit.h, ggilibinit.h: remove unused
	  code

2004-09-18 09:49  cegger

	* include/ggi/internal/: ggidlinit.h, ggilibinit.h: add missing
	  license notice

2004-09-18 09:46  cegger

	* include/ggi/ll.h: add rcs identifer. Change license from LGPL to
	  BSD pico ll.h

2004-09-18 09:43  cegger

	* extensions/test/: test1.h, test2.h: add missing license notice

2004-09-17 17:27  skids

	* TODO:
	  Add verbose descriptions of some stuff

2004-09-16 00:47  pekberg

	* programs/demos/demo.c: Handle random numbers better, results
	  should look more uniform across targets and platforms.

2004-09-15 20:37  pekberg

	* display/directx/ddinit.c: Remove cruft.

2004-09-15 20:29  pekberg

	* display/directx/: ddinit.c, ddinit.h, mode.c, visual.c: Implement
	  async mode.

2004-09-15 20:14  pekberg

	* display/directx/: mode.c, visual.c: release the default libraries
	  used for the previous mode when changing mode

2004-09-15 19:44  pekberg

	* display/directx/ddinit.c: Let DirectDraw decide the stride (or
	  pitch). Manually trying to guess it sometimes aligns poorly. On
	  (at least) one system the stride has to be a multiple of 8 bytes,
	  which is hard to know up front.

2004-09-15 18:50  cegger

	* include/ggi/internal/internal.h: cleanup macro definitions

2004-09-15 18:32  cegger

	* ggi/init.c: use LIBGGI_EXT and LIBGGI_EXTAC macros where possible

2004-09-15 18:06  cegger

	* default/linear_32/crossblit.c: LIBGGI_MODE(src)->graphtype  ->
	  LIBGGI_GT(src)

2004-09-15 12:25  cegger

	* doc/man/display-x.7: regenerate display-x(7): explain the
	  "nature" of evExpose events :)

2004-09-15 12:22  cegger

	* display/X/man.txt: mention that evExpose events are grabbed to
	  update the backbuffer in default mode

2004-09-15 12:09  cegger

	* display/X/man.txt: evExpose events are passed to the application
	  with the -nobuffer option.

2004-09-15 10:29  cegger

	* default/common/clip.c: add assertion about assumption in the else
	  case

2004-09-14 20:10  cegger

	* display/ipc/man.txt: describe better what display-ipc(7) is for

2004-09-14 19:08  cegger

	* display/memory/visual.c: use snprintf(3) when available.

2004-09-14 15:53  cegger

	* ggi/Makefile.am: bump version to reflect 2.0.x tree. Note, that
	  libtool's version info is inconsistent. 2:x:0 results in: On
	  Linux and Darwin you get: libggi.<ext>.2.0.x on *BSD you get:
	  libggi.<ext>.2.x.0 where x is the patch revision.

	  Some people got confused with that.  So we step "back" to 2:1:0
	  for the 2.1.y next major stable tree.  This should make the libs
	  distinguishable across all platforms and let us hope, noone uses
	  the ancient libggi 2.0.1 or prior version...

2004-09-14 08:29  pekberg

	* programs/regress/testsuite.inc.c: Add some includes for strncmp
	  and strchr...

2004-09-14 08:27  pekberg

	* programs/regress/testsuite.inc.c: Remove annoying directories at
	  the start of the regression test filename.

2004-09-14 08:13  pekberg

	* programs/regress/clip2d.c: add missing ggiExit call at the end

2004-09-13 17:50  cegger

	* display/auto/visual.c: Fix memory leak. The private data
	  structure has been allocated via calloc(). It can't be freed in
	  GGIclose() or GGIexit() as it is NOT attached to the visual.	Bug
	  found by Peter Ekberg.

2004-09-13 17:37  cegger

	* ggi/probe.c: Fix memory leak. The memory has been directly
	  malloc()ed in _ggiLoadDL() called by _ggiProbeDL(). Bug found by
	  Peter Ekberg

2004-09-13 16:19  cegger

	* default/fbdev/: ati/mach64/visual.c, mga/2164w/visual.c,
	  mga/g400/visual.c: calculate Bytes Per Pixel with GT_ByPP

2004-09-13 16:10  cegger

	* default/kgi/ATI/Radeon/visual.c: calculate Bytes Per Pixel using
	  GT_ByPP

2004-09-13 14:17  pekberg

	* display/directx/ddinit.h: kill confusing BPP variables.

2004-09-13 14:12  pekberg

	* display/directx/ddinit.c, display/directx/mode.c,
	  include/ggi/display/directx.h: kill confusing BPP variables.

2004-09-13 14:10  pekberg

	* include/ggi/display/directx.h: Give the helper thread a fair
	  chance to end nicely

2004-09-13 12:57  pekberg

	* display/directx/ddinit.c: Fix resource leak

2004-09-13 12:31  pekberg

	* display/directx/visual.c: kill memory leak

2004-09-13 12:13  cegger

	* programs/check/findleaks.c: revert changes as suggested by Peter
	  Ekberg on IRC

2004-09-13 12:04  pekberg

	* programs/check/findleaks.c: /proc/<pid>/status exists on cygwin
	  as well

2004-09-13 11:55  cegger

	* programs/check/findleaks.c: make non-linux versions verbose -
	  they are not implemented

2004-09-13 11:17  cegger

	* display/terminfo/mode.c: calculate Bytes Per Packed Pixels
	  correctly using the GT_ByPPP macro

2004-09-13 11:12  cegger

	* display/svgalib/mode.c: GT_ByPPP expects a graphtype as 2nd
	  argument

2004-09-13 11:11  cegger

	* display/svgalib/mode.c: calculate Bytes Per Packed Pixels
	  correctly using the GT_ByPPP macro

2004-09-13 11:08  cegger

	* display/kgi/mode.c: calculate Bytes Per Packed Pixels correctly

2004-09-13 10:59  cegger

	* display/directx/mode.c: calculate number of Bytes Per Pixel
	  correctly

2004-09-13 10:57  cegger

	* display/aa/mode.c: initialize the 'gt' variable inside the
	  disabled code

2004-09-13 10:50  cegger

	* default/: linear_16/crossblit.c, linear_24/crossblit.c: use
	  LIBGGI_GT(src) than LIBGGI_MODE(src)->graphtype

2004-09-13 10:47  cegger

	* default/kgi/ATI/Radeon/crossblit.c: use LIBGGI_GT()

2004-09-13 10:42  cegger

	* display/X/buffer.c: use LIBGGI_VIRTX(vis) than vis->mode->virt.x
	  and LIBGGI_VIRTY(vis) than vis->mode->virt.y

2004-09-13 10:40  cegger

	* display/X/: buffer.c, misc.c, mode.c, helper/shm/shm.c: use
	  LIBGGI_MODE(vis) than vis->mode

2004-09-13 10:36  cegger

	* display/memory/mode.c: use LIBGGI_MODE(vis) than vis->mode

2004-09-13 10:34  cegger

	* default/kgi/ATI/Radeon/visual.c: use LIBGGI_GT(vis) than
	  vis->mode->graphtype

2004-09-13 10:12  pekberg

	* display/directx/ddinit.c: Don't move the upper left position of
	  the window during mode change

2004-09-13 10:05  pekberg

	* display/directx/: ddinit.c, ddinit.h: Give the helper thread a
	  fair chance to end nicely

2004-09-13 09:42  pekberg

	* display/directx/ddinit.c, display/directx/ddinit.h,
	  display/directx/mode.c, display/directx/visual.c,
	  include/ggi/display/directx.h: fix indentation

2004-09-13 09:35  cegger

	* include/ggi/internal/ggi-dl.h: use LIBGGI_VIRTX(vis) and
	  LIBGGI_VIRTY(vis)

	  don't check x against y coordinate when clipping

2004-09-13 09:30  cegger

	* ggi/gc.c: LIBGGI_MODE(vis)->virt.x -> LIBGGI_VIRTX(vis)
	  LIBGGI_MODE(vis)->virt.y -> LIBGGI_VIRTY(vis)

2004-09-13 09:29  cegger

	* display/X/helper/shm/shm.c: LIBGGI_MODE(vis)->virt.y ->
	  LIBGGI_VIRTY(vis)

2004-09-13 09:23  cegger

	* display/X/fillscreen.c: use LIBGGI_VIRTX(vis) and
	  LIBGGI_VIRTY(vis)

	  don't check x against y coordinate when clipping

2004-09-13 09:16  cegger

	* display/: svgalib/box.c, svgalib/hline.c, svgalib/pixel.c,
	  svgalib/vline.c, tele/box.c: LIBGGI_MODE(vis)->virt.x ->
	  LIBGGI_VIRTX(vis) LIBGGI_MODE(vis)->virt.y -> LIBGGI_VIRTY(vis)

2004-09-13 09:10  cegger

	* default/linmm_banked/visual.c, display/monotext/draw.c:
	  LIBGGI_MODE(vis)->virt.x -> LIBGGI_VIRTX(vis)
	  LIBGGI_MODE(vis)->virt.y -> LIBGGI_VIRTY(vis)

2004-09-13 09:06  cegger

	* default/fbdev/: ati/mach64/visual.c, mga/2164w/visual.c,
	  mga/g400/visual.c: LIBGGI_MODE(vis)->virt.y -> LIBGGI_VIRTY(vis)

2004-09-13 09:04  cegger

	* display/X/mode.c: LIBGGI_MODE(vis)->visible.x -> LIBGGI_X(vis)
	  LIBGGI_MODE(vis)->visible.y -> LIBGGI_Y(vis)

2004-09-13 08:58  cegger

	* display/terminfo/mode.c: LIBGGI_MODE(vis)->graphtype ->
	  LIBGGI_GT(vis)

2004-09-13 08:54  cegger

	* display/: svgalib/visual.c, terminfo/color.c:
	  LIBGGI_MODE(vis)->graphtype -> LIBGGI_GT(vis)

2004-09-13 08:53  cegger

	* display/svgalib/mode.c: use LIBGGI_* macros

2004-09-13 08:50  cegger

	* display/suidkgi/mode.c: use LIBGGI_* macros

2004-09-13 08:43  cegger

	* display/: fbdev/mode.c, ipc/mode.c, memory/mode.c:
	  LIBGGI_MODE(vis)->graphtype -> LIBGGI_GT(vis)

2004-09-13 08:37  cegger

	* display/: aa/mode.c, directx/mode.c: LIBGGI_MODE(vis)->graphtype
	  -> LIBGGI_GT(vis)

2004-09-13 08:35  cegger

	* default/fbdev/directfb/visual.c: bugfix: calculate Bytes Per
	  Packed Pixels correctly

2004-09-13 08:31  cegger

	* default/: color/pack.c, fbdev/ati/mach64/visual.c,
	  fbdev/directfb/visual.c: LIBGGI_MODE(vis)->graphtype ->
	  LIBGGI_GT(vis)

2004-09-13 08:22  pekberg

	* display/directx/visual.c: Revert last change, cast in lvalue is
	  deprecated...

2004-09-12 21:51  cegger

	* programs/util/tunemode.c: use string bounded ops

2004-09-12 21:48  cegger

	* display/fbdev/visual.c: use string bounded ops

2004-09-12 21:44  cegger

	* display/kgi/kgi.c: use string bounded ops. simplifies code a bit.

2004-09-12 21:21  cegger

	* display/terminfo/: color.c, mode.c, visual.c: code cleanup: use
	  LIBGGI_* macros, eliminate uneccessary variables

2004-09-12 21:11  cegger

	* display/terminfo/: TIvisual.h, color.c, mode.c, visual.c: use
	  TERMINFO_PRIV than LIBGGI_PRIVATE

2004-09-12 21:03  cegger

	* display/X/helper/: dga/dga.c, evi/evi.c: use GGIX_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:58  cegger

	* display/X/: color.c, misc.c, mode.c, visual.c: use GGIX_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:53  cegger

	* display/vcsa/visual.c: use string bounded op

2004-09-12 20:52  cegger

	* display/vcsa/visual.c: use VCSA_PRIV than LIBGGI_PRIVATE

2004-09-12 20:49  cegger

	* display/trueemu/visual.c: use TRUEEMU_PRIV than LIBGGI_PRIVATE

2004-09-12 20:48  cegger

	* display/tile/: mode.c, visual.c: use TILE_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:45  cegger

	* display/tele/visual.c: use TELE_PRIV than LIBGGI_PRIVATE

2004-09-12 20:43  cegger

	* display/svgalib/: color.c, mode.c, visual.c: use SVGA_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:40  cegger

	* display/sub/visual.c: use SUB_PRIV than LIBGGI_PRIVATE

2004-09-12 20:37  cegger

	* display/palemu/visual.c: use PALEMU_PRIV than LIBGGI_PRIVATE

2004-09-12 20:35  cegger

	* display/multi/mode.c: use GGIMULTI_PRIV than LIBGGI_PRIVATE

2004-09-12 20:33  cegger

	* display/libkgi/visual.c: use LIBKGI_PRIV than LIBGGI_PRIVATE

2004-09-12 20:31  cegger

	* display/memory/visual.c: use MEMORY_PRIV than LIBGGI_PRIVATE

2004-09-12 20:30  cegger

	* display/lcd823/: mode.c, visual.c: use LCD823_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:27  cegger

	* display/kgi/: color.c, mode.c, visual.c: use KGI_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:19  cegger

	* display/ipc/visual.c: use IPC_PRIV than LIBGGI_PRIVATE

2004-09-12 20:16  cegger

	* display/glide/: mode.c, visual.c: use GLIDE_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 20:13  cegger

	* display/monotext/: color.c, draw.c, mode.c, monotext.c, text.c,
	  visual.c: use MONOTEXT_PRIV than LIBGGI_PRIVATE

2004-09-12 20:07  cegger

	* display/multi/: stubs.c, visual.c: use GGIMULTI_PRIV than
	  LIBGGI_PRIVATE

2004-09-12 19:58  cegger

	* display/file/visual.c: use FILE_PRIV than LIBGGI_PRIVATE

2004-09-12 19:56  cegger

	* display/directx/visual.c: use GGIDIRECTX_PRIV than LIBGGI_PRIVATE

2004-09-12 19:55  cegger

	* display/aa/: mode.c, visual.c: use AA_PRIV than LIBGGI_PRIVATE

2004-09-12 19:47  cegger

	* display/X/mode.c: use GGI_MAX_APILEN than hardcoded value

2004-09-12 19:41  cegger

	* display/: tile/mode.c, trueemu/mode.c, vcsa/mode.c, vgl/mode.c:
	  use GGI_MAX_APILEN than hardcoded value

2004-09-12 19:37  cegger

	* display/: svgalib/mode.c, terminfo/mode.c: use GGI_MAX_APILEN
	  than hardcoded value

2004-09-12 19:31  cegger

	* display/: monotext/mode.c, palemu/mode.c: use GGI_MAX_APILEN than
	  hardcoded value

2004-09-12 19:27  cegger

	* display/: kgi/mode.c, lcd823/mode.c, memory/mode.c: use
	  GGI_MAX_APILEN than hardcoded value

2004-09-12 19:23  cegger

	* display/: aa/mode.c, file/mode.c, glide/mode.c, ipc/mode.c: use
	  GGI_MAX_APILEN than hardcoded value

2004-09-12 10:08  cegger

	* programs/demos/flying_ggis.c: use EXIT_SUCCESS/EXIT_FAILURE for
	  exit(3) calls

2004-09-12 10:02  cegger

	* programs/demos/cube3d.c: use EXIT_FAILURE for exit(3) call

2004-09-11 21:10  cegger

	* display/X/mode.c: check return code in GGI_X_checkmode_fixed()

2004-09-11 05:41  cegger

	* doc/man/: Makefile.am, ggi_colormap.3, ggi_colormap_region.3:
	  generate manpages for ggi_colormap(3) and ggi_colormap_region(3)

2004-09-10 22:01  cegger

	* display/fbdev/: color.c, mode.c, pan.c, visual.c: consequently
	  use FBDEV_PRIV than LIBGGI_PRIVATE

2004-09-10 20:22  cegger

	* display/fbdev/mode.c: use GGI_MAX_APILEN than hardcoded value

2004-09-10 18:48  pekberg

	* display/directx/ddinit.c, include/ggi/display/directx.h:
	  Unregister the window class (if we registered it) during
	  shutdown, otherwise CreateWindow crashes if the target is
	  unloaded and loaded again.

2004-09-10 16:44  cegger

	* programs/regress/init.c: since rev. 1.4 testcase3 calls ggiExit()
	  before exiting. That causes testcase4 to regress. Change
	  testcase4 accordingly to test both cases: call of ggiClose(NULL)
	  w/ and w/o ggiInit()/ggiExit() surrounded.

2004-09-10 16:38  cegger

	* programs/regress/init.c: add testcase5 and 6 that reproduces the
	  bug Peter Eckberg recently found in display-directx

2004-09-10 13:12  soyt

	* doc/libggi-structures.txt: - fixed colormap formating issues -
	  moved into libggi-structures

2004-09-09 17:53  cegger

	* display/X/helper/shm/shm.c: handle cursor resetting better.

2004-09-09 16:58  cegger

	* display/X/helper/shm/shm.c: tweak debug code a little

2004-09-09 16:40  cegger

	* display/X/helper/shm/shm.c: use LIBGGI_* macros where possible

2004-09-09 14:18  pekberg

	* display/directx/mode.c: Support visual size in mm and dpi.

2004-09-09 13:13  cegger

	* ggi/init.c: swap GGI_DEBUG and GGI_DEBUGSYNC evaluation. Allows
	  to mention whether we are in sync or in async debug mode.

2004-09-09 13:03  cegger

	* display/X/misc.c: minor code refactoring

2004-09-09 12:41  cegger

	* display/X/misc.c, display/X/visual.c, include/ggi/display/x.h:
	  handle cursor resetting better. Patch from Bernhard Fischer.

2004-09-09 12:17  cegger

	* display/X/visual.c: revert previous GGIexit() changes. Use an
	  assertion than allowing to down in a broken way.  While here, do
	  some other minor cleanups

2004-09-09 12:07  cegger

	* display/X/visual.c: perform more strict checks before
	  deinitializing mansync in GGIexit()

2004-09-09 11:55  cegger

	* display/X/mode.c: make mode setting more debug friendly

2004-09-09 10:05  pekberg

	* programs/regress/mode.c: add missing GGI_AUTO in description

2004-09-09 08:50  pekberg

	* programs/check/checkmode.c: mark difference in graphtype size the
	  same way as differences in graphtype depth.

2004-09-08 22:31  cegger

	* doc/man/: ggiCheckMode.3, ggi_mode.3: regen.

2004-09-08 22:28  cegger

	* doc/libggi-structures.txt: explain the size element of ggi_mode
	  in the ggi_mode(3) manual

2004-09-08 21:42  cegger

	* programs/regress/: Makefile.am, mode.c: add new regression test.
	  Basically does some sanity checks.

2004-09-08 21:18  cegger

	* include/ggi/internal/internal.h: rework LIBGGI_FB_SIZE to use
	  GT_ByPPP

2004-09-08 21:10  cegger

	* display/tile/mode.c: use new GT_ByPPP macro. Minor whitespace
	  nits.

2004-09-08 21:03  cegger

	* display/memory/mode.c: use new GT_ByPPP macro. Makes the size
	  variable superflous

2004-09-08 20:40  cegger

	* display/: ipc/mode.c, vgl/mode.c: GT_ByPPP expects the graphtype
	  not GT_SIZE as second argument. Fixes bug introduced in prior
	  commit

2004-09-08 20:33  cegger

	* display/: palemu/mode.c, trueemu/mode.c: use GT_ByPPP macro

2004-09-08 20:30  cegger

	* display/: file/mode.c, kgi/mode.c, monotext/mode.c: use GT_ByPPP
	  macro

2004-09-08 20:25  cegger

	* display/: ipc/mode.c, vgl/mode.c: use GT_ByPPP macro

2004-09-08 20:22  cegger

	* default/stubs/visual.c: use GT_ByPP macro

2004-09-08 20:20  cegger

	* default/stubs/copybox.c: use new GT_ByPPP macro

2004-09-08 20:17  cegger

	* include/ggi/types.h: consistently surround macro arguments with
	  brackets. This also counts for GT_ByPPP

2004-09-08 20:16  cegger

	* default/kgi/ATI/Radeon/crossblit.c: make use of GT_ByPPP macro

2004-09-08 20:09  cegger

	* default/stubs/box.c, display/X/buffer.c: use new GT_ByPPP macro

2004-09-08 20:08  cegger

	* include/ggi/types.h: introduce new GT_ByPPP macro. ByPPP stands
	  for Bytes Per Packed Pixel. Note that it requires two arguments,
	  so the compiling will fail on typo bugs regarding to GT_ByPP.
	  Idea from Bernhard Fischer.

2004-09-08 20:04  cegger

	* programs/demos/flying_ggis.c: use GT_ByPP macro

2004-09-08 19:52  cegger

	* display/sub/: mode.c, stubs.c: LIBGGI_PRIVATE(vis) ->
	  SUB_PRIV(vis)

2004-09-08 19:26  cegger

	* programs/check/: consistency.c, findleaks.c, speed.c, structs.c:
	  Code cleanup. Patches from Bernhard Fischer.

2004-09-08 19:18  cegger

	* programs/: check/showaccel.c, check/showaccel2.c, demos/cube3d.c:
	  make global variables static

2004-09-08 19:16  cegger

	* programs/check/checkmode.c: cleanup checkmode. Patch from
	  Bernhard Fischer

2004-09-08 19:14  cegger

	* programs/check/cbconsist.c: make global variables static

2004-09-08 19:07  cegger

	* programs/regress/clipdb.inc.c: make global variables static

2004-09-08 19:06  cegger

	* programs/demos/stars.c: make global variables and prototypes
	  static

2004-09-08 19:04  cegger

	* programs/demos/: pageflip.c, saver.c, slimy.c, textdemo.c: make
	  global variables static

2004-09-08 18:56  cegger

	* ggi/mode.c: convert %d to %u for unsigned values

2004-09-08 18:54  cegger

	* ggi/internal.c: %d -> %u

2004-09-08 18:54  cegger

	* ggi/dl.c: add a cast

2004-09-08 18:51  cegger

	* extensions/test/test1.c: remove one indentation level. Use
	  GGI_MAX_APILEN than hardcoded value. Use string bounded op.

2004-09-08 18:20  cegger

	* TODO: refer to skids mail on the 'dl enhance' item

2004-09-08 18:09  cegger

	* programs/: util/inputdump.c, demos/warp-ggi/main.c: %d -> %u

2004-09-08 17:51  cegger

	* programs/util/monitest/: drawlib.c, ggitext.c, menu.c,
	  monitest.c, pattern.c, window.c: Clean up monitest. Patch from
	  Bernhard Fischer

2004-09-08 17:47  cegger

	* display/X/box.c: add assertions for priv->slave

2004-09-08 14:03  cegger

	* m4/libtool.m4: sync with tools/buildframework/m4/libtool.m4 rev
	  1.3:

	  Use 'gcc -shared' on both cygwin and mingw.  Optimize out dlltool
	  and dllwrap.

2004-09-08 11:24  cegger

	* display/vgl/mode.c: initialize the arguments string before
	  entering the switch than doing it separately for each case

2004-09-08 11:24  cegger

	* display/vcsa/mode.c: initialize the arguments string w/o
	  strcpy().

2004-09-08 11:23  cegger

	* display/trueemu/mode.c: initialize the arguments string w/o
	  strcpy(). Use %u than %d in sprintf() to allow better type checks
	  within libc

2004-09-08 11:22  cegger

	* display/tile/mode.c: initialize the arguments string before
	  entering the switch than doing it separately for each case. Use
	  %u than %d in sprintf() to allow better type checks within libc

2004-09-08 11:20  cegger

	* display/tele/mode.c: initialize the arguments string w/o
	  strcpy().

2004-09-08 11:19  cegger

	* display/sub/mode.c: always initialize the arguments string

2004-09-08 11:18  cegger

	* display/: svgalib/mode.c, terminfo/mode.c: initialize the
	  arguments string before entering the switch than doing it
	  separately for each case

2004-09-08 11:17  cegger

	* display/palemu/mode.c: initialize the arguments string w/o
	  strcpy(). Use %u than %d in sprintf() to allow better type checks
	  within libc

2004-09-08 11:16  cegger

	* display/: lcd823/mode.c, libkgi/visual.c: initialize the
	  arguments string w/o strcpy().

2004-09-08 11:13  cegger

	* display/: glide/mode.c, kgi/mode.c: initialize the arguments
	  string before entering the switch than doing it separately for
	  each case

2004-09-08 11:13  cegger

	* display/: file/mode.c, ipc/mode.c: initialize the arguments
	  string w/o strcpy(). Use %u than %d in sprintf() to allow better
	  type checks within libc

2004-09-08 11:11  cegger

	* display/fbdev/mode.c: initialize the arguments string w/o
	  strcpy(). Make mode setting failure case a bit more verbose.

2004-09-08 11:05  cegger

	* display/: aa/mode.c, directx/mode.c: initialize the arguments
	  string before entering the switch than doing it separately for
	  each case

2004-09-08 10:56  cegger

	* display/X/buffer.c: cleanup: use LIBGGI_* macros

2004-09-08 10:52  cegger

	* default/stubs/box.c: cleanup: use GT_ByPP macro

2004-09-08 10:49  cegger

	* default/linear_32/crossblit.c: move variable declaration outside
	  the loop.

2004-09-04 06:11  cegger

	* display/memory/visual.c: shmdt prototype expects a pointer type
	  of void *. Fixes warning about incompatible pointer type on
	  Solaris/sparc64

2004-09-03 18:47  cegger

	* display/palemu/visual.c: only de-initialize mansync helper, when
	  PALEMU_PRIV(vis)->opmansync != NULL

2004-09-03 18:42  cegger

	* display/palemu/text.c: use PALEMU_PRIV

2004-09-03 10:07  pekberg

	* doc/README.directx: Add note about annoying MSYS (non-)handling
	  of stdout in its shell.

2004-09-03 07:56  pekberg

	* display/directx/: ddinit.c, mode.c, visual.c: Make use of the new
	  GGIDIRECTX_PRIV macro.

2004-09-03 07:55  pekberg

	* include/ggi/display/directx.h: Introduce GGIDIRECTX_PRIV

2004-09-03 07:38  pekberg

	* doc/README.directx: Restructure document and fix minor glitches

2004-08-27 15:17  cegger

	* programs/regress/init.c: invert testcase4 to pass on success

2004-08-27 12:02  pekberg

	* display/directx/: ddinit.c, ddinit.h: Notify input-directx when
	  the user might have changed keyboard repeat rates.

2004-08-27 09:25  pekberg

	* programs/regress/clip2d.c: The testcases are written so that they
	  succeed when behaviour is correct.

2004-08-27 07:21  pekberg

	* doc/README.directx: Add possible workaround to downloading 200MB
	  Add workaround for cygwin configure script argument parsing
	  problem

2004-08-27 07:08  pekberg

	* programs/regress/init.c: Fix the expected return value.

2004-08-26 11:39  cegger

	* doc/libggi-functions.txt: s/paramater/parameter/

2004-08-26 11:23  cegger

	* programs/regress/Makefile.am: alphabetize build order

2004-08-26 11:22  cegger

	* programs/regress/: Makefile.am, init.c: add regression test for
	  ggiInit/ggiExit and ggiOpen/ggiClose

2004-08-26 11:20  cegger

	* programs/regress/testsuite.inc.c: make summary more verbose

2004-08-26 07:41  pekberg

	* programs/regress/clip2d.c: Add clipping test that fails even if
	  extending the clip algorithm to use an integer type with twice as
	  many bits as the regular int type.

2004-08-25 21:27  cegger

	* default/fbdev/ati/mach64/: gtext.c, ati_mach64.h: remove
	  misplaced semicolon

2004-08-25 15:45  cegger

	* doc/man/: display-directx.7, display-memory.7, display-x.7:
	  regenerated

2004-08-25 11:55  aldot

	* display/: X/man.txt, ipc/man.txt, memory/man.txt: remove
	  duplicate words

2004-08-25 11:54  pekberg

	* display/directx/man.txt: add list of features

2004-08-25 08:25  pekberg

	* display/directx/mode.c: point to the correct buffer location for
	  directbuffers to work

2004-08-25 07:47  pekberg

	* display/directx/ddinit.c, display/directx/ddinit.h,
	  display/directx/mode.c, display/directx/visual.c,
	  include/ggi/display/directx.h: Support for multiple frames (up to
	  16) in display-directx

2004-08-24 19:45  cegger

	* doc/man/ggiSetOrigin.3: regenerate

2004-08-24 19:31  cegger

	* doc/libggi-functions.txt: document that the screen reflects the
	  new origin, when ggiSetOrigin(3) returns.

2004-08-24 19:19  pekberg

	* ggi/db.c: Obvious typo

2004-08-24 19:15  cegger

	* display/X/buffer.c: make ggiSetOrigin() return GGI_EARGINVAL when
	  x or y is < 0

2004-08-24 19:13  cegger

	* display/fbdev/pan.c: make ggiSetOrigin() return GGI_EARGINVAL on
	  given invalid arguments

2004-08-24 18:44  cegger

	* m4/swar.m4: quote AC_CACHE_CHECK message

2004-08-24 18:43  pekberg

	* display/directx/ddinit.c, display/directx/ddinit.h,
	  display/directx/mode.c, display/directx/visual.c,
	  include/ggi/display/directx.h: Support for virt!=visible and
	  ggiSetOrigin in display-directx

2004-08-24 14:43  pekberg

	* doc/README.directx: Add note about cvs and text files

2004-08-23 20:58  cegger

	* default/pseudo_stubs/Makefile.am: add EXPSYMS to distribution

2004-08-23 20:42  cegger

	* display/auto/: os/os.am, target/target.am: add the source files
	  to the distribution when running 'make distcheck'. Bug discovered
	  by Tim Larson.

2004-08-23 12:38  cegger

	* doc/libggi-functions.txt: minor spelling fixes in ggiSetOrigin(3)
	  manual

2004-08-23 12:17  pekberg

	* display/directx/: ddinit.c, ddinit.h, mode.c: Only flush the
	  requested region, and not always the whole screen.

2004-08-18 13:00  pekberg

	* doc/README.directx: Add some missing bits

2004-08-18 10:57  pekberg

	* doc/README.directx: fix typo

2004-08-17 18:40  cegger

	* doc/Makefile.am: include README.directx when building a
	  distribution via 'make distcheck'

2004-08-17 16:44  cegger

	* display/memory/mode.c: remove double comment. Fix some whitespace
	  nits.

2004-08-17 13:28  pekberg

	* doc/README.directx: Describe some differences between shells and
	  the command prompt.

2004-08-17 13:15  pekberg

	* doc/README.directx: Add newline at EOF

2004-08-17 12:06  cegger

	* display/memory/mode.c: bugfix: the if statement in _GGIfreedbs()
	  always returned false. While here, make some minor cleanups in
	  GGI_memory_getapi().

2004-08-17 08:59  cegger

	* display/monotext/mode.c: bugfix: make GGI_monotext_checkmode()
	  actually return the error code than always reporting success.
	  While here, do other minor cleanup.

	  XXX: GGI_monotext_checkmode() should make use of
	  display/common/*.inc

2004-08-17 08:45  pekberg

	* doc/README.directx: Update to current situation.

2004-08-17 08:39  cegger

	* display/X/gtext.c: Consistently return GGI_ENOMEM on malloc()
	  failure.

2004-08-17 08:36  cegger

	* default/linear_1_r/gtext.c: Initialize mask1. There was a code
	  path, that uses mask1 variable uninitialized.

2004-08-17 08:32  cegger

	* default/color/visual.c: cleanup: Use GT_ByPP() macro when
	  calculation the bytes per pixel.

2004-08-17 06:51  pekberg

	* configure.in, libggi.conf.in, m4/Makefile.am: Use relative paths
	  in the configuration file.

2004-08-16 15:04  pekberg

	* m4/Makefile.am: threads.m4 has been removed

2004-08-15 10:54  cegger

	* display/X/mode.c: use memcpy(3) to assure aligned memory access.
	  Fixes crash on NetBSD/sparc64

2004-08-13 19:09  cegger

	* ltmain.sh: sync with tools/buildframework/ltmain.sh, rev 1.2:

	  Install core dlls in bin instead of in lib on mingw.	No longer
	  needed to have the lib dir in the path.

2004-08-11 10:57  pekberg

	* configure.in: Detect aalib using libtool to pick any dependencies

2004-08-11 10:24  cegger

	* m4/libtool.m4:

	  sync with tools/buildframework/m4/libtool.m4 rev 1.2:

	  Make libtool build functional dlls on cygwin

2004-08-11 09:48  pekberg

	* display/directx/ddinit.c: Make directx work on cygwin

2004-08-10 16:39  cegger

	* display/vgl/mode.c: Having 1 frame is the minimum that is always
	  available.

2004-08-10 15:32  cegger

	* doc/man/ggiDrawLine.3: regeneration: add a SYNOPSIS section to
	  ggiDrawLine(3).

2004-08-10 15:31  cegger

	* doc/libggi-functions.txt: add a SYNOPSIS section to
	  ggiDrawLine(3).

2004-08-09 19:21  cegger

	* display/memory/mode.c: minor code cleanup: avoid multiple casts
	  and dereferences

2004-08-09 17:33  ggibecka

	* programs/regress/input.c: Added preliminary multi-visual
	  joining/destroying test modelled after the monster APP.

2004-08-09 13:35  cegger

	* programs/util/inputdump.c: cast return type of sizeof() to match
	  the type of 'w'. This fixes a gcc warning about comparison
	  between signed and unsigned values

2004-08-09 11:39  pekberg

	* programs/util/inputdump.c: Do not overwrite the valuator names if
	  there are space left to the right

2004-08-08 21:01  cegger

	* programs/regress/input.c: move pre/post testcase code into
	  separat functions. Make sure that code does not run when the flag
	  'dontrun' is set

2004-08-08 20:55  cegger

	* programs/regress/: clip2d.c, input.c, pixfmt.c, testsuite.inc.c:
	  Implement new -n option: It implies -v. It doesn't run testcases.
	  It prints out what they would do instead.

2004-08-08 19:50  cegger

	* programs/regress/: Makefile.am, input.c: add regression test that
	  checks that visual <-> input association works correctly.

	  For now, only input detaching and reattaching is tested.
	  Testcases for attaching/splitting multiple input sources are
	  missing as well as juggling with multiple visuals and input
	  sources in single/multithreaded environments.

2004-08-08 18:32  cegger

	* doc/man/ggiGetInput.3: regeneration: in ggiDetachInput(3)
	  reference to ggiJoinInputs(3) in the SEE ALSO section

2004-08-08 18:30  cegger

	* doc/libggi-functions.txt: in ggiDetachInput(3) reference to
	  ggiJoinInputs(3) in the SEE ALSO section

2004-08-07 18:41  cegger

	* display/svgalib/visual.c: make this file compile again.

2004-08-01 15:03  cegger

	* display/ipc/man.txt: try to describe what display-ipc is about

2004-08-01 14:46  cegger

	* display/ipc/: mode.c, visual.c: this is display-ipc, not
	  display-memory

2004-07-31 08:26  cegger

	* programs/regress/pixfmt.c: don't cast pointer to integer. Fixes
	  gcc warning on NetBSD/sparc64

2004-07-31 08:23  cegger

	* ggi/internal.c: fix assertion checks - very likely a
	  cut/copy/paste bug

2004-07-28 09:33  ggibecka

	* display/X/mode.c: Fixed "hanging keys on focus change" issue.
	  Attention: You must also upgrad libGII for this to work.

2004-07-28 09:25  cegger

	* programs/regress/: Makefile.am, clip2d.c, pixfmt.c,
	  testsuite.inc.c: rename common.inc.c rev 1.5 to testsuite.inc.c.
	  This name change should make people more obvious which file each
	  unit test must include in case there are mutliple inclusion
	  files.

2004-07-28 07:56  cegger

	* autogen.sh: echo -n only works on linux, *BSD and darwin. Use
	  printf to make it work on all platforms including System V

2004-07-09 10:14  soyt

	* display/ipc/man.txt: Proto-manpage for IPC. This really need to
	  be completetd since I'm not sure how it works.

2004-06-27 18:54  cegger

	* default/color/color.c: There are faster algorithms than TINN such
	  as CAS, K-D tree and the hybrid K-D tree

2004-06-26 21:06  aldot

	* configure.in: remove erroneously copied bracket

2004-06-26 20:58  aldot

	* configure.in: disable vgagl_helper when not building the svga
	  target

2004-06-20 21:24  cegger

	* doc/man/: Makefile.am, display-terminfo.7: generate manual page
	  for display-terminfo

2004-06-20 21:24  cegger

	* doc/libggi-libraries.txt: add manual page for display-terminfo

2004-06-20 21:14  cegger

	* display/terminfo/man.txt: add manual page. Note, :path and :term
	  options need to be documented.

2004-06-17 18:18  pekberg

	* programs/util/inputdump.c: add new option to help texts

2004-06-17 17:20  pekberg

	* programs/util/inputdump.c: differentiate between pointer buttons
	  and keyboard buttons add --no-pmove (or -p) option to disable
	  printing of pointer movement

2004-06-10 13:00  pekberg

	* programs/util/inputdump.c: Don't trigger gii to resend the device
	  info. They're sent by the input-target at opening time. This
	  leads to double devinfo output.  flush stderr after each event to
	  get better response time in my terminal.

2004-06-07 07:04  pekberg

	* configure.in: check for kill before using HAVE_KILL require kill
	  and fork (on non-windows) for cube3d

2004-06-06 20:14  pekberg

	* programs/demos/cube3d.c: document race in the code instead of in
	  the commit log message.

2004-06-06 20:07  pekberg

	* programs/demos/cube3d.c: Attempt to kill race between sub-app and
	  cube3d. When the sub-app opens the display-memory target it
	  clears some variables so that the mode returned by ggiGetMode in
	  cube3d is totally bogus. When the sub-app later sets a mode, the
	  ggiGetMode call in cube3d returns sane values again. This "fix"
	  detects the broken mode returned between ggiOpen and ggiSetMode
	  in the sub-app. The race is probably not killed totally, as
	  ggiGetMode during ggiOpen and ggiSetMode is not handled.

2004-06-06 20:00  pekberg

	* programs/demos/cube3d.c: depth variable not used so kill it, and
	  a spelling correction

2004-06-06 19:57  pekberg

	* configure.in, programs/demos/cube3d.c: make cube3d work on win32:
	  - shared memory works differently - FP_ZERO is defined by
	  <math.h> - no kill(2) system call - no fork(2) system call

2004-06-06 19:56  pekberg

	* configure.in: cube3d uses putenv, not setenv

2004-06-06 12:42  nsouch

	* m4/gii_paths.m4: Prepend with GII include path when
	  --with-uninst-gii is specified at ./configure.

2004-06-06 10:02  aldot

	* programs/demos/demo.c: in non-interactive mode, when not polling,
	  consume a key event so only a specific number of test are
	  skipped.

2004-06-06 07:10  cegger

	* doc/man/Makefile.am: remove nonexisting display-macosx manual.

2004-06-05 06:59  cegger

	* doc/libggi-libraries.txt: alphabetize manual includes. add
	  display-mansync

2004-06-05 06:48  cegger

	* doc/man/: Makefile.am, display-mansync.7: add manual for
	  display-mansync

2004-06-05 06:19  cegger

	* display/mansync/man.txt: indent important notice a bit to mark it
	  as an literal block that belongs to the .. important	block

2004-06-04 23:03  cegger

	* display/mansync/man.txt: add important notice

2004-06-04 22:59  cegger

	* doc/man/display-memory.7: regeneration

2004-06-04 22:51  cegger

	* display/mansync/man.txt: add manual page for display-mansync

2004-06-04 22:41  cegger

	* include/ggi/display/mansync.h: update comments

2004-06-04 19:46  aldot

	* programs/demos/demo.c: make some variables static add
	  non-interactive mode (argument -n) use proper type format for
	  printf add printing stats for SetOrigin, DrawLine, DrawBox add
	  GetLine demos

2004-06-04 11:41  pekberg

	* display/memory/man.txt, display/memory/visual.c,
	  include/ggi/display/memory.h: shared memory support for win32

2004-06-03 05:56  pekberg

	* configure.in: Nothing uses threads anymore so trash detection of
	  them.  mansync can always be built, but add configure option to
	  disable it.

2004-06-03 05:34  pekberg

	* display/mansync/: Makefile.am, mansync.c: New and shiny
	  task-based mansync.  Trash all old implementations.

2004-06-03 05:30  pekberg

	* display/: aa/mode.c, palemu/mode.c, tile/mode.c, trueemu/mode.c:
	  MANSYNC_start is never called if ggiSetFlags is not called.
	  MANSYNC_SETFLAGS with the current flags calls MANSYNC_start on
	  mode-change, if needed.

2004-06-02 21:38  cegger

	* programs/demos/flying_ggis.c: remove one indentation level in the
	  switch() { ... } block

2004-06-02 11:25  pekberg

	* programs/demos/flying_ggis.c: Pressing the key s toggles (a)sync
	  drawing. async is default.

2004-06-02 05:09  cegger

	* programs/regress/clip2d.c: add testcase9 - check clipping
	  algorithm on a line within the clipping area.

2004-06-02 05:00  cegger

	* programs/regress/: clip2d.c, pixfmt.c: common.inc.c changes: -
	  sync with libgii/regress/common.inc.c, rev 1.5

	  testsuite changes: - add description argument to testcaseX()
	  functions, which in turn passes them	 to printteststart(). It is
	  probably a good idea to have testcase descriptions   in one place
	  - namely in the main() function - to ease searching.	- make
	  main() functions call new parseopts() and printdesc().

2004-06-01 19:14  pekberg

	* programs/regress/clip2d.c: fix reporting of test result

2004-06-01 18:22  pekberg

	* programs/regress/clip2d.c: fix a couple of glitches

2004-06-01 13:08  pekberg

	* programs/regress/clip2d.c: Tests that are known to fail are
	  marked as EXPECTED2FAIL. Again.

2004-06-01 10:41  pekberg

	* programs/regress/clip2d.c: add test case with a line that does
	  not trigger any fatal bugs such as hangs and division by zero,
	  but still is clipped incorrectly.

2004-06-01 09:49  pekberg

	* programs/regress/clip2d.c: We want the failing tests to pass, so
	  we expect that even though we know that the tests do not
	  currently pass.

2004-06-01 09:44  pekberg

	* programs/regress/clip2d.c: add test that triggers a divide by
	  zero problem add test that checks if the clipping endpoint is on
	  the line that would have been drawn sans clipping.  remove
	  trivial test as that is covered by the clipdb test.

2004-05-29 06:36  cegger

	* doc/man/: cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-memory.7, display-monotext.7,
	  display-multi.7, display-palemu.7, display-sub.7,
	  display-svgalib.7, display-tele.7, display-tile.7,
	  display-trueemu.7, display-vcsa.7, display-vgl.7, display-x.7,
	  ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_directbuffer.3, ggi_mode.3,
	  ggi_pixelformat.3, ggiteleserver.1, libggi.7, monitest.1:
	  regeneration

2004-05-28 23:26  aldot

	* doc/libggi-functions.txt: note in documentation that
	  ggi?PrintMode does not add a trailing newline

2004-05-28 13:10  pekberg

	* configure.in: the AC_TRY_CPP test always failed because of the
	  apostrophe in the #error directive, so kill the test and simplify
	  the code around it.

2004-05-28 11:44  cegger

	* m4/swar.m4: back out rev 1.4. libgii and libggi seem to have
	  different versions, which is bad.

2004-05-28 11:24  cegger

	* m4/swar.m4: sync with new versions from tools/buildframework/

2004-05-28 09:36  pekberg

	* configure.in: no need to shift around LDFLAGS, now that the libgg
	  dependencies are right.

2004-05-27 11:30  pekberg

	* programs/regress/clip2d.c: close the file explicitly

2004-05-27 11:10  pekberg

	* programs/regress/: Makefile.am, clip2d.c, clipdb.inc.c: test
	  large number of clipping coords, the db assumes that the current
	  clipping code clipped these lines corectly.

2004-05-27 10:05  pekberg

	* programs/regress/clip2d.c: unify some code add 2 more tests mark
	  the tests that now fails as expected failures

2004-05-25 21:50  cegger

	* programs/regress/clip2d.c: move MIN and MAX macros from
	  common.inc.c to clip2d.c - where they are actually used. This
	  simplifies synchronizing common.inc.c with
	  libgii/regress/common.inc.c

2004-05-25 21:44  cegger

	* programs/regress/: clip2d.c, pixfmt.c: sync common.inc.c with
	  libgii/regress/common.inc.c, rev 1.3. The testframework now tells
	  you, if the result of the testcase is as expected or not.

2004-05-25 09:40  pekberg

	* display/mansync/Makefile.am, display/tele/Makefile.am,
	  extensions/test/Makefile.am, programs/check/Makefile.am,
	  programs/demos/Makefile.am, programs/demos/warp-ggi/Makefile.am,
	  programs/regress/Makefile.am, programs/util/Makefile.am,
	  programs/util/monitest/Makefile.am: Remove explicit references to
	  $(THREADLIBS) as they are no longer needed.  This is taken care
	  of implicitly by the recent ltmain.sh update.

2004-05-24 17:06  cegger

	* ltmain.sh: sync with new versions from tools/buildframework/

2004-05-21 22:08  cegger

	* doc/man/: cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-memory.7, display-monotext.7,
	  display-multi.7, display-palemu.7, display-svgalib.7,
	  display-tele.7, display-tile.7, display-trueemu.7,
	  display-vcsa.7, display-vgl.7, display-x.7, ggiCheckMode.3,
	  ggiCopyBox.3, ggiCrossBlit.3, ggiDBGetNumBuffers.3, ggiDrawBox.3,
	  ggiDrawHLine.3, ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3,
	  ggiEventSend.3, ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3,
	  ggiGetInput.3, ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3,
	  ggiJoinInputs.3, ggiMapColor.3, ggiOpen.3, ggiPanic.3,
	  ggiParseMode.3, ggiPutc.3, ggiResourceAcquire.3,
	  ggiSetColorfulPalette.3, ggiSetDisplayFrame.3, ggiSetFlags.3,
	  ggiSetGCClipping.3, ggiSetGCForeground.3, ggiSetMode.3,
	  ggiSetOrigin.3, ggiSetPalette.3, ggi_color.3, ggi_directbuffer.3,
	  ggi_mode.3, ggi_pixelformat.3, ggiteleserver.1, libggi.7,
	  monitest.1: regeneration

2004-05-21 21:58  cegger

	* doc/man/: cube3d.1, display-aa.7, display-auto.7,
	  display-directx.7, display-fbdev.7, display-file.7,
	  display-glide.7, display-memory.7, display-monotext.7,
	  display-multi.7, display-palemu.7, display-sub.7,
	  display-svgalib.7, display-tele.7, display-tile.7,
	  display-trueemu.7, display-vcsa.7, display-vgl.7, display-x.7,
	  ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawLine.3, ggiDrawPixel.3, ggiDrawVLine.3, ggiEventSend.3,
	  ggiFillscreen.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiMapColor.3, ggiOpen.3, ggiPanic.3, ggiParseMode.3, ggiPutc.3,
	  ggiResourceAcquire.3, ggiSetColorfulPalette.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_directbuffer.3, ggi_mode.3,
	  ggi_pixelformat.3, ggiteleserver.1, libggi.7, monitest.1:
	  regeneration

2004-05-21 20:15  aldot

	* configure.in: for a debug-build only add "-g" to the flags if the
	  compiler supports it.  at least my gcc only has "-Wreturn-type"
	  and not the plural.

2004-05-21 20:09  aldot

	* display/X/README, display/X/man.txt, doc/env.txt,
	  doc/libggi-functions.txt, doc/libggi-libraries.txt,
	  doc/libggi-structures.txt, include/ggi/internal/dltypes.h,
	  programs/check/checkmode.c, programs/demos/demo.c,
	  programs/util/monitest/monitest.c: fix some typos in
	  documentation

2004-05-18 12:02  aldot

	* doc/libggi-functions.txt: correct a few typos

2004-05-17 22:35  cegger

	* doc/man/: ggi_color.3, ggi_directbuffer.3, ggi_mode.3:
	  regeneration

2004-05-17 22:25  aldot

	* doc/libggi-structures.txt: correct a few typos

2004-05-17 21:52  cegger

	* TODO: mark showaccel2 item as completed

2004-05-17 18:03  aldot

	* programs/check/showaccel2.c: initialize cnt

2004-05-17 17:16  aldot

	* programs/check/showaccel2.c: just cleanup if setting a simple
	  mode failed

2004-05-17 16:16  aldot

	* programs/check/showaccel2.c: occasionally print counters in the
	  headline don't draw over headline use a pipe to pass result for
	  calculating ratio remove superfluous whitespace

2004-05-16 12:16  cegger

	* programs/regress/: clip2d.c, pixfmt.c: pass __FILE__ to
	  printteststart() to fit new prototype

2004-05-14 14:13  aldot

	* programs/check/showaccel.c: don't draw over headline remove
	  superfluous whitespace

2004-05-10 09:44  pekberg

	* configure.in: make mansync use threads again

2004-05-09 20:09  cegger

	* config.guess, config.sub: sync with new versions from
	  tools/buildscripts/

2004-05-09 18:58  aldot

	* programs/: demos/Makefile.am, demos/warp-ggi/Makefile.am,
	  regress/Makefile.am, util/Makefile.am, util/monitest/Makefile.am:
	  threadlibs are needed for FreeBSD platform

2004-05-09 12:28  cegger

	* config.guess, config.sub, depcomp, install-sh: sync with new
	  versions from tools/buildscripts/

2004-05-09 08:14  cegger

	* programs/demos/Makefile.am: threadlibs are needed for FreeBSD
	  platform

2004-05-09 08:12  cegger

	* programs/check/Makefile.am: for individual_LDADD, LDADD is not
	  added... bah!

2004-05-09 02:47  aldot

	* configure.in: detect broken dga support on e.g. XFree86 3.x

2004-05-08 21:16  cegger

	* configure.in: remove dynload_libs. It's nowhere used...

2004-05-08 09:05  cegger

	* programs/check/Makefile.am: threadlibs are needed for the FreeBSD
	  platform. Issue found with autobuilder.

2004-05-07 05:21  cegger

	* extensions/test/Makefile.am: exttest1 needs threadlibs. Fixes
	  build failure on FreeBSD. Found with autobuilder

2004-05-06 05:33  cegger

	* display/tele/Makefile.am: teleserver needs to be linked against
	  thread libs. Issue found with autobuilder on FreeBSD platform

2004-05-05 22:08  aldot

	* default/common/clip.c, display/tile/line.c: typo in comment,
	  whitespace.

2004-05-05 05:54  cegger

	* configure.in: Move thread detection out into a GGI_THREADLIBS
	  macro.

	  libgii/libgg detection needs linking against threadlib.  Fixes
	  configure failure on FreeBSD found with autobuilder.

2004-05-05 05:51  cegger

	* m4/Makefile.am: move thread detection out of configure. Use
	  libgii's mutextype autodetection as template for libggi's one.

2004-05-04 16:43  cegger

	* programs/regress/clip2d.c: use MIN macro. Ther's no portable
	  fmin() variant for integers. Fixes compiling error on Darwin and
	  probably other platforms. While here also add a MAX macro.

2004-05-04 12:47  pekberg

	* programs/regress/clip2d.c: fix b0rken testcase1 and 2 and clean
	  up testcase3

2004-05-04 11:38  pekberg

	* programs/regress/clip2d.c: correct expected results for testcase2
	  and a new testcase3 with a shorter overflowing line

2004-05-04 10:39  cegger

	* programs/regress/clip2d.c: unify result checking. Tweak testcase2
	  to test the theoretical worst case that API allows.

2004-05-04 10:23  cegger

	* programs/regress/clip2d.c: #include <limits.h> for INT_MIN

2004-05-03 22:58  cegger

	* programs/regress/clip2d.c: add testcase, where Peter Ekberg
	  discovered a bug: setting y1 to INT_MIN ends up in an
	  endless-loop. This bug is reproducable now

2004-05-03 22:40  cegger

	* programs/Makefile.am, configure.in: add regress subdirectory

2004-05-03 22:39  cegger

	* programs/regress/: .cvsignore, Makefile.am, clip2d.c, pixfmt.c:
	  .cvsignore: tell CVS to ignore Makefile.in Makefile.am: build
	  file common.inc.c: test functions copied from libgii/regress/gg/

	  pixfmt.c: regression-test for _ggi_parse_pixfmtstr
	  Everyone is invited to add more testcases.

	  clip2d.c: regression-test for _ggi_clip2d	      Everyone is
	  invited to add more testcases.

2004-05-03 22:14  cegger

	* doc/man/ggiSetMode.3: regeneration

2004-05-03 22:11  cegger

	* doc/libggi-functions.txt: wrap overlong parameter line of
	  ggiSetSimpleMode(3). Automatic line wrapping looks bad in the
	  manual page.

2004-05-03 22:07  cegger

	* doc/man/: display-svgalib.7, ggiCheckMode.3: regeneration

2004-05-03 22:06  cegger

	* doc/libggi-functions.txt: wrap overlong parameter line of
	  ggiCheckSimpleMode(3). Automatic line wrapping looks bad in the
	  manual page.

2004-05-03 21:44  cegger

	* default/common/clip.c: fix comment

2004-05-02 23:02  nsouch

	* configure.in:
	  Make libgii & libggi compile with pthreads. Tested on R5.1, but
	  should also work on 4.10.

	  The way the freebsd platform is recognized is not perfect yet,
	  freebsd5.1 and freebsd4.10 are hardwired in libgii/m4/mutexes.m4
	  and libggi/configure.in.

	  Note that to test libgii linking in libggi/configure.in, the
	  -pthread must have been detected first and --enable-threads is
	  mandatory in libggi at least on FreeBSD...

2004-05-02 06:48  cegger

	* configure.in: clean check for vgl.h requires <sys/fbio.h> as
	  default include. Fixes configure warnings on FreeBSD, when the
	  configure script has been generated with autoconf 2.5x

2004-04-23 04:32  cegger

	* .cvsignore: ignore autom4te.cache

2004-04-09 22:29  cegger

	* config.guess, config.sub: update to version shipped with libtool
	  1.5.4

2004-04-09 22:28  cegger

	* install-sh, mkinstalldirs: update to version shipped with
	  automake 1.8.3

2004-04-08 18:05  cegger

	* display/aa/color.c: back out nsouch's fix. Fix it the way as
	  proposed by Vincent on IRC

2004-04-07 22:55  nsouch

	* display/aa/color.c: Simply don't print the field that does not
	  compile.

2004-04-06 16:54  cegger

	* display/svgalib/man.txt: move known BUGS into the manual page

2004-04-06 16:52  cegger

	* display/svgalib/mode.c: fix some compiler warnings

2004-04-05 23:11  ggibecka

	* display/X/mode.c: Focus pulling fix. Largely untested. Sorry.
	  Hope it works.

2004-04-04 21:51  nsouch

	* display/kgi/: kgi.c, visual.c:
	  <unistd.h> was missing on FreeBSD to have declaration of close().

2004-04-04 19:13  cegger

	* programs/check/cbconsist.c: opterr, optarg and optopt are defined
	  in <unistd.h>, when there's no <getopt.h>

2004-04-04 14:31  mooz

	* default/color/color.c, display/X/color.c, display/aa/color.c,
	  display/aa/mode.c, display/fbdev/color.c, display/fbdev/visual.c,
	  display/file/mode.c, display/ipc/mode.c, display/kgi/color.c,
	  display/kgi/mode.c, display/lcd823/color.c,
	  display/lcd823/mode.c, display/memory/mode.c,
	  display/monotext/color.c, display/monotext/mode.c,
	  display/palemu/color.c, display/palemu/mode.c,
	  display/svgalib/color.c, display/svgalib/mode.c,
	  display/tele/color.c, display/tele/mode.c, ggi/colormap.c,
	  ggi/visual.c, include/ggi/internal/structs.h: ggi_colormap:
	  Structure was modified in order to use ggi_clut struct

2004-04-02 16:05  ggibecka

	* display/terminfo/visual.c: include unistd.h for a prototype of
	  dup().

2004-04-02 16:02  ggibecka

	* programs/: check/cbconsist.c, check/showaccel.c, demos/demo.c,
	  demos/flying_ggis.c, demos/pageflip.c, demos/saver.c,
	  demos/stars.c, demos/textdemo.c: Added includes for gg.h to fix
	  implicit declaration warnings due to usage of gg functions

2004-03-25 10:28  pekberg

	* display/directx/ddinit.c, display/directx/mode.c,
	  display/directx/visual.c, include/ggi/display/directx.h: prepare
	  locking (now reentrant by the same thread) and for resizing, to
	  please the upcoming directx-wmh

2004-03-14 12:56  pekberg

	* display/: palemu/mode.c, trueemu/mode.c: get the
	  generic-pseudo-stubs API

2004-03-13 13:54  cegger

	* default/pseudo_stubs/.cvsignore: tell CVS which files to ignore

2004-03-13 13:53  cegger

	* default/pseudo_stubs/visual.c: correct return value is
	  GGI_DL_OPDRAW

2004-03-12 13:00  pekberg

	* configure.in, libggi.conf.in, default/Makefile.am,
	  default/pseudo_stubs/EXPSYMS, default/pseudo_stubs/Makefile.am,
	  default/pseudo_stubs/visual.c: add generic-pseudo-stubs lib

2004-03-09 08:54  pekberg

	* display/directx/ddinit.c: activate the direct x window on open.

2004-03-09 08:52  pekberg

	* display/directx/ddinit.c: closing the direct x window exits the
	  app instead of leaving it in limbo.

2004-03-08 00:58  skids

	* display/mansync/mansync.c:
	  Fix typo that was trying to build win32threads.c into UNIX
	  binaries :-)

2004-03-03 20:15  cegger

	* configure.in: Patch from Martin Albert:

	  This fix keeps libggi/configure from doing the Wrong Thing by
	  possibly assigning to CxxFLAGS=-I<empty here>

2004-03-01 22:20  cegger

	* configure.in, programs/util/Makefile.am: backout wrong usage of
	  EXTRA_PROGRAMS. Confuses automake 1.7.x. Using OPTUTILS is the
	  right thing to do (TM).

2004-03-01 21:04  skids

	* default/linear_16/crossblit.c:
	  Fix SWAR (don't read access past end of buffer) I think we got it
	  right now :-)

2004-03-01 20:01  skids

	* default/linear_16/crossblit.c:
	  while (!work(damnyou)) { read_more_HOWTOs(); fix(it); } Another
	  attempt at fixing SWAR compile/operation.

2004-03-01 17:21  skids

	* default/linear_16/crossblit.c:
	  Fix SWAR asm argument constraints.  This fixes compile on gcc3.3.
	  Have not checked this with older GCCs.

2004-03-01 10:44  soyt

	* doc/man/: display-file.7, display-memory.7, display-tile.7,
	  display-x.7, ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3,
	  ggiJoinInputs.3, ggiPutc.3, ggiSetFlags.3: corrected admonitions

2004-02-29 22:04  cegger

	* display/X/: mode.c, visual.c: add more debug information to ease
	  following the code path

2004-02-29 20:49  cegger

	* display/auto/probe.c: use GGIDPRINT macro for debug message. Make
	  debug message a little bit more verbose.

2004-02-29 13:31  cegger

	* programs/demos/: saver.c, textdemo.c: use portable ggUSleep()
	  than non-prtable sleep() call. Makes special mingw hack
	  superflous

2004-02-29 13:25  cegger

	* programs/util/: Makefile.am, ipaq_ggicalibrate.c: use portable
	  ggUSleep() than unix-specific usleep() call

2004-02-28 17:22  aldot

	* default/fbdev/mga/2164w/crossblit.c,
	  default/fbdev/mga/g400/crossblit.c, ggi/internal.c,
	  include/ggi/internal/structs.h: s/unused/padding/ to match the
	  parser

2004-02-28 17:22  aldot

	* configure.in, programs/util/Makefile.am: build tunemode only if
	  kgimon.h was found

2004-02-28 17:21  aldot

	* default/kgi/Matrox/Gx00/visual.c: include string.h for memset,
	  whitespace

2004-02-28 17:21  aldot

	* display/kgi/mode.c, include/ggi/display/kgi.h: typos and
	  whitespace

2004-02-27 10:41  cegger

	* display/palemu/color.c: reenable UPDATE_MOD to update the window
	  properly. It was outcommented for no reason

2004-02-26 23:00  aldot

	* default/linmm_banked/README.linmm_banked,
	  doc/libggi-functions.txt, ggi/init.c, ggi/mode.c: fix a few typos
	  in the documentation

2004-02-25 10:13  pekberg

	* configure.in: kill configure 'present but not compiled' warnings
	  on cygwin

2004-02-25 09:22  pekberg

	* configure.in: configure with --enable-threads builds the mansync,
	  palemu, trueemu and tile targets on mingw

2004-02-24 10:23  cegger

	* doc/man/: cube3d.1, display-aa.7, display-directx.7,
	  display-fbdev.7, display-file.7, display-glide.7,
	  display-memory.7, display-monotext.7, display-multi.7,
	  display-palemu.7, display-sub.7, display-svgalib.7,
	  display-tele.7, display-tile.7, display-trueemu.7,
	  display-vcsa.7, display-vgl.7, display-x.7, ggiCheckMode.3,
	  ggiGetPixelFormat.3, ggiGetc.3, ggiInit.3, ggiJoinInputs.3,
	  ggiParseMode.3, ggiPutc.3, ggiResourceAcquire.3, ggiSetFlags.3,
	  ggi_directbuffer.3, ggi_mode.3, ggiteleserver.1, libggi.7,
	  monitest.1: regenerate again. This time with the improvements in
	  manpage.py

2004-02-23 18:22  soyt

	* doc/libggi-libraries.txt: no need to struggle in the formatter to
	  get the output right when the input is wrong...

2004-02-23 15:11  cegger

	* doc/man/: display-directx.7, libggi.7: regeneration

2004-02-23 15:00  cegger

	* display/directx/man.txt: The directx target has no directbuffer
	  support. Not Yet.

2004-02-23 14:24  pekberg

	* default/color/visual.c, default/fbdev/ati/mach64/visual.c,
	  default/fbdev/directfb/directfbglobal.c,
	  default/fbdev/directfb/visual.c,
	  default/fbdev/mga/2164w/visual.c,
	  default/fbdev/mga/g400/visual.c, default/ilbm/visual.c,
	  default/ioctl/visual.c, default/iplanar_2p/visual.c,
	  default/kgi/ATI/Mach64/visual.c, default/kgi/ATI/Radeon/visual.c,
	  default/kgi/Matrox/Gx00/visual.c, default/linear_1/visual.c,
	  default/linear_16/visual.c, default/linear_1_r/visual.c,
	  default/linear_2/visual.c, default/linear_24/visual.c,
	  default/linear_32/visual.c, default/linear_4/visual.c,
	  default/linear_4_r/visual.c, default/linear_8/visual.c,
	  default/linmm_banked/visual.c, default/planar/visual.c,
	  default/ramdac/visual.c, default/stubs/visual.c,
	  default/text_16/visual.c, default/text_32/visual.c,
	  display/X/visual.c, display/X/helper/dbe/dbe.c,
	  display/X/helper/dga/dga.c, display/X/helper/evi/evi.c,
	  display/X/helper/shm/shm.c, display/X/helper/vidmode/vidmode.c,
	  display/aa/visual.c, display/auto/visual.c,
	  display/directx/visual.c, display/fbdev/visual.c,
	  display/file/visual.c, display/glide/visual.c,
	  display/ipc/visual.c, display/kgi/visual.c,
	  display/lcd823/visual.c, display/libkgi/visual.c,
	  display/linvtsw/visual.c, display/mansync/visual.c,
	  display/memory/visual.c, display/monotext/visual.c,
	  display/multi/visual.c, display/palemu/visual.c,
	  display/sub/visual.c, display/suidkgi/visual.c,
	  display/svgalib/visual.c, display/tele/visual.c,
	  display/terminfo/visual.c, display/tile/visual.c,
	  display/trueemu/visual.c, display/vcsa/visual.c,
	  display/vgagl/visual.c, display/vgl/visual.c, ggi/init.c,
	  include/ggi/Makefile.am, include/ggi/ggi-defs.h,
	  include/ggi/ggi-unix.h, include/ggi/ggi.h, include/ggi/ggi_ext.h,
	  include/ggi/internal/internal.h: Make use of the EXPORT*/IMPORT*
	  macros defined in include/ggi/system.h

2004-02-23 14:19  pekberg

	* m4/libtool.m4: Use dllwrap instead of dlltool to create dlls on
	  windows

2004-02-23 07:52  soyt

	* doc/libggi-libraries.txt: better formating for examples

2004-02-19 06:15  pekberg

	* m4/libtool.m4: Do not generate import libraries on the fly as
	  impgen.c (embedded in m4/libtool.m4) does not support dlls
	  exporting variables

2004-02-14 22:30  cegger

	* include/ggi/: internal/structs.h, display/directx.h,
	  display/fbdev.h, display/ipc.h, display/libkgi.h,
	  display/memory.h, display/quartz.h, display/svgalib.h,
	  display/vcsa.h, display/x.h, display/xcommon.h: replace the physz
	  fields by a macro for better maintainance Place physz fields
	  consistently to the beginning of the target-private structure

2004-02-14 13:45  cegger

	* TODO, display/X/misc.c, display/X/visual.c,
	  display/common/ggi-auto.inc, display/directx/mode.c,
	  display/directx/visual.c, display/fbdev/mode.c,
	  display/fbdev/visual.c, display/ipc/mode.c, display/ipc/visual.c,
	  display/libkgi/visual.c, display/memory/mode.c,
	  display/memory/visual.c, display/svgalib/mode.c,
	  display/svgalib/visual.c, display/terminfo/mode.c,
	  display/terminfo/visual.c, display/vcsa/mode.c,
	  display/vcsa/visual.c, ggi/EXPSYMS, ggi/Makefile.am,
	  ggi/internal.c, ggi/mode.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/internal.h, include/ggi/internal/unit.h:
	  TODO item: allow physz params to determine mode resolution when
	  visible == GGI_AUTO

	  That means, it is now possible to determine a mode doing:

	  ...  ggi_mode mode;

	  ...

	  /* visible size in pixels */ mode.visible.x = mode.visible.y =
	  GGI_AUTO;

	  /* virtual size in pixels */ mode.virt.x = mode.virt.y =
	  GGI_AUTO;

	  /* dots per pixels */ mode.dpp.x = mode.dpp.y = 1;

	  /* visible size in millimeters */ mode.size.x = 150; mode.size.y
	  = 100;

	  ggiCheckMode(vis, &mode);

	  I introduced a _ggi_physz_figure_visible() for this.	It is
	  invoked from _GGIhandle_ggiauto(). So no need to anything special
	  in the targets.

	  In order to have a clean namespace I renamed _ggi_parse_physz to
	  _ggi_physz_parse_option _ggi_figure_physz to
	  _ggi_physz_figure_size

	  I moved the physz handling from ggi/internal.c to ggi/mode.c
	  since it has to do with mode handling.

	  Moreover, I introduced a <ggi/internal/unit.h>.  It provides some
	  inline functions to convert between millimeters (mm), dots per
	  inches (dpi) and pixels. It is included by
	  <ggi/internal/internal.h>, so no need to include it explicitely.

2004-02-12 19:01  pekberg

	* display/directx/ddinit.c: kill race between thread start and
	  event creation

2004-02-12 09:09  pekberg

	* display/mansync/: Makefile.am, mansync.c: add mansync
	  implementation for mingw (disabled)

2004-02-12 00:59  agraef

	* display/directx/ddinit.c: fix layout of client area in GGI main
	  window

2004-02-10 06:34  cegger

	* m4/libtool.m4: make install works on mingw. Patch from Peter
	  Ekberg.

2004-02-09 15:34  cegger

	* TODO: merged buildsystem change into -stable

2004-02-09 14:31  cegger

	* TODO, configure.in, programs/util/Makefile.am: Make configure
	  checking for which utils to build.  Patch from Peter Ekberg.

2004-02-06 13:57  cegger

	* TODO, configure.in, programs/check/Makefile.am,
	  programs/demos/Makefile.am, programs/demos/saver.c,
	  programs/demos/textdemo.c: libggi compiles now on mingw out of
	  the box.  Patch from Peter Ekberg. He didn't know, that he was
	  doing a TODO item for libggi 2.1.0 at least partially:

	  Change buildsystem to check, whether to build some demos.  Only
	  the utils remain to be checked for.

	  I moved the checks into a own section in configure.in to be more
	  clean.

2004-02-05 12:15  cegger

	* display/memory/visual.c:
	  Fix compiler warning on Linux/AMD64:

	  makes integer from pointer without a cast

2004-02-05 09:49  cegger

	* ggi/internal.c: garbage collect unused code. Doing this in an
	  extra commit allows to reapply it quickly with the help of CVS
	  later

2004-02-05 09:34  cegger

	* TODO, display/X/buffer.c, display/X/helper/shm/shm.c,
	  display/memory/mode.c, display/memory/visual.c, ggi/EXPSYMS,
	  ggi/internal.c, include/ggi/display/memory.h,
	  include/ggi/internal/internal.h: finished TODO item:

	  formalize pixelformat strings (e.g. "r5b5g5p1") and provide
	  parser/construction functions for them in the LibGGI internal
	  interface.

	  I implemented _ggi_parse_pixfmtstr, flexible enough to be used in
	  extensions.

	  display-memory makes use of it rather its own hack.

	  I renamed _ggi_pixfmtstr to _ggi_build_pixfmtstr to be more
	  selfdescriptive.  A lengthy parameter to allow bufferoverflow
	  detection. It expects the full length, which includes the \0.

	  Three flags have been added: GGI_PIXFMT_GRAPHTYPE,
	  GGI_PIXFMT_CHANNEL and GGI_PIXFMT_ALPHA_USED.

	  GGI_PIXFMT_GRAPHTYPE tells _ggi_build_pixfmtstr to the graphtype
	  from the visual's mode structure for string generation.

	  GGI_PIXFMT_CHANNEL tells _ggi_build_pixfmtstr to use visual's
	  pixelformat structure for string generation.

	  GGI_PIXFMT_ALPHA_USED tells _ggi_build_pixfmtstr that eventual
	  padding bits are used as alpha bits.

2004-02-04 14:29  cegger

	* configure.in, display/X/helper/vidmode/vidmode.c,
	  display/tele/libtele.c, include/ggi/display/ipc.h,
	  programs/demos/wrap.c: Patch from Peter Ekberg:

	  Current status cygwin - everything seem to compile and build
	  correctly - libgii seems to work (demo output is as I expect it
	  to be and keystrokes	 are reported) - programs linked against
	  libggi sadly segfaults in _cygwin_dll_entry@12   before they get
	  to main.  - windows.h is no longer included by ggi/system.h -
	  libg* are no longer linked against wsock32.dll.

	  Current status mingw - not worse than before

	  libggi/configure.in - check for connect in libc first to avoid
	  -lwsock32 on cygwin.

	  libggi/display/X/helper/vidmode/vidmode.c - remove nasty cygwin
	  workaround now that windows.h is not included.

	  libggi/display/tele/libtele.c - don't include winsock*.h on
	  cygwin.  - add ifdef HAVE_UNISTD_H - include various socket
	  headers if they exist, no longer a problem as   winsock*.h isn't
	  included.

	  libggi/include/ggi/display/ipc.h - don't include winsock*.h on
	  cygwin.  - include various socket headers if they exist, no
	  longer a problem as	winsock*.h isn't included.

	  libggi/programs/demos/wrap.c - don't include winsock*.h on
	  cygwin.  - include various socket headers if they exist, no
	  longer a problem as	winsock*.h isn't included.

2004-02-03 22:52  cegger

	* display/memory/mode.c: whitespace cleanup

2004-02-02 19:21  cegger

	* configure.in, display/X/mode.c,
	  display/X/helper/vidmode/Makefile.am,
	  display/X/helper/vidmode/vidmode.c, display/tele/color.c,
	  display/tele/events.c, display/tele/libtele.c,
	  display/tele/mode.c, display/tele/text.c, display/tile/mode.c,
	  display/trueemu/blit24.c, display/trueemu/blit32.c,
	  display/trueemu/frames.c, display/trueemu/mode.c,
	  display/trueemu/trueemu.c, extensions/test/exttest1.c,
	  extensions/test/test1.c, extensions/test/test2.c,
	  include/ggi/display/ipc.h, programs/check/cbconsist.c,
	  programs/check/consistency.c, programs/check/findleaks.c,
	  programs/check/showaccel.c, programs/check/showaccel2.c,
	  programs/check/speed.c, programs/check/structs.c,
	  programs/demos/cube3d.c, programs/demos/demo.c,
	  programs/demos/flying_ggis.c, programs/demos/pageflip.c,
	  programs/demos/saver.c, programs/demos/slimy.c,
	  programs/demos/stars.c, programs/demos/textdemo.c,
	  programs/demos/wrap.c, programs/demos/warp-ggi/color.c,
	  programs/demos/warp-ggi/dowarp.c, programs/demos/warp-ggi/main.c,
	  programs/demos/warp-ggi/readpcx.c,
	  programs/demos/warp-ggi/readtga.c, programs/util/ggicalibrate.c,
	  programs/util/giik2str.c, programs/util/inputdump.c,
	  programs/util/ipaq_ggicalibrate.c, programs/util/tunemode.c,
	  programs/util/monitest/ggitext.c, programs/util/monitest/menu.c,
	  programs/util/monitest/monitest.c,
	  programs/util/monitest/mousedemo.c: final Showdown: libggi
	  compiles on cygwin out of the box now! Patch from Peter Ekberg.
	  Congratulation!

2004-01-31 22:36  cegger

	* display/: memory/visual.c, palemu/mode.c: whitespace cleanup

2004-01-31 22:35  cegger

	* display/libkgi/drawops.c: portability fix: s/u_int64_t/uint64/

2004-01-31 22:34  cegger

	* display/fbdev/color.c: whitespace cleanups

2004-01-31 22:06  cegger

	* default/kgi/Matrox/: .cvsignore, Gx00/.cvsignore: tell CVS which
	  files to ignore

2004-01-31 21:18  cegger

	* patchlib.c: fixup header inclusion

2004-01-31 20:56  cegger

	* display/: ipc/mode.c, ipc/visual.c, memory/mode.c,
	  monotext/color.c, monotext/mode.c, monotext/monotext.c,
	  monotext/text.c, monotext/visual.c, multi/mode.c, palemu/color.c,
	  palemu/frames.c, palemu/mode.c, palemu/palemu.c, palemu/text.c:
	  reorder header inclusion. Patch from Peter Ekberg.

	  /usr/include/w32api/winsock2.h:95:2: warning: #warning "fd_set
	  and associated macros have been defined in sys/types.  This may
	  cause runtime problems with W32 sockets"

2004-01-31 11:18  cegger

	* checkversion.sh: sync with libgii's latest revision 1.4

2004-01-31 07:51  cegger

	* doc/man/: Makefile.am, cube3d.1, display-auto.7, display-fbdev.7,
	  display-file.7, display-memory.7, display-sub.7, display-x.7,
	  ggiCheckMode.3, ggiCopyBox.3, ggiCrossBlit.3,
	  ggiDBGetNumBuffers.3, ggiDrawBox.3, ggiDrawHLine.3,
	  ggiDrawVLine.3, ggiFlush.3, ggiGetGamma.3, ggiGetInput.3,
	  ggiGetc.3, ggiInit.3, ggiJoinInputs.3, ggiMapColor.3, ggiOpen.3,
	  ggiPanic.3, ggiParseMode.3, ggiPutc.3, ggiResourceAcquire.3,
	  ggiSetDisplayFrame.3, ggiSetFlags.3, ggiSetGCClipping.3,
	  ggiSetGCForeground.3, ggiSetMode.3, ggiSetOrigin.3,
	  ggiSetPalette.3, ggi_color.3, ggi_directbuffer.3, libggi.7,
	  monitest.1: regenerated - adds display-auto

2004-01-31 00:06  cegger

	* configure.in: search connect first in -lwsock32, then in -lsocket
	  and last in -lc. This should make the ipc target compile on
	  cygwin. Pointed out by Peter Ekberg.

2004-01-30 18:44  cegger

	* display/vgl/visual.c: add missing prototypes

2004-01-30 18:41  cegger

	* display/vgl/mode.c: fix warning about comparison between signed
	  and unsigned

2004-01-30 18:36  cegger

	* autogen.sh: automake 1.5 supports sources in subdirectories. So
	  automake 1.5 is required, not 1.6

2004-01-30 17:01  cegger

	* display/directx/visual.c: #include <ctype.h>, reorder header
	  inclusion. Fixes compiling on cygwin. Patch from Peter Ekberg.

2004-01-30 15:10  cegger

	* m4/libtool.m4: sync with libgii's revision 1.12

2004-01-30 13:09  ggibecka

	* display/X/gtext.c: Fix "strange colored pixels when re-exposing
	  backbuffer"-Bug.  Don't call drawing routines with arrays that
	  have just been freed as parameter.

2004-01-30 10:04  cegger

	* display/auto/man.txt: add reference to ggiOpen(3)

2004-01-30 09:49  cegger

	* checkversion.sh: match patch version numbers correctly

2004-01-30 09:38  cegger

	* autogen.sh, checkversion.sh: check for required autoconf &
	  automake versions

2004-01-29 23:52  cegger

	* TODO: credit myself for display-auto. Mark colormap work as done.
	  Credit Vincent Cruz for this. Change X-target item that RW
	  colormap support is missing rather than telling what has been
	  done...

2004-01-29 19:50  soyt

	* display/auto/man.txt, doc/libggi-libraries.txt: added auto
	  manpage plus formatting

2004-01-29 19:46  cegger

	* display/auto/man.txt: manual page for display-auto

2004-01-29 17:37  cegger

	* ggi/dl.c: remove an unused variable

2004-01-29 15:00  cegger

	* ggi/: dl.c, init.c: make sure, config.h is included first. Fixes
	  compiler warning on cygwin:

	  /usr/include/w32api/winsock2.h:95:2: warning: #warning "fd_set
	  and associated macros have been defined in sys/types.  This may
	  cause runtime problems with W32 sockets"

2004-01-29 14:43  cegger

	* configure.in: enable directx autodetection. Spotted by Paul
	  Ekberg on IRC.

2004-01-29 14:27  cegger

	* display/auto/probe.c: forgot to pass correct display size in last
	  cleanup before the big commit

2004-01-29 13:59  cegger

	* m4/libtool.m4: sync libtool with libgii's one (revision 1.11)

2004-01-29 13:49  cegger

	* TODO, configure.in, libggi.conf.in, display/Makefile.am,
	  display/auto/.cvsignore, display/auto/EXPSYMS,
	  display/auto/Makefile.am, display/auto/probe.c,
	  display/auto/visual.c, display/auto/os/.cvsignore,
	  display/auto/os/common.inc, display/auto/os/darwin.c,
	  display/auto/os/defaultos.c, display/auto/os/freebsd.c,
	  display/auto/os/linux.c, display/auto/os/netbsd.c,
	  display/auto/os/openbsd.c, display/auto/os/os.am,
	  display/auto/os/os.h, display/auto/os/solaris.c,
	  display/auto/os/win32.c, display/auto/target/.cvsignore,
	  display/auto/target/aa.c, display/auto/target/directx.c,
	  display/auto/target/fbdev.c, display/auto/target/kgi.c,
	  display/auto/target/svgalib.c, display/auto/target/target.am,
	  display/auto/target/target.h, display/auto/target/vgl.c,
	  display/auto/target/x.c, ggi/Makefile.am, ggi/dl.c, ggi/init.c,
	  ggi/probe.c, include/ggi/display/Makefile.am,
	  include/ggi/display/auto.h, include/ggi/internal/internal.h,
	  m4/Makefile.am: libggi TODO item:

	  add display-auto to separate OS dependent auto-detect routines
	  from libggi core

	  - add m4/os.m4 to handle OS dependencies with automake - add
	  _ggiProbeDL() in ggi/dl.c, which fits the needs of display-auto.
	  Also shares some code with _ggiAddDL() - and of course add
	  display/auto :)

2004-01-28 05:12  skids

	* display/X/visual.c:
	  Hint libgii target to forward expose events when there is no
	  backbuffer.

2004-01-26 23:07  cegger

	* display/aa/visual.c: #include <string.h> for memcpy

2004-01-26 23:03  cegger

	* display/aa/visual.c: use common way of implementing target
	  options

2004-01-26 22:43  cegger

	* display/Makefile.am: alphabetize

2004-01-25 12:49  cegger

	* include/ggi/internal/internal.h: group things together by
	  inserting blank lines

2004-01-25 12:42  cegger

	* include/ggi/internal/internal.h: indent -kr -i8

2004-01-24 23:03  cegger

	* ltmain.sh, m4/libtool.m4: merge libgii's libtool update

	  ltmain.sh (revisions 1.11-1.13) m4/ltdl.m4 (revision 1.3)
	  m4/libtool.m4 (revision 1.10)

2004-01-24 17:45  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to version shipped with automake 1.8.2

2004-01-21 23:53  cegger

	* display/file/mode.c: remove unused variable

2004-01-08 21:27  skids

	* programs/demos/pageflip.c:
	  Defer to GGI_DEFMODE if it has > 1 frames already

2004-01-08 21:18  skids

	* display/X/mode.c:
	  Fix over-allocation of win y dimension discovered by hunger.

2004-01-03 22:54  cegger

	* programs/check/showaccel2.c: s/pallet/palett/

2004-01-03 22:54  cegger

	* programs/check/showaccel.c: s/pallet/palet/

2004-01-03 22:52  cegger

	* include/ggi/display/kgi.h: s/pallete/palette/

2004-01-03 22:50  cegger

	* display/svgalib/color.c: s/setPallete/setPalette/

2004-01-03 22:45  cegger

	* display/kgi/color.c: s/setPallete/setPalette/

2004-01-03 22:43  cegger

	* display/fbdev/mode.c: fix spelling: pallette -> palette. While
	  here do some whitespace cleanups

2004-01-03 22:41  cegger

	* default/kgi/ATI/Radeon/gc.c: pallete -> palette

2004-01-01 17:43  cegger

	* configure.in: Add <X11/Xlib.h> as default-header to include.
	  autoconf newer than 2.13 makes more strict checks and caused
	  warnings in the form of

	  checking X11/extensions/xf86vmode.h presence... yes configure:
	  WARNING: X11/extensions/xf86vmode.h: present but cannot be
	  compiled configure: WARNING: X11/extensions/xf86vmode.h: check
	  for missing prerequisite headers? configure: WARNING:
	  X11/extensions/xf86vmode.h: proceeding with the preprocessors
	  result configure: WARNING:	 ##
	  ------------------------------------ ## configure: WARNING:
	  ## Report this to bug-autoconf@gnu.org. ## configure: WARNING:
	   ## ------------------------------------ ## checking for
	  X11/extensions/xf86vmode.h... yes

	  Thanks to Tobias Hunger and Martin Albert for reporting this and
	  to Martin Albert for a hint to the solution.

2003-12-22 07:44  cegger

	* ggi/visual.c: whitespace cleanups

2003-12-20 20:13  cegger

	* m4/Makefile.am: make sure there are all *.m4 files are added.
	  Alphabetize them.

2003-12-20 00:04  cegger

	* display/kgi/visual.c: GGIdl_kgi is an exported symbol. So don't
	  make it static. This may cause trouble on some platforms with
	  very restrictive / strong symbol import/export rules.

2003-12-19 23:07  nsouch

	* display/kgi/: color.c, mode.c, visual.c: KGI new colormap
	  management. Tested: kgi4BSD

2003-12-17 23:01  cegger

	* libggi.conf.in: introduce display-xf86dga alias. Will be removed
	  later, once the xf86dga target has become a X helper target

2003-12-14 23:12  nsouch

	* configure.in: Don't make difference with FreeBSD, that's not
	  necessary

2003-12-14 10:13  cegger

	* include/ggi/internal/structs.h: remove #if 0 ... #endif clausel

2003-12-14 00:03  cegger

	* configure.in: revert last commit. It's better to break compiling
	  targets rather than (silently) hiding targets w/o colormap
	  support

2003-12-13 23:51  cegger

	* include/ggi/display/xf86dga.h: implement colormap for xf86dga
	  target. I have no way for testing it, since the mach64 X driver
	  has no dga support, but this lets compile the target again at
	  least.

2003-12-13 22:32  cegger

	* ggi/colormap.c: remove code from _ggiColormapFindByColor() that
	  does effectively nothing

2003-12-13 21:12  mooz

	* TODO, configure.in, default/color/color.c, default/color/color.h,
	  default/color/visual.c, display/Makefile.am, display/X/color.c,
